<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" standalone="yes" indent="yes"/>

  <!--OA table column header start-->
  <xsl:variable name="severheader">
    <tr bgcolor="#c6d1dd" align="left" >
      <th width="2.5%">Bay</th>
      <th width="7.5%">Type</th>
      <th width="7%">Part Number</th>
      <th width="7%">Serial Number</th>
      <th width="8.5%">Assigned Name</th>
      <th width="7%">IP Address</th>
      <th width="7%">iLO Address</th>
      <th width="13%">Product Name</th>
      <th width="6%">Mezz#1</th>
      <th width="6%">Mezz#2</th>
      <th width="6%">Mezz#3</th>
      <th width="6%">BIOS FW</th>
      <th width="6%">ILO</th>
      <th width="3%">PMC</th>
    </tr>
  </xsl:variable>
  
  <xsl:variable name="sd2header">
    <tr bgcolor="#c6d1dd" align="left" >
      <th width="2.5%">Bay</th>
      <th width="7.5%">Type</th>
      <th width="8.5%">Part Number</th>
      <th width="7%">Serial Number</th>
      <th width="8%">Assigned Name</th>
      <th width="8%">IP Address</th>
      <th width="13%">Product Name</th>      
      <th width="8%">Firmwware</th>
    </tr>
  </xsl:variable>

  <xsl:variable name="tigerPartitionheader">
    <tr bgcolor="#c6d1dd" align="left" >
      <th width="10%">Server Type</th>
      <th width="7.5%">Partition Size</th>
      <th width="7%">Partition Number</th>
      <th width="7%">Device Type</th>
      <th width="8.5%">Location</th>
      <th width="7%">Installed Firmware</th>
      <th width="53.5%">Description</th>
    </tr>
  </xsl:variable>

  <!--OA table column header end-->
  <xsl:variable name="serverdetailsheader">
    <tr align="left" id="-1">
      <th width="15px">Bay</th>
      <th>Bay Type</th>
      <th>Device Type</th>
      <th>Status</th>
      <th>Criticality</th>
      <th>Installed Firmware</th>
      <th>Driver Version</th>
      <th>Available Version</th>
      <th>Addtional</th>
    </tr>
  </xsl:variable>
  <xsl:template name="NL">
    <xsl:text>
  </xsl:text>  
  </xsl:template>

<xsl:template name="FWITEMS">
<xsl:call-template name="NL" />
<xsl:element name="tr">
  <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
  <xsl:if test="(position() mod 2) = 0">
   <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
  </xsl:if>
  <td></td>
  <td></td>
  <td><xsl:text>&#160;&#160;&#160;&#160;&#160;</xsl:text><xsl:value-of select="type"/></td>
  <xsl:call-template name="NL" />
  <td>
   <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
   <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
   <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
   <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
  </td>
  <xsl:call-template name="NL" />
  <td>
   <xsl:if test="criticality=2 and status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
   <xsl:if test="criticality=2 and status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
   <xsl:if test="criticality=1 and status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
   <xsl:if test="criticality=1 and status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
   <xsl:if test="(criticality=3 or criticality=0) and status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
   <xsl:if test="(criticality=3 or criticality=0) and status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
  </td>
  <xsl:call-template name="NL" />
  <td>  
   <xsl:if test="count(version)=0">Unknown</xsl:if>
   <xsl:if test="count(version)>0"><xsl:value-of select="version"/></xsl:if>
  </td>
  <td><xsl:value-of select="driver_version"/></td>
  <xsl:call-template name="NL" />
  <td><xsl:value-of select="repo_version"/></td>
  <xsl:call-template name="NL" />
  <td>Description: <xsl:value-of select="../product_id"/></td>
  <xsl:call-template name="NL" />
</xsl:element>
</xsl:template>
  <xsl:template match="/">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  a:link    {color:blue;}
  a:visited {color:blue;}
  a:hover   {color:red;}

  .titleclass
  {
  font-family:"Century Gothic";
  font-size:17px;
  color:#FFF;
  background-color:#999;
  padding-left:10px;
  }

  table.custom
  {
  font-family:"Arial";
  border-collapse:collapse;
  background-color:Transparent;
  empty-cells:show;
  border-style: groove;
  border-width: thin;
  }
  table.custom td, table.custom th
  {
  font-size:11px;
  border:1px solid #CECFCE;
  padding:3px 5px 2px 5px;
  empty-cells:show;
  }
  table.custom th
  {
  font-size:11px;
  color: #FFFFFF;
  padding-top:2px;
  padding-bottom:2px;
  background-color:#948E8C;
  }
  td{
  margin:0px 0px 0px 0px;
  font-family: Arial;
  font-size: 15px;
  }
  th {
  margin:0px 0px 0px 0px;
  font-family: Arial;
  font-size: 15px;
  font-weight:bold
  }
  p
  {
  font-family: "Century Gothic";
  font-size: 13px;
  font-weight: bold;
  color:#2B6288;
  }
  #headingleft
  {
  color:#012F61;
  border:none;
  padding-left:10px;
  font-size:14px;
  text-align:left;
  }
  #headingright
  {
  color:#012F61;
  border:none;
  padding-right:20px;
  font-size:14px;
  text-align:right;
  }
  #headingleftBig
  {
  color:#012F61;
  border:none;
  padding-left:10px;
  font-size:x-small;
  text-align:left;
  }

  #tdheading{
  border:none;
  padding:2px;
  font-size:15px;
  }
  H2
  {
  margin:3px 5px 0px 5px;
  text-shadow:#F00 2em 3em 5em;
  text-align:center;
  }
  h3
  {
  margin:10px 5px 0px 10px;
  text-shadow:#F00 2em 3em 5em;
  text-align:center;
  color:#012F61;
  }
  h4 {
  margin:10px 5px 0px 10px;
  text-shadow:#F00 2em 3em 5em;
  text-align:left;
  color:black;
  }

  H5
  {
  color:#2B6288;
  margin:3px 5px 0px 5px;
  text-shadow:#F00 2em 3em 5em;
  font-family: 'Century Gothic';

  }
  body
  {
  margin:1px 1px 1px 1px;
  font-family: Century Gothic;
  font-size:14px;
  font-weight: bold;
  }
  hr
  {
  border-width: thick;
  color: #800000;
  background-color: #f00;
  height: 5px;
  }
  #headerDiv, #contentDiv
  {
  float: left;
  width: 99%;
  }
  #titleText {
  float: left;
  font-size: 1.2em;
  font-weight: bold;
  margin: 5px 10px;
  font-family: Century Gothic;
  }
  #headerDiv {
  background-color: #636563;
  color: white;
  border-style: solid solid none solid;
  border-width: 1px;
  border-color: #636563;
  }
  #contentDiv {
  border-style: solid;
  border-width: 1px;
  border-color: #636563;
  background-color: white;
  }
  .myContent {
  margin: 1px 1px 1px 1px;
  }
  #headerDiv a {
  float: right;
  margin: 10px 10px 5px 5px;
  }
  #headerDiv a:link {color:white;}
  #headerDiv a:visited {color:white;}
  #headerDiv a:hover   {color:white;}

</style>
<script type="text/javascript">
  var bFirst = true;
  function showhide(showHideDiv, bShow) {
  if (showHideDiv == "home") {
  var summary = document.getElementById("id_summary");
  summary.style.display = "block";
  var all = document.getElementById("id_all");
  all.style.display = "none";
  document.getElementById("id_summary").removeChild(all);
  }
  else {
  var elementall = document.getElementById("id_all");
  var scrollelementlink = document.getElementById("id_" + showHideDiv + "_link");
  if (bShow == "1") {
  elementall.style.display = "block";
  var summary = document.getElementById("id_summary");
  summary.style.display = "none";
  document.getElementById("id_summary").parentNode.appendChild(elementall);
  var scrollelement = document.getElementById("id_" + showHideDiv);
  if (scrollelement.style.display == "none")
  toggle(showHideDiv,showHideDiv);
  scrollelementlink.scrollIntoView(true);
  }
  else
  elementall.style.display = "none";
  }
  }
  function toggle(showHideDiv, switchImageDiv) {
  var ele = document.getElementById("id_" + showHideDiv);
  var i = document.getElementById("img_" + switchImageDiv);
  if (ele.style.display == "block") {
  ele.style.display = "none";
  if (i.innerHTML == "-") {
  i.innerHTML = "+";
  document.getElementById(showHideDiv).innerHTML = "Expand";
  }
  if (showHideDiv == "navigation") {
  i.src = "plusall.gif";
  r = document.getElementById("a_" + switchImageDiv);
  r.outerHTML = r.outerHTML.replace("Back", "Next");
  }
  else
  i.src = "hpplus.gif";
  }
  else {
  ele.style.display = "block";
  if (i.innerHTML == "+") {
  i.innerHTML = "-";
  document.getElementById(showHideDiv).innerHTML = "Collapse";
  }
  if (showHideDiv == "navigation") {
  i.src = "minusall.gif";
  r = document.getElementById("a_" + switchImageDiv);
  r.outerHTML = r.outerHTML.replace("Next","Back");
  }
  else
  i.src = "hpminus.gif";
  }
  }

  function togglemain(showDiv, hideDiv, switchImageDiv) {
  var show = document.getElementById("id_" + showDiv);
  var hide = document.getElementById("id_" + hideDiv);
  var nb = document.getElementById("img_" + switchImageDiv);
  var sum = document.getElementById("navigate_" + showDiv);

  if (show.style.display == "block") {
  show.style.display = "none";
  hide.style.display = "block";
  nb.src = "back.jpg";
  }
  else {
  show.style.display = "block";
  hide.style.display = "none";
  nb.src = "next.jpg";
  }
  if (bFirst) {
  bFirst = false;
  showhide('all', '0');
  }
  }
  function showhidedivscroll(showDiv, hideDiv, scroll) {
  showhidediv(showDiv, hideDiv);
  var scrollelementlink = document.getElementById(scroll);
  scrollelementlink.scrollIntoView(true)
  }
  function showhidediv(showDiv, hideDiv) {
  var hideid = document.getElementById(hideDiv);
  hideid.style.display = "none";
  var showid = document.getElementById(showDiv);
  showid.style.display = "block";
  }
  function showhidealldiv(bShowHide) {
  var show_all = document.getElementById("id_show_all_report");
  var hide_all = document.getElementById("id_hide_all_report");
  if(bShowHide){
  hide_all.style.display = "block";
  show_all.style.display = "none";
  }
  else
  {
  show_all.style.display = "block";
  hide_all.style.display = "none";
  }
  var showid = document.getElementById("id_all_faileddependency_details");
  if(bShowHide)
  showid.style.display = "block";
  else
  showid.style.display = "none";
  showid = document.getElementById("id_all_inventory_details");
  if(bShowHide)
  showid.style.display = "block";
  else
  showid.style.display = "none";
  showid = document.getElementById("id_all_firmware_details");
  if(bShowHide)
  showid.style.display = "block";
  else
  showid.style.display = "none";
  showid = document.getElementById("id_all_updatetobeappliedreport_details");
  if(bShowHide)
  showid.style.display = "block";
  else
  showid.style.display = "none";
  }
  function showdetails(showdetailsid) {
  var divid = document.getElementById("id_" + showdetailsid);
  var imgid = document.getElementById("img_" + showdetailsid);
  if (divid.style.display == "block") {
  divid.style.display = "none";
  imgid.src = "expand.png";
  }
  else if (divid.style.display == "none") {
  divid.style.display = "block";
  imgid.src = "collapse.png";
  }
  }
  function showhideTableRows(chkbox, tlbID, rowID) {
  var oTlb = document.getElementById(tlbID);
  var oRows = oTlb.getElementsByTagName("tr");
  var oZearo = 0;
  if (rowID != 3)
  oZearo = rowID;
  
  for (var j = 0; j &lt; oRows.length; j++) {
  if (oRows[j].id == rowID) {
  if (chkbox.checked)
  oRows[j].style.display = '';
  else
  oRows[j].style.display = 'none';
  }
  else if (oRows[j].id == oZearo) {
  if (chkbox.checked)
  oRows[j].style.display = '';
  else
  oRows[j].style.display = 'none';
  }
  }
  }
</script>
</head>
  <xsl:call-template name="NL" />
 <body onload="togglemain('summary','firmware','firmware');" >
   <!--Summary page start-->
   <xsl:call-template name="NL" />
   <div style="border: thin groove #C0C0C0; width:100%; height:100%; position:relative;">
     <xsl:call-template name="NL" />
     <div id="id_main_heading">
     <xsl:call-template name="NL" />
     <table width="100%" border="0">
       <xsl:call-template name="NL" />
       <tr>
         <td width="150px"><img src="HPLogo.jpg"></img></td>
         <td><h2><a name="top"></a>HP SUM Report Generation</h2></td>
         <td width="150px"></td>
       </tr>
       <xsl:call-template name="NL" />
       <tr>
         <td id="headingleft" colspan= "2"><xsl:value-of select="report/app_version"/></td>
         <td id="headingright" align="right" width="150px"><xsl:value-of select="report/report_date"/></td>
       </tr>
       <xsl:call-template name="NL" />
     </table>
      <hr width="99%"/>
     </div>
     <xsl:call-template name="NL" />
     <div id="id_summary" height="80%">
       <xsl:call-template name="NL" />
       <table width="60%" border="0" align="center">
         <xsl:call-template name="NL" />
         <tr><td colspan="3"><h4>ENVIRONMENT</h4></td></tr>
         <xsl:call-template name="NL" />
         <tr><td colspan="3"></td></tr>
         <xsl:call-template name="NL" />
         <tr><td colspan="3"></td></tr>
         <xsl:call-template name="NL" />
         <tr><td colspan="3"></td></tr>
         <xsl:call-template name="NL" />
         <tr>
           <td width="10%"></td>
           <td width="40%" id="headingleftBig" bgcolor="#F6F6F6">Collection Date:</td>
           <xsl:call-template name="NL" />
           <td id="headingleftBig" bgcolor="#F6F6F6"><xsl:value-of select="report/report_date"/></td>
         </tr>
         <tr><td colspan="3"></td></tr>
         <tr><td colspan="3"></td></tr>
         <tr><td colspan="3"></td></tr>
         <xsl:call-template name="NL" />
         <!--FirmwareReport-->
         <xsl:if test="report[report_type=1]">
         <!--If there are Enclosures-->
         <xsl:if test ="count(report/firmwarereport/oa/enclosure_details)>0">
           <tr>
             <td></td>
             <td id="headingleftBig" bgcolor="#F6F6F6">Number of Enclosure:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig" bgcolor="#F6F6F6">
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_oa_details')</xsl:attribute>
                <xsl:if test="count(report/firmwarereport/oa/enclosure_details)=1"><xsl:value-of select="count(report/firmwarereport/oa/enclosure_details)"/> Device</xsl:if>
               <xsl:if test="count(report/firmwarereport/oa/enclosure_details)>1"><xsl:value-of select="count(report/firmwarereport/oa/enclosure_details)"/> Devices</xsl:if></xsl:element>
             </td>
           </tr>
         </xsl:if>
         <xsl:call-template name="NL" />
         <!--If there are OA-->
         <xsl:if test ="count(report/firmwarereport/oa)>0">
         <tr>
           <td></td>
           <td id="headingleftBig">Number of OA:</td>
           <xsl:call-template name="NL" />
           <td id="headingleftBig">               
             <xsl:element name="a">
               <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_oa_details')</xsl:attribute>
               <xsl:if test="count(report/firmwarereport/oa)=1"><xsl:value-of select="count(report/firmwarereport/oa)"/> Device</xsl:if>
               <xsl:if test="count(report/firmwarereport/oa)>1"><xsl:value-of select="count(report/firmwarereport/oa)"/> Devices</xsl:if></xsl:element>
             <xsl:variable name="critical" select="count(report/firmwarereport/oa/oa_details[criticality=2 and status=0 and type='Active'])" />
             <xsl:if test="$critical>0">
               &#160;|&#160;&#160;<img src="ctl.jpg" style="margin-right: 3px" alt="Critical"/>
               <xsl:element name="a">
                 <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_oa_details')</xsl:attribute>
                 <xsl:value-of select="$critical"/> Critical
               </xsl:element>
             </xsl:if>
             <xsl:variable name="fdd" select="count(report/firmwarereport/oa/oa_details[status=2 and type='Active'])" />
             <xsl:if test="$fdd>0">
               &#160;|&#160;&#160;<img src="rmd.jpg" style="margin-right: 3px" alt="Failed Dependencies"/>
               <xsl:element name="a">
                 <xsl:attribute name="href">javascript:showhidedivscroll('id_all_faileddependency_details','id_summary','id_all_faileddependency_details')</xsl:attribute>
                 <xsl:value-of select="$fdd"/> Failed Dependencies
               </xsl:element>
             </xsl:if>
             <xsl:variable name="rcmd" select="count(report/firmwarereport/oa/oa_details[criticality=1 and status=0 and type='Active'])" />
             <xsl:if test="$rcmd>0">
               &#160;|&#160;&#160;<img src="rmd.jpg" style="margin-right: 3px" alt="Recommended"/>
               <xsl:element name="a">
                 <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_oa_details')</xsl:attribute>
                 <xsl:value-of select="$rcmd"/> Recommended
               </xsl:element>
             </xsl:if>
             <xsl:variable name="optional" select="count(report/firmwarereport/oa/oa_details[(criticality=0 or criticality=3) and status=0 and type='Active'])" />
             <xsl:if test="$optional>0">
               &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Optonal"/>
               <xsl:element name="a">
                 <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_oa_details')</xsl:attribute>
                 <xsl:value-of select="$optional"/> Optional
               </xsl:element>
             </xsl:if>
           </td>
         </tr>
         </xsl:if>
         <xsl:call-template name="NL" />
         <!--If there are Blade Server-->
         <xsl:if test ="count(report/firmwarereport/system)>0">
         <tr>
           <td></td>
           <td id="headingleftBig" bgcolor="#F6F6F6">Number of Servers:</td>
           <xsl:call-template name="NL" />
           <td id="headingleftBig" bgcolor="#F6F6F6">
             <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_server_details')</xsl:attribute>
              <xsl:if test="count(report/firmwarereport/system)=1"><xsl:value-of select="count(report/firmwarereport/system)"/> Device</xsl:if>
              <xsl:if test="count(report/firmwarereport/system)>1"><xsl:value-of select="count(report/firmwarereport/system)"/> Devices</xsl:if></xsl:element>
             <xsl:variable name="critical1" select="count(report/firmwarereport/system/ilo_details[criticality=2 and status=0]) + 
                     count(report/firmwarereport/system/rom_details[criticality=2 and status=0]) + 
                     count(report/firmwarereport/system/powerpic_details/powerpic[criticality=2 and status=0]) + 
                     count(report/firmwarereport/system/scontroller_details/scontroller_device[criticality=2 and status=0]) + 
                     count(report/firmwarereport/system/harddisk_details/hard_drive[criticality=2 and status=0]) + 
                     count(report/firmwarereport/system/nic_details[criticality=2 and status=0]) + 
                     count(report/firmwarereport/system/tape_details[criticality=2 and status=0]) +
                     count(report/firmwarereport/system/ib_details[criticality=2 and status=0]) +
                     count(report/firmwarereport/system/hba_details[criticality=2 and status=0])" />
             <xsl:if test="$critical1>0">
               &#160;|&#160;&#160;<img src="ctl.jpg" style="margin-right: 3px" alt="Critical"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_server_details')</xsl:attribute>
               <xsl:value-of select="$critical1"/> Critical</xsl:element>
             </xsl:if>
             <xsl:variable name="svrfdd" select="count(report/firmwarereport/system/ilo_details[status=2]) + 
                     count(report/firmwarereport/system/rom_details[status=2]) + 
                     count(report/firmwarereport/system/powerpic_details/powerpic[status=2]) + 
                     count(report/firmwarereport/system/scontroller_details/scontroller_device[status=2]) + 
                     count(report/firmwarereport/system/harddisk_details/hard_drive[status=2]) + 
                     count(report/firmwarereport/system/nic_details[status=2]) + 
                     count(report/firmwarereport/system/tape_details[status=2]) +
                     count(report/firmwarereport/system/ib_details[status=2]) +
                     count(report/firmwarereport/system/hba_details[status=2])" />
             <xsl:if test="$svrfdd>0">
               &#160;|&#160;&#160;<img src="ctl.jpg" style="margin-right: 3px" alt="Failed Dependencies"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_faileddependency_details','id_summary','id_all_faileddependency_details')</xsl:attribute>
                 <xsl:value-of select="$svrfdd"/> Failed Dependencies
               </xsl:element>
             </xsl:if>
             <xsl:variable name="rcmd1" select="count(report/firmwarereport/system/ilo_details[criticality=1 and status=0]) + 
                     count(report/firmwarereport/system/rom_details[criticality=1 and status=0]) + 
                     count(report/firmwarereport/system/powerpic_details/powerpic[criticality=1 and status=0]) + 
                     count(report/firmwarereport/system/scontroller_details/scontroller_device[criticality=1 and status=0]) + 
                     count(report/firmwarereport/system/harddisk_details/hard_drive[criticality=1 and status=0]) + 
                     count(report/firmwarereport/system/nic_details[criticality=1 and status=0]) + 
                     count(report/firmwarereport/system/tape_details[criticality=1 and status=0])+
                     count(report/firmwarereport/system/ib_details[criticality=1 and status=0])+
                     count(report/firmwarereport/system/hba_details[criticality=1 and status=0])" />
             <xsl:if test="$rcmd1>0">
               &#160;|&#160;&#160;<img src="rmd.jpg" style="margin-right: 3px" alt="Recommended"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_server_details')</xsl:attribute>
               <xsl:value-of select="$rcmd1"/> Recommended</xsl:element>
             </xsl:if>
             <xsl:variable name="optional1" select="count(report/firmwarereport/system/ilo_details[(criticality=0 or criticality=3) and status=0]) + 
                     count(report/firmwarereport/system/rom_details[(criticality=0 or criticality=3) and status=0]) + 
                     count(report/firmwarereport/system/powerpic_details/powerpic[(criticality=0 or criticality=3) and status=0]) + 
                     count(report/firmwarereport/system/scontroller_details/scontroller_device[(criticality=0 or criticality=3) and status=0]) + 
                     count(report/firmwarereport/system/harddisk_details/hard_drive[(criticality=0 or criticality=3) and status=0]) + 
                     count(report/firmwarereport/system/nic_details[(criticality=0 or criticality=3) and status=0]) + 
                     count(report/firmwarereport/system/tape_details[(criticality=0 or criticality=3) and status=0]) +
                     count(report/firmwarereport/system/ib_details[(criticality=0 or criticality=3) and status=0]) +
                     count(report/firmwarereport/system/hba_details[(criticality=0 or criticality=3) and status=0])"/>
             <xsl:if test="$optional1>0">
               &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Optonal"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_server_details')</xsl:attribute>
               <xsl:value-of select="$optional1"/> Optional</xsl:element>
             </xsl:if>
           </td>
         </tr>
         </xsl:if>
         <xsl:call-template name="NL" />
         <!--If there are VC-->
         <xsl:if test ="count(report/firmwarereport/vc)>0">
           <tr>
             <td></td>
             <td id="headingleftBig">Number of VC:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig">
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_vc_details')</xsl:attribute>
               <xsl:if test="count(report/firmwarereport/vc)=1"><xsl:value-of select="count(report/firmwarereport/vc)"/> Device</xsl:if>
               <xsl:if test="count(report/firmwarereport/vc)>1"><xsl:value-of select="count(report/firmwarereport/vc)"/> Devices</xsl:if></xsl:element>
               <xsl:if test="count(report/firmwarereport/vc/vc_details[criticality=2][status=0])>0">
                 &#160;|&#160;&#160;<img src="ctl.jpg" border="0" style="margin-right: 3px" alt="Critical"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_vc_details')</xsl:attribute>
                 <xsl:value-of select="count(report/firmwarereport/vc/vc_details[criticality=2][status=0])"></xsl:value-of> Critical</xsl:element>
               </xsl:if>
               <xsl:if test="count(report/firmwarereport/vc/vc_details[status=2])>0">
                 &#160;|&#160;&#160;<img src="ctl.jpg" border="0" style="margin-right: 3px" alt="Failed Dependencies"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_faileddependency_details','id_summary','id_all_faileddependency_details')</xsl:attribute>
                 <xsl:value-of select="count(report/firmwarereport/vc/vc_details[status=2])"></xsl:value-of> Failed Dependencies
                 </xsl:element>
               </xsl:if>
               <xsl:if test="count(report/firmwarereport/vc/vc_details[criticality=1][status=0])>0">
                 &#160;|&#160;&#160;<img src="rmd.jpg" border="0" style="margin-right: 3px" alt="Recommended"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_vc_details')</xsl:attribute>
                 <xsl:value-of select="count(report/firmwarereport/vc/vc_details[criticality=1][status=0])"></xsl:value-of> Recommended</xsl:element>
               </xsl:if>
               <xsl:if test="count(report/firmwarereport/vc/vc_details[criticality=0 or criticality=3][status=0])>0">
                 &#160;|&#160;&#160;<img src="nml.jpg" border="0" style="margin-right: 3px" alt="Optonal"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_vc_details')</xsl:attribute>
                 <xsl:value-of select="count(report/firmwarereport/vc/vc_details[criticality=0 or criticality=3][status=0])"></xsl:value-of> Optional</xsl:element>
               </xsl:if>
              </td>
           </tr>
         </xsl:if>
         <xsl:call-template name="NL" />
         <!--If there are iLOs-->
         <xsl:if test ="count(report/firmwarereport/ilo)>0">
         <tr>
           <td></td>
           <td id="headingleftBig" bgcolor="#F6F6F6">Number of iLO:</td>
           <xsl:call-template name="NL" />
           <td id="headingleftBig" bgcolor="#F6F6F6">
             <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_ilo_details')</xsl:attribute>
               <xsl:if test="count(report/firmwarereport/ilo)=1"><xsl:value-of select="count(report/firmwarereport/ilo)"/> Device</xsl:if>
               <xsl:if test="count(report/firmwarereport/ilo)>1"><xsl:value-of select="count(report/firmwarereport/ilo)"/> Devices</xsl:if></xsl:element>
               <xsl:if test="count(report/firmwarereport/ilo/ilo_details[criticality=2][status=0])>0">
               &#160;|&#160;&#160;<img src="ctl.jpg" border="0" style="margin-right: 3px" alt="Critical"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_ilo_details')</xsl:attribute>
               <xsl:value-of select="count(report/firmwarereport/ilo/ilo_details[criticality=2][status=0])"></xsl:value-of> Critical</xsl:element>
              </xsl:if>
              <xsl:if test="count(report/firmwarereport/ilo/ilo_details[status=2])>0">
               &#160;|&#160;&#160;<img src="ctl.jpg" border="0" style="margin-right: 3px" alt="Failed Dependencies"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_faileddependency_details','id_summary','id_all_faileddependency_details')</xsl:attribute>
               <xsl:value-of select="count(report/firmwarereport/ilo/ilo_details[status=2])"></xsl:value-of> Failed Dependencies
               </xsl:element>
             </xsl:if>
               <xsl:if test="count(report/firmwarereport/ilo/ilo_details[criticality=1][status=0])>0">
               &#160;|&#160;&#160;<img src="rmd.jpg" border="0" style="margin-right: 3px" alt="Recommended"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_ilo_details')</xsl:attribute>
               <xsl:value-of select="count(report/firmwarereport/ilo/ilo_details[criticality=1][status=0])"></xsl:value-of> Recommended</xsl:element>
               </xsl:if>
               <xsl:if test="count(report/firmwarereport/ilo/ilo_details[criticality=0 or criticality=3][status=0])>0">
               &#160;|&#160;&#160;<img src="nml.jpg" border="0" style="margin-right: 3px" alt="Optonal"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_ilo_details')</xsl:attribute>
               <xsl:value-of select="count(report/firmwarereport/ilo/ilo_details[criticality=0 or criticality=3][status=0])"></xsl:value-of> Optional</xsl:element>
               </xsl:if>
           </td>
         </tr>
         </xsl:if>
         <xsl:call-template name="NL" />
         <!--If there are SD2-->
         <xsl:if test ="count(report/firmwarereport/sd2)>0">
           <tr>
             <td></td>
             <td id="headingleftBig" bgcolor="#F6F6F6">Number of Superdome 2:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig" bgcolor="#F6F6F6">
               <xsl:element name="a">
               <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_sd2_details')</xsl:attribute>
               <xsl:if test="count(report/firmwarereport/sd2)=1"><xsl:value-of select="count(report/firmwarereport/sd2)"/> Device</xsl:if>
               <xsl:if test="count(report/firmwarereport/sd2)>1"><xsl:value-of select="count(report/firmwarereport/sd2)"/> Devices</xsl:if></xsl:element>
             <xsl:variable name="critical2" select="count(report/firmwarereport/sd2/sd2_details[criticality=2 and status=0])" />
             <xsl:if test="$critical2>0">
               &#160;|&#160;&#160;<img src="ctl.jpg" style="margin-right: 3px" alt="Critical"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_sd2_details')</xsl:attribute>
                 <xsl:value-of select="$critical2"/> Critical
               </xsl:element>
             </xsl:if>
               <xsl:variable name="fdds4" select="count(report/firmwarereport/sd2/sd2_details[status=2])" />
               <xsl:if test="$fdds4>0">
               &#160;|&#160;&#160;<img src="ctl.jpg" style="margin-right: 3px" alt="Failed Dependencies"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_faileddependency_details','id_summary','id_all_faileddependency_details')</xsl:attribute>
                 <xsl:value-of select="$fdds4"/> Failed Dependencies
               </xsl:element>
             </xsl:if>
             <xsl:variable name="rcmd2" select="count(report/firmwarereport/sd2/sd2_details[criticality=1 and status=0])" />
             <xsl:if test="$rcmd2>0">
               &#160;|&#160;&#160;<img src="rmd.jpg" style="margin-right: 3px" alt="Recommended"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_sd2_details')</xsl:attribute>
                 <xsl:value-of select="$rcmd2"/> Recommended
               </xsl:element>
             </xsl:if>
             <xsl:variable name="optional3" select="count(report/firmwarereport/sd2/sd2_details[(criticality=0 or criticality=3) and status=0])" />
             <xsl:if test="$optional3>0">
               &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Optonal"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_sd2_details')</xsl:attribute>
                 <xsl:value-of select="$optional3"/> Optional
               </xsl:element>
             </xsl:if>
             </td>
           </tr>
         </xsl:if>
         <!--If there are IPDU-->
         <xsl:if test ="count(report/firmwarereport/ipdu)>0">
           <tr>
             <td></td>
             <td id="headingleftBig" bgcolor="#F6F6F6">Number of IPDU:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig" bgcolor="#F6F6F6">
               <xsl:element name="a">
               <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_ipdu_details')</xsl:attribute>
               <xsl:if test="count(report/firmwarereport/ipdu)=1"><xsl:value-of select="count(report/firmwarereport/ipdu)"/> Device</xsl:if>
               <xsl:if test="count(report/firmwarereport/ipdu)>1"><xsl:value-of select="count(report/firmwarereport/ipdu)"/> Devices</xsl:if></xsl:element>
             <xsl:variable name="critical2" select="count(report/firmwarereport/ipdu/ipdu_details[criticality=2 and status=0])" />
             <xsl:if test="$critical2>0">
               &#160;|&#160;&#160;<img src="ctl.jpg" style="margin-right: 3px" alt="Critical"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_ipdu_details')</xsl:attribute>
                 <xsl:value-of select="$critical2"/> Critical
               </xsl:element>
             </xsl:if>
               <xsl:variable name="ipfdd" select="count(report/firmwarereport/ipdu/ipdu_details[status=2])" />
               <xsl:if test="$critical2>0">
               &#160;|&#160;&#160;<img src="ctl.jpg" style="margin-right: 3px" alt="Failed Dependencies"/>
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_faileddependency_details','id_summary','id_all_faileddependency_details')</xsl:attribute>
                 <xsl:value-of select="$ipfdd"/> Failed Dependencies
               </xsl:element>
             </xsl:if>
             <xsl:variable name="rcmd2" select="count(report/firmwarereport/ipdu/ipdu_details[criticality=1 and status=0])" />
             <xsl:if test="$rcmd2>0">
               &#160;|&#160;&#160;<img src="rmd.jpg" style="margin-right: 3px" alt="Recommended"/>
               <xsl:element name="a">
                 <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_ipdu_details')</xsl:attribute>
                 <xsl:value-of select="$rcmd2"/> Recommended
               </xsl:element>
             </xsl:if>
             <xsl:variable name="optional3" select="count(report/firmwarereport/ipdu/ipdu_details[(criticality=0 or criticality=3) and status=0])" />
             <xsl:if test="$optional3>0">
               &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Optonal"/>
               <xsl:element name="a">
                 <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_ipdu_details')</xsl:attribute>
                 <xsl:value-of select="$optional3"/> Optional
               </xsl:element>
             </xsl:if>
             </td>
           </tr>
         </xsl:if>
         <!--If there are Switch-->
         <xsl:if test ="count(report/firmwarereport/switch)>0">
             <tr>
               <td></td>
               <td id="headingleftBig" bgcolor="#F6F6F6">Number of Switch:</td>
               <xsl:call-template name="NL" />
               <td id="headingleftBig" bgcolor="#F6F6F6">
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_switch_details')</xsl:attribute>
                   <xsl:if test="count(report/firmwarereport/switch)=1">
                     <xsl:value-of select="count(report/firmwarereport/switch)"/> Device
                   </xsl:if>
                   <xsl:if test="count(report/firmwarereport/switch)>1">
                     <xsl:value-of select="count(report/firmwarereport/switch)"/> Devices
                   </xsl:if>
                 </xsl:element>
                 <xsl:variable name="critical2" select="count(report/firmwarereport/switch/switch_details[criticality=2 and status=0])" />
                 <xsl:if test="$critical2>0">
                   &#160;|&#160;&#160;<img src="ctl.jpg" style="margin-right: 3px" alt="Critical"/>
                   <xsl:element name="a">
                     <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_switch_details')</xsl:attribute>
                     <xsl:value-of select="$critical2"/> Critical
                   </xsl:element>
                 </xsl:if>
                 <xsl:variable name="ipfdd" select="count(report/firmwarereport/switch/switch_details[status=2])" />
                 <xsl:if test="$critical2>0">
                   &#160;|&#160;&#160;<img src="ctl.jpg" style="margin-right: 3px" alt="Failed Dependencies"/>
                   <xsl:element name="a">
                     <xsl:attribute name="href">javascript:showhidedivscroll('id_all_faileddependency_details','id_summary','id_all_faileddependency_details')</xsl:attribute>
                     <xsl:value-of select="$ipfdd"/> Failed Dependencies
                   </xsl:element>
                 </xsl:if>
                 <xsl:variable name="rcmd2" select="count(report/firmwarereport/switch/switch_details[criticality=1 and status=0])" />
                 <xsl:if test="$rcmd2>0">
                   &#160;|&#160;&#160;<img src="rmd.jpg" style="margin-right: 3px" alt="Recommended"/>
                   <xsl:element name="a">
                     <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_switch_details')</xsl:attribute>
                     <xsl:value-of select="$rcmd2"/> Recommended
                   </xsl:element>
                 </xsl:if>
                 <xsl:variable name="optional3" select="count(report/firmwarereport/switch/switch_details[(criticality=0 or criticality=3) and status=0])" />
                 <xsl:if test="$optional3>0">
                   &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Optonal"/>
                   <xsl:element name="a">
                     <xsl:attribute name="href">javascript:showhidedivscroll('id_all_firmware_details','id_summary','id_switch_details')</xsl:attribute>
                     <xsl:value-of select="$optional3"/> Optional
                   </xsl:element>
                 </xsl:if>
               </td>
             </tr>
           </xsl:if>
         </xsl:if>
         <!--Inventory Report-->
         <xsl:if test="report[report_type=0] and count(report/inventoryreport)>0">
           <xsl:variable name="swc" select="count(report/inventoryreport/component/typeofcomponent[text()='Software'])" />
           <xsl:variable name="fwc" select="count(report/inventoryreport/component/typeofcomponent[text()='Firmware'])" />
           <xsl:if test="$swc>0">
           <tr>
             <td></td>
             <td id="headingleftBig">Number of SW Components:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig">
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_summary','software')</xsl:attribute>
                 <xsl:value-of select="$swc"/>
               </xsl:element>
             </td>
           </tr>
          </xsl:if>
           <xsl:if test="$fwc>0">
           <tr>
             <td></td>
             <td id="headingleftBig" bgcolor="#F6F6F6">Number of FW Components:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig" bgcolor="#F6F6F6">
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_summary','firmware')</xsl:attribute>
                 <xsl:value-of select="$fwc"/>
               </xsl:element>
             </td>
           </tr>
          </xsl:if>
         </xsl:if>
         <!--FailedDependency Report-->
         <xsl:if test="report[report_type=2]">
           <xsl:variable name="fddcnt" select="count(report/faileddependencyreport/system)" />
           <xsl:if test ="count(report/faileddependencyreport/system)>0">
             <tr>
               <td></td>
               <td id="headingleftBig">Number of Targets:</td>
               <xsl:call-template name="NL" />
               <td id="headingleftBig">
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_faileddependency_details','id_summary','id_all_faileddependency_details')</xsl:attribute>
                   <xsl:if test="$fddcnt=1"><xsl:value-of select="$fddcnt"/> Device</xsl:if>
                   <xsl:if test="$fddcnt>1"><xsl:value-of select="$fddcnt"/> Devices</xsl:if>
                 </xsl:element>
                 <xsl:if test="$fddcnt - count(report/faileddependencyreport/system/no_data)>0">
                   &#160;|&#160;&#160;<img src="ctl.jpg" border="0" style="margin-right: 3px" alt="Critical"/>
                   <xsl:element name="a">
                     <xsl:attribute name="href">javascript:showhidedivscroll('id_all_faileddependency_details','id_summary','id_all_faileddependency_details')</xsl:attribute>
                     <xsl:value-of select="$fddcnt - count(report/faileddependencyreport/system/no_data)"/> Failed Dependency
                   </xsl:element>
                 </xsl:if>
               </td>
             </tr>
           </xsl:if>
         </xsl:if>
         <!--Update Applied Report-->
         <xsl:if test="report[report_type=3]">
           <xsl:if test ="count(report/updatetobeappliedreport/oa)>0">
           <tr>
             <td></td>
             <td id="headingleftBig">Number of OA:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig">
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_updatetobeappliedreport_details','id_summary','id_all_updatetobeappliedreport_details')</xsl:attribute>
                 <xsl:if test="count(report/updatetobeappliedreport/oa)=1"><xsl:value-of select="count(report/updatetobeappliedreport/oa)"/> Device</xsl:if>
                 <xsl:if test="count(report/updatetobeappliedreport/oa)>1"><xsl:value-of select="count(report/updatetobeappliedreport/oa)"/> Devices</xsl:if>
               </xsl:element>
             </td>
           </tr>
           </xsl:if>
           <xsl:if test ="count(report/updatetobeappliedreport/system)>0">
           <tr>
             <td></td>
             <td id="headingleftBig" bgcolor="#F6F6F6">Number of Servers:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig" bgcolor="#F6F6F6">
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_updatetobeappliedreport_details','id_summary','id_all_updatetobeappliedreport_details')</xsl:attribute>
                  <xsl:if test="count(report/updatetobeappliedreport/system)=1"><xsl:value-of select="count(report/updatetobeappliedreport/system)"/> Device</xsl:if>
               <xsl:if test="count(report/updatetobeappliedreport/system)>1"><xsl:value-of select="count(report/updatetobeappliedreport/system)"/> Devices</xsl:if></xsl:element>
             </td>
           </tr>
           </xsl:if>
           <xsl:if test ="count(report/updatetobeappliedreport/vc)>0">
           <tr>
           <td></td>
           <td id="headingleftBig">Number of VC:</td>
           <xsl:call-template name="NL" />
           <td id="headingleftBig">
             <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_updatetobeappliedreport_details','id_summary','id_all_updatetobeappliedreport_details')</xsl:attribute>
               <xsl:if test="count(report/updatetobeappliedreport/vc)=1"><xsl:value-of select="count(report/updatetobeappliedreport/vc)"/> Device</xsl:if>
               <xsl:if test="count(report/updatetobeappliedreport/vc)>1"><xsl:value-of select="count(report/updatetobeappliedreport/vc)"/> Devices</xsl:if></xsl:element>
             </td>
           </tr>  
           </xsl:if>
           <xsl:if test ="count(report/updatetobeappliedreport/ilo)>0">
           <tr>
           <td></td>
           <td id="headingleftBig">Number of iLO:</td>
           <xsl:call-template name="NL" />
           <td id="headingleftBig">
             <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_updatetobeappliedreport_details','id_summary','id_all_updatetobeappliedreport_details')</xsl:attribute>
               <xsl:if test="count(report/updatetobeappliedreport/ilo)=1"><xsl:value-of select="count(report/updatetobeappliedreport/ilo)"/> Device</xsl:if>
               <xsl:if test="count(report/updatetobeappliedreport/ilo)>1"><xsl:value-of select="count(report/updatetobeappliedreport/ilo)"/> Devices</xsl:if></xsl:element>
             </td>
           </tr>
           </xsl:if>
           <xsl:if test ="count(report/updatetobeappliedreport/sd2)>0">
           <tr>
             <td></td>
             <td id="headingleftBig" bgcolor="#F6F6F6">Number of Superdome 2:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig" bgcolor="#F6F6F6">
               <xsl:element name="a">
               <xsl:attribute name="href">javascript:showhidedivscroll('id_all_updatetobeappliedreport_details','id_summary','id_all_updatetobeappliedreport_details')</xsl:attribute>
               <xsl:if test="count(report/updatetobeappliedreport/sd2)=1"><xsl:value-of select="count(report/updatetobeappliedreport/sd2)"/> Device</xsl:if>
               <xsl:if test="count(report/updatetobeappliedreport/sd2)>1"><xsl:value-of select="count(report/updatetobeappliedreport/sd2)"/> Devices</xsl:if></xsl:element>
               </td>
             </tr>
           </xsl:if>
           <xsl:if test ="count(report/updatetobeappliedreport/ipdu)>0">
           <tr>
             <td></td>
             <td id="headingleftBig">Number of IPDU:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig">
               <xsl:element name="a">
               <xsl:attribute name="href">javascript:showhidedivscroll('id_all_updatetobeappliedreport_details','id_summary','id_all_updatetobeappliedreport_details')</xsl:attribute>
               <xsl:if test="count(report/updatetobeappliedreport/ipdu)=1"><xsl:value-of select="count(report/updatetobeappliedreport/ipdu)"/> Device</xsl:if>
               <xsl:if test="count(report/updatetobeappliedreport/ipdu)>1"><xsl:value-of select="count(report/updatetobeappliedreport/ipdu)"/> Devices</xsl:if></xsl:element>
               </td>
             </tr>
           </xsl:if>
           <xsl:if test ="count(report/updatetobeappliedreport/switch)>0">
             <tr>
               <td></td>
               <td id="headingleftBig">Number of Switch:</td>
               <xsl:call-template name="NL" />
               <td id="headingleftBig">
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_updatetobeappliedreport_details','id_summary','id_all_updatetobeappliedreport_details')</xsl:attribute>
                   <xsl:if test="count(report/updatetobeappliedreport/switch)=1">
                     <xsl:value-of select="count(report/updatetobeappliedreport/switch)"/> Device
                   </xsl:if>
                   <xsl:if test="count(report/updatetobeappliedreport/switch)>1">
                     <xsl:value-of select="count(report/updatetobeappliedreport/switch)"/> Devices
                   </xsl:if>
                 </xsl:element>
               </td>
             </tr>
           </xsl:if>
         </xsl:if>
         <!--Installed Report-->
         <xsl:if test="report[report_type=4]">
         <xsl:if test ="count(report/installedreport/oa)>0">
           <tr>
             <td></td>
             <td id="headingleftBig">Number of OA:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig">
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                 <xsl:if test="count(report/installedreport/oa)=1"><xsl:value-of select="count(report/installedreport/oa)"/> Device</xsl:if>
                 <xsl:if test="count(report/installedreport/oa)>1"><xsl:value-of select="count(report/installedreport/oa)"/> Devices</xsl:if>
               </xsl:element>
               <xsl:if test="sum(report/installedreport/oa/success)>0">
                 &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Success"/>
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/oa/success)"/> Success
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/oa/failed)>0">
                 &#160;|&#160;&#160;<img src="fld.jpg" style="margin-right: 3px" alt="Failed"/>
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/oa/failed)"/> Failed
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/oa/canceled)>0">
                 &#160;|&#160;&#160;<img src="cnld.jpg" style="margin-right: 3px" alt="Canceled"/>
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/oa/canceled)"/> Canceled
                 </xsl:element>
               </xsl:if>
             </td>
           </tr>
           </xsl:if>
         <xsl:if test ="count(report/installedreport/system)>0">
           <tr>
             <td></td>
             <td id="headingleftBig" bgcolor="#F6F6F6">Number of Servers:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig" bgcolor="#F6F6F6">
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
               <xsl:if test="count(report/installedreport/system)=1"><xsl:value-of select="count(report/installedreport/system)"/> Device</xsl:if>
               <xsl:if test="count(report/installedreport/system)>1"><xsl:value-of select="count(report/installedreport/system)"/> Devices</xsl:if></xsl:element>
               <xsl:if test="sum(report/installedreport/system/success)>0">
                 &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Success"/>
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/system/success)"/> Success
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/system/failed)>0">
                 &#160;|&#160;&#160;<img src="fld.jpg" style="margin-right: 3px" alt="Failed"/>
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/system/failed)"/> Failed
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/system/canceled)>0">
                 &#160;|&#160;&#160;<img src="cnld.jpg" style="margin-right: 3px" alt="Canceled"/>
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/system/canceled)"/> Canceled
                 </xsl:element>
               </xsl:if>
             </td>
           </tr>
           </xsl:if>
            <!--If there are VC-->
         <xsl:if test ="count(report/installedreport/vc)>0">
           <tr>
             <td></td>
             <td id="headingleftBig">Number of VC:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig">
               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
               <xsl:if test="count(report/installedreport/vc)=1"><xsl:value-of select="count(report/installedreport/vc)"/> Device</xsl:if>
               <xsl:if test="count(report/installedreport/vc)>1"><xsl:value-of select="count(report/installedreport/vc)"/> Devices</xsl:if></xsl:element>
               <xsl:if test="sum(report/installedreport/vc/success)>0">
                 &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Success"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/vc/success)"/> Success
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/vc/failed)>0">
                 &#160;|&#160;&#160;<img src="fld.jpg" style="margin-right: 3px" alt="Failed"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_installed_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/vc/failed)"/> Failed
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/vc/canceled)>0">
                 &#160;|&#160;&#160;<img src="cnld.jpg" style="margin-right: 3px" alt="Canceled"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_detailsid_all_installedreport_details','id_summary','id_installed_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/vc/canceled)"/> Canceled
                 </xsl:element>
               </xsl:if>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test ="count(report/installedreport/ilo)>0">
           <tr>
           <td></td>
           <td id="headingleftBig" bgcolor="#F6F6F6">Number of iLO:</td>
           <xsl:call-template name="NL" />
           <td id="headingleftBig">
             <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
               <xsl:if test="count(report/installedreport/ilo)=1"><xsl:value-of select="count(report/installedreport/ilo)"/> Device</xsl:if>
               <xsl:if test="count(report/installedreport/ilo)>1"><xsl:value-of select="count(report/installedreport/ilo)"/> Devices</xsl:if></xsl:element>
               <xsl:if test="sum(report/installedreport/ilo/success)>0">
                 &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Success"/>
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/ilo/success)"/> Success
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/ilo/failed)>0">
                 &#160;|&#160;&#160;<img src="fld.jpg" style="margin-right: 3px" alt="Failed"/>
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/ilo/failed)"/> Failed
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/ilo/canceled)>0">
                 &#160;|&#160;&#160;<img src="cnld.jpg" style="margin-right: 3px" alt="Canceled"/>
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/ilo/canceled)"/> Canceled
                 </xsl:element>
             </xsl:if>
             </td>
           </tr>
           </xsl:if>
         <xsl:if test ="count(report/installedreport/sd2)>0">
           <tr>
             <td></td>
             <td id="headingleftBig">Number of Superdome 2:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig" bgcolor="#F6F6F6">
               <xsl:element name="a">
               <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
               <xsl:if test="count(report/installedreport/sd2)=1"><xsl:value-of select="count(report/installedreport/sd2)"/> Device</xsl:if>
               <xsl:if test="count(report/installedreport/sd2)>1"><xsl:value-of select="count(report/installedreport/sd2)"/> Devices</xsl:if></xsl:element>
               <xsl:if test="sum(report/installedreport/sd2/success)>0">
                 &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Success"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/sd2/success)"/> Success
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/sd2/failed)>0">
                 &#160;|&#160;&#160;<img src="fld.jpg" style="margin-right: 3px" alt="Failed"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/sd2/failed)"/> Failed
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/sd2/canceled)>0">
                 &#160;|&#160;&#160;<img src="cnld.jpg" style="margin-right: 3px" alt="Canceled"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/sd2/canceled)"/> Canceled
                 </xsl:element>
               </xsl:if>
               </td>
             </tr>
           </xsl:if>
         <xsl:if test ="count(report/installedreport/ipdu)>0">
           <tr>
             <td></td>
             <td id="headingleftBig" bgcolor="#F6F6F6">Number of IPDU:</td>
             <xsl:call-template name="NL" />
             <td id="headingleftBig">
               <xsl:element name="a">
               <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
               <xsl:if test="count(report/installedreport/ipdu)=1"><xsl:value-of select="count(report/installedreport/ipdu)"/> Device</xsl:if>
               <xsl:if test="count(report/installedreport/ipdu)>1"><xsl:value-of select="count(report/installedreport/ipdu)"/> Devices</xsl:if></xsl:element>
               <xsl:if test="sum(report/installedreport/ipdu/success)>0">
                 &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Success"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/ipdu/success)"/> Success
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/ipdu/failed)>0">
                 &#160;|&#160;&#160;<img src="fld.jpg" style="margin-right: 3px" alt="Failed"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/ipdu/failed)"/> Failed
                 </xsl:element>
               </xsl:if>
               <xsl:if test="sum(report/installedreport/ipdu/canceled)>0">
                 &#160;|&#160;&#160;<img src="cnld.jpg" style="margin-right: 3px" alt="Canceled"/>
                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:value-of select="sum(report/installedreport/ipdu/canceled)"/> Canceled
                 </xsl:element>
               </xsl:if>
               </td>
             </tr>
           </xsl:if>
         <xsl:if test ="count(report/installedreport/switch)>0">
             <tr>
               <td></td>
               <td id="headingleftBig" bgcolor="#F6F6F6">Number of Switch:</td>
               <xsl:call-template name="NL" />
               <td id="headingleftBig">
                 <xsl:element name="a">
                   <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                   <xsl:if test="count(report/installedreport/switch)=1">
                     <xsl:value-of select="count(report/installedreport/switch)"/> Device
                   </xsl:if>
                   <xsl:if test="count(report/installedreport/switch)>1">
                     <xsl:value-of select="count(report/installedreport/switch)"/> Devices
                   </xsl:if>
                 </xsl:element>
                 <xsl:if test="sum(report/installedreport/switch/success)>0">
                   &#160;|&#160;&#160;<img src="nml.jpg" style="margin-right: 3px" alt="Success"/>
                   <xsl:element name="a">
                     <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                     <xsl:value-of select="sum(report/installedreport/switch/success)"/> Success
                   </xsl:element>
                 </xsl:if>
                 <xsl:if test="sum(report/installedreport/switch/failed)>0">
                   &#160;|&#160;&#160;<img src="fld.jpg" style="margin-right: 3px" alt="Failed"/>
                   <xsl:element name="a">
                     <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                     <xsl:value-of select="sum(report/installedreport/switch/failed)"/> Failed
                   </xsl:element>
                 </xsl:if>
                 <xsl:if test="sum(report/installedreport/switch/canceled)>0">
                   &#160;|&#160;&#160;<img src="cnld.jpg" style="margin-right: 3px" alt="Canceled"/>
                   <xsl:element name="a">
                     <xsl:attribute name="href">javascript:showhidedivscroll('id_all_installedreport_details','id_summary','id_all_installedreport_details')</xsl:attribute>
                     <xsl:value-of select="sum(report/installedreport/switch/canceled)"/> Canceled
                   </xsl:element>
                 </xsl:if>
               </td>
             </tr>
           </xsl:if>
         </xsl:if>
         <xsl:call-template name="NL" />
         <tr><td colspan="3"></td></tr>
         <tr><td colspan="3"></td></tr>
         <tr><td colspan="3"></td></tr>
         <xsl:call-template name="NL" />
         <tr><td colspan="3"><h4>FIRMWARE RELEASE</h4></td>
         </tr>
         <tr><td colspan="3"></td></tr>
         <tr><td colspan="3"></td></tr>
         <tr><td colspan="3"></td></tr>
         <xsl:call-template name="NL" />
         <tr bgcolor="Gainsboro">
           <td bgcolor="white"></td>
           <th id="headingleftBig">Bundle Name</th>
           <xsl:call-template name="NL" />
           <th id="headingleftBig">Bundle Version</th>
         </tr>
         <xsl:call-template name="NL" />
         <xsl:if test="count(report/bundles/bundle)=0">
           <tr><td></td><td colspan="2" align="center" bgcolor="#F6F6F6">No bundles found</td></tr>
           <xsl:call-template name="NL" />
         </xsl:if>
         <xsl:for-each select="report/bundles/bundle">
           <xsl:element name="tr">
             <xsl:if test="(position() mod 2) = 0">
               <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
             </xsl:if>
             <td bgcolor="white"></td>
             <td id="headingleftBig"><xsl:value-of select ="name"/></td>
             <td id="headingleftBig"><xsl:value-of select ="version"/></td>
           </xsl:element>
         </xsl:for-each>
         <xsl:call-template name="NL" />
       </table>
       <table width="60%" align="center" style="margin-bottom:15px; margin-top:15px;">
         <xsl:call-template name="NL" />         
           <tr  align="center">
             <xsl:call-template name="NL" />
             <xsl:if test="count(report/inventoryreport)>0 and (report[report_type=0] or report[report_type=1])">
             <td style=" font-family: Arial; font-size: x-small;">
             <a href="javascript:showhidediv('id_all_inventory_details','id_summary');">Inventory Repository Report</a></td>
             </xsl:if>
             <xsl:if test="count(report/firmwarereport)>0 and report[report_type=1]">
             <xsl:call-template name="NL" />
             <td style=" font-family: Arial; font-size: x-small;">
             <a href="javascript:showhidediv('id_all_firmware_details','id_summary');">Firmware Report</a></td>
             </xsl:if>
             <xsl:if test="count(report/faileddependencyreport)>0 and (report[report_type=2] or report[report_type=1])">
             <xsl:call-template name="NL" />
             <td style=" font-family: Arial; font-size: x-small;">
             <a href="javascript:showhidediv('id_all_faileddependency_details','id_summary');">Failed Dependency Report</a></td>
             </xsl:if>
             <xsl:if test="count(report/updatetobeappliedreport)>0 and (report[report_type=3] or report[report_type=1])">
             <xsl:call-template name="NL" />
             <td style=" font-family: Arial; font-size: x-small;">
             <a href="javascript:showhidediv('id_all_updatetobeappliedreport_details','id_summary');">Updates to be Applied Report</a></td>
             </xsl:if>
             <xsl:if test="count(report/installedreport)>0 and report[report_type=4]">
             <xsl:call-template name="NL" />
             <td style=" font-family: Arial; font-size: x-small;">
             <a href="javascript:showhidediv('id_all_installedreport_details','id_summary');">Installed Report</a></td>
             </xsl:if>
             <xsl:if test="count(report[report_type=1])>0">
             <xsl:call-template name="NL" />
             <td style=" font-family: Arial; font-size: x-small;">
             <a id="id_show_all_report" href="javascript:showhidealldiv(true);">Show All Reports</a>
             <a id="id_hide_all_report" href="javascript:showhidealldiv(false);" style="display:none">Hide All Reports</a>
             </td>
             </xsl:if>
           </tr>
       </table>
       <xsl:call-template name="NL" />
     </div>
     <xsl:call-template name="NL" />
     <xsl:if test="count(report/firmwarereport)>0">
     <div id="id_all_firmware_details" style="display:none">
       <xsl:call-template name="NL" />
       <div id="contentDiv" style="margin-left:5px; margin-top:5px; width:99.1%">
       <xsl:call-template name="NL" />
         <div id="id_firmware_details_header">
         <xsl:call-template name="NL" />
         <div id="headerDiv" style="width:100%">
         <xsl:call-template name="NL" />
         <div id="titleText">Firmware Report</div>
         <xsl:call-template name="NL" />
          <a href="javascript:showdetails('firmware_details');">
           <img src="collapse.png" border="0" id="img_firmware_details" alt="Expand/Collapse section"/>
       </a>
         <xsl:call-template name="NL" />
         <a href="javascript:showhidediv('id_summary','id_all_firmware_details');" >Back to Main</a>
          </div>
          <div id="id_firmware_details" style="display:block">
          <xsl:call-template name="NL" />
          <!--<div id="contentDiv" style="margin-left:7px; width:99.1%">-->
          <xsl:call-template name="NL" />
          <xsl:if test ="count(report/firmwarereport/oa)>0">
          <div id="id_oa_details_link" style="margin: 4px; width: 100%; ">
            <xsl:call-template name="NL" />
           <a href="javascript:toggle('oa_details','oa_details')"><img src="hpminus.gif" border="0" id="img_oa_details"/></a>
          <xsl:call-template name="NL" />
          <font style="font-family: 'Arial'; font-weight: bold; font-size: 12px"> Onboard Administrator Details</font>
          </div>
          <xsl:call-template name="NL" />
          <div id="id_oa_details" style="display:block; margin-left: 14px; margin-right: 10px; width: 99%;">
           <xsl:call-template name="NL" />
           <table width="100%">
             <xsl:call-template name="NL" />
             <xsl:for-each select="report/firmwarereport/oa">
               <xsl:call-template name="NL" />
               <xsl:element name="tr">
                 <xsl:call-template name="NL" />
                 <xsl:element name="td">
                   <xsl:element name="a">
                     <xsl:attribute name="href">javascript:toggle('<xsl:value-of select="id"/>','<xsl:value-of select="id"/>')</xsl:attribute>
                     <xsl:attribute name="name">main</xsl:attribute>
                     <xsl:call-template name="NL" />
                     <xsl:element name="img">
                       <xsl:attribute name="src">hpminus.gif</xsl:attribute>
                       <xsl:attribute name="border">0</xsl:attribute>
                       <xsl:attribute name="id">img_<xsl:value-of select="id"/>
                       </xsl:attribute>
                     </xsl:element>
                   </xsl:element>
                   <xsl:text>	  </xsl:text>
                   <font style="font-family: 'Arial'; font-weight: bold; font-size: 11px">
                   <xsl:value-of select="id"/></font>
                   <xsl:call-template name="NL" />
                   <xsl:element name="div">
                     <xsl:attribute name="id">id_<xsl:value-of select="id"/>
                     </xsl:attribute>
                     <xsl:attribute name="style">display:block</xsl:attribute>
                     <xsl:call-template name="NL" />
                     <table>
                       <tr>
                         <td>
                           <font style="font-family: Arial; font-size: 11px; font-weight: bold; margin-right:3px">Status:</font>
                           <font style="font-family: Arial; font-size: xx-small">
                           <xsl:if test="count(oa_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0 and type='Active'])>0">
                             <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Ready to update"/>
                             <xsl:value-of select="count(oa_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0 and type='Active'])"></xsl:value-of> Ready to update
                           </xsl:if>
                           <xsl:text>   </xsl:text>
                           <xsl:if test="count(oa_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1 and type='Active'])">
                             <img src="dbd.png" style="margin-left: 3px; margin-right: 3px" alt="No update needed"/>
                             <xsl:value-of select="count(oa_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1 and type='Active'])"></xsl:value-of> No update needed
                           </xsl:if>
                           <xsl:text>   </xsl:text>
                           <xsl:if test="count(oa_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0)and status=2 and type='Active'])>0">
                             <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Failed Dependencies"/>
                             <xsl:value-of select="count(oa_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0 )and status=2 and type='Active'])"></xsl:value-of> Failed Dependencies
                           </xsl:if>
                           <xsl:text>   </xsl:text>
                           <xsl:if test="count(oa_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0)and status=3 and type='Active'])>0">
                             <img src="cfg.jpg"  style="margin-left: 3px; margin-right: 3px" alt="Needs Configuration"/>
                             <xsl:value-of select="count(oa_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0 )and status=3 and type='Active'])"></xsl:value-of> Needs Configuration
                           </xsl:if>
                           <xsl:text>   </xsl:text>
                           </font>
                           <font style="font-family: Arial; font-size: 11px; font-weight: bold;margin-left:10px">Criticality: </font>
                           <font style="font-family: Arial; font-size: xx-small">
                           <xsl:if test="count(oa_details[criticality=2 and status=0 and type='Active'])>0">
                             <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Critical"/>
                             <xsl:value-of select="count(oa_details[criticality=2 and status!=1 and type='Active'])"></xsl:value-of> Critical
                           </xsl:if>
                           <xsl:text>   </xsl:text>
                           <xsl:if test="count(oa_details[criticality=1 and status=0 and type='Active'])>0">
                             <img src="rmd.jpg" style="margin-left: 3px; margin-right: 3px" alt="Recommended"/>
                             <xsl:value-of select="count(oa_details[criticality=1 and status!=1 and type='Active'])"></xsl:value-of> Recommended
                           </xsl:if>
                           <xsl:text>   </xsl:text>
                           <xsl:if test="count(oa_details[(criticality=0 or criticality=3) and status!=1 and type='Active'])>0">
                             <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Optonal"/>
                             <xsl:value-of select="count(oa_details[(criticality=0 or criticality=3) and status=0 and type='Active'])"></xsl:value-of> Optional
                           </xsl:if>
                           </font>
                         </td>
                       </tr>
                     </table>
                     <xsl:call-template name="NL" />
                     <table class="custom" width="100%" margin-left="5px">
                       <xsl:call-template name="NL" />
                       <xsl:copy-of select="$severheader" />
                       <xsl:call-template name="NL" />
                       <tr bgcolor="Gainsboro" >
                         <td colspan="14"><b>ENCLOSURE</b></td>
                       </tr>
                       <xsl:for-each select="enclosure_details">
                         <xsl:call-template name="NL" />
                         <tr>
                           <td align="center"><xsl:value-of select="bay"/></td>
                           <td><xsl:value-of select="type"/></td>
                           <td><xsl:value-of select="part_number"/></td>
                           <td><xsl:value-of select="serial_number"/></td>
                           <td><xsl:value-of select="oa_name"/></td>
                           <td><xsl:value-of select="ipaddress"/></td>
                           <td><xsl:value-of select="iloaddress"/></td>
                           <td><xsl:value-of select="board_name"/></td>
                           <td><xsl:value-of select="mezz1"/></td>
                           <td><xsl:value-of select="mezz2"/></td>
                           <td><xsl:value-of select="mezz3"/></td>
                           <td><xsl:value-of select="system_rom"/></td>
                           <td><xsl:value-of select="ilo"/></td>
                           <td><xsl:value-of select="pmc"/></td>
                         </tr>
                       </xsl:for-each>
                       <xsl:call-template name="NL" />
                       <tr bgcolor="Gainsboro" >
                         <td colspan="14" align="left"><b>ONBOARD ADMINISTRATOR</b></td>
                       </tr>
                       <xsl:for-each select="oa_details">
                         <xsl:call-template name="NL" />
                         <xsl:element name="tr">
                           <xsl:if test="(position() mod 2) = 0">
                             <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                           </xsl:if>
                           <td align="center"><xsl:value-of select="bay"/></td>
                           <td>
                             <xsl:value-of select="type"/>
                             <br></br>
                             <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                             <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                             <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                             <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                           </td>
                           <td><xsl:value-of select="part_number"/></td>
                           <td><xsl:value-of select="serial_number"/></td>
                           <td><xsl:value-of select="oa_name"/></td>
                           <td><xsl:value-of select="ipaddress"/></td>
                           <td><xsl:value-of select="iloaddress"/></td>
                           <td colspan="4"><xsl:value-of select="board_name"/></td>
                           <td>
                             <xsl:value-of select="firmware_version"/>
                             <br></br>
                             <xsl:value-of select="repo_version"/>
                             <xsl:text> </xsl:text>
                               <xsl:element name="a">
                              <xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="component"/>')</xsl:attribute>
                              <xsl:value-of select="component"/>
                            </xsl:element>
                             <br></br>
                             <xsl:if test="criticality=2 and status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                             <xsl:if test="criticality=2 and status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                             <xsl:if test="criticality=1 and status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                             <xsl:if test="criticality=1 and status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                             <xsl:if test="(criticality=3 or criticality=0) and status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                             <xsl:if test="(criticality=3 or criticality=0) and status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                           </td>
                           <td><xsl:value-of select="ilo"/></td>
                           <td><xsl:value-of select="pmc"/></td>
                         </xsl:element>
                       </xsl:for-each>
                       <xsl:call-template name="NL" />
                       <tr bgcolor="Gainsboro" >
                         <td colspan="14" align="left"><b>INTERCONNECT BAYS</b></td>
                       </tr>
                       <xsl:for-each select="interconnects/interconnect">
                         <xsl:call-template name="NL" />
                         <xsl:element name="tr">
                           <xsl:if test="(position() mod 2) = 0">
                             <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                           </xsl:if>
                           <td align="center"><xsl:value-of select="bay"/></td>
                           <td><xsl:value-of select="type"/></td>
                           <td><xsl:value-of select="part_number"/></td>
                           <td><xsl:value-of select="serial_number"/></td>
                           <td><xsl:value-of select="oa_name"/></td>
                           <td><xsl:value-of select="ipaddress"/></td>
                           <td><xsl:value-of select="iloaddress"/></td>
                           <td colspan="4"><xsl:value-of select="device_model"/></td>
                           <td><xsl:value-of select="firmware_version"/></td>
                           <td><xsl:value-of select="ilo"/></td>
                           <td><xsl:value-of select="pmc"/></td>
                         </xsl:element>
                       </xsl:for-each>

                       <xsl:call-template name="NL" />
                       <tr bgcolor="Gainsboro" >
                         <td colspan="14" align="left"><b>BLADE SERVERS (Quick Glance)</b></td>
                       </tr>
                       <xsl:for-each select="systems/system">
                         <xsl:call-template name="NL" />
                         <xsl:element name="tr">
                           <xsl:if test="(position() mod 2) = 0">
                             <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                           </xsl:if>
                           <xsl:variable name="serialNum" select="string(serial_number)"/>
                           <td align="center">
                             <xsl:choose>
                               <xsl:when test="count(../../../system/system_details/serial_number[text()=$serialNum])>0">
                                 <xsl:element name="a"><xsl:attribute name="href"><xsl:value-of select="href_ash"/></xsl:attribute><xsl:value-of select="bay"/></xsl:element>
                               </xsl:when>
                               <xsl:otherwise>
                                 <xsl:value-of select="bay"/>
                               </xsl:otherwise>
                             </xsl:choose>
                           </td>
                           <td><xsl:value-of select="type"/></td>
                           <td><xsl:value-of select="part_number"/></td>
                           <td><xsl:value-of select="serial_number"/></td>
                           <td><xsl:value-of select="oa_name"/></td>
                           <td><xsl:value-of select="ipaddress"/></td>
                           <td><xsl:value-of select="iloaddress"/></td>
                           <td><xsl:value-of select="device_model"/></td>
                           <td><xsl:value-of select="mezz1"/></td>
                           <td><xsl:value-of select="mezz2"/></td>
                           <td><xsl:value-of select="mezz3"/></td>
                           <td><xsl:value-of select="system_rom"/></td>
                           <td><xsl:value-of select="ilo_version"/></td>
                           <td><xsl:value-of select="pmc_version"/></td>
                         </xsl:element>
                       </xsl:for-each>
                     </table>
                   </xsl:element>
                 </xsl:element>
               </xsl:element>
               <xsl:if test ="count(partitions/domain)>0">
                 <xsl:call-template name="NL" />
                 <table class="custom" width="100%" margin-left="5px">
                   <xsl:call-template name="NL" />
                   <xsl:copy-of select="$tigerPartitionheader" />
                   <xsl:call-template name="NL" />
                   <tr bgcolor="Gainsboro" >
                     <td colspan="14" align="left"><b>PARTITIONS (Quick Glance)</b></td>
                   </tr>
                   <xsl:for-each select="partitions/domain">
                     <xsl:call-template name="NL" />
                     <xsl:element name="tr">
                       <td colspan="7"><xsl:value-of select="servertype"/></td>
                     </xsl:element>
                     <xsl:for-each select="npar">
                       <xsl:element name="tr">
                         <td></td>
                         <td><xsl:value-of select="count(nparblade)"/> Blade(s)</td>
                         <td><xsl:value-of select="partition"/></td>
                       </xsl:element>
                       <xsl:for-each select="nparblade">
                         <xsl:element name="tr">
                           <td></td>
                           <td></td>
                           <td></td>
                           <td><xsl:value-of select="part_number"/></td>
                           <td>Bay <xsl:value-of select="bay"/></td>
                           <td><xsl:value-of select="installedver"/></td>
                           <td><xsl:value-of select="description"/></td>
                         </xsl:element>
                       </xsl:for-each>
                     </xsl:for-each>
                   </xsl:for-each>
                 </table>
               </xsl:if>
             </xsl:for-each>
           </table>
         </div>
          </xsl:if>
          <!--Show Server details-->
          <xsl:if test ="count(report/firmwarereport/system)>0">
            <xsl:call-template name="NL" />
          <div id="id_server_details_link" style="margin: 4px; width: 100%; ">
            <xsl:call-template name="NL" />
            <a href="javascript:toggle('server_details','server_details')">
              <img src="hpminus.gif" border="0" id="img_server_details" style="margin-right: 4px"/>
            </a>
            <xsl:call-template name="NL" />
            <font style="font-family: 'Arial'; font-weight: bold; font-size: 12px">Server Details</font>
          </div>
            <xsl:call-template name="NL" />
          <div id="id_server_details" style="display:block; margin-left: 17px; margin-right: 10px; width: 99%;">
               <!--Quick glance for server not associated to OA-->
                <xsl:if test ="count(report/firmwarereport/system/system_details)>0">
                  <xsl:call-template name="NL" />
                  <font style="font-family: 'Arial'; font-weight: bold; font-size: 11px">Server Quick Glance</font>
                  <xsl:call-template name="NL" />
                  <table class="custom" width="100%">
                    <xsl:call-template name="NL" />
                    <tr align="left">
                      <th>IP Address</th>
                      <th>Type</th>
                      <th>Model</th>
                      <th>Operating System</th>
                      <th>Part Number</th>
                      <th>Serial Number</th>
                      <th>OS Architecture</th>
                      <th>Description</th>
                      <th>OA/IC/BIOS FW</th>
                      <th>ILO</th>
                      <th>PMC</th>
                    </tr>
                  <xsl:for-each select="report/firmwarereport/system/system_details">
                    <xsl:if test ="count(associated_oa)=0">
                     <xsl:call-template name="NL" />
                      <tr>
                        <td>
                        <xsl:element name="a"><xsl:attribute name="href">#<xsl:value-of select="serial_number"/></xsl:attribute>
                           <xsl:value-of select="ipaddress"/>
                         </xsl:element>
                        </td>
                        <td><xsl:value-of select="type"/></td>
                        <td><xsl:value-of select="server_type"/></td>
                        <td><xsl:value-of select="os"/></td>
                        <td><xsl:value-of select="part_number"/></td>
                        <td><xsl:value-of select="serial_number"/></td>
                        <td><xsl:value-of select="architecture"/></td>
                        <td><xsl:value-of select="description"/></td>
                        <td><xsl:value-of select="fw_version"/></td>
                        <td><xsl:value-of select="ilo"/></td>
                        <td><xsl:value-of select="pmc"/></td>
                      </tr>
                  </xsl:if>
                 </xsl:for-each>
                  </table>
                </xsl:if>
                <br></br>
               <table width="100%">
               <xsl:call-template name="NL" />
               <tr>
                 <td style ="font-family: Arial; font-size: 11px; font-weight: bold;width:5%">Status:</td>
                 <xsl:call-template name="NL" />
                 <td style="font-family: Arial; font-size: xx-small">
                   <xsl:variable name="rtup1" select="count(report/firmwarereport/system/ilo_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0]) + 
                         count(report/firmwarereport/system/rom_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0]) + 
                         count(report/firmwarereport/system/powerpic_details/powerpic[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0]) + 
                         count(report/firmwarereport/system/scontroller_details/scontroller_device[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0]) + 
                         count(report/firmwarereport/system/harddisk_details/hard_drive[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0]) + 
                         count(report/firmwarereport/system/nic_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0]) +
                         count(report/firmwarereport/system/tape_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0]) +
                         count(report/firmwarereport/system/ib_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0]) +
                         count(report/firmwarereport/system/hba_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0])" />
                   <xsl:if test="$rtup1>0">
                   <xsl:call-template name="NL" />
                   <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Ready to update"/>
                   <xsl:value-of select="$rtup1"/> Ready to update
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="nund2" select="count(report/firmwarereport/system/ilo_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1]) + 
                         count(report/firmwarereport/system/rom_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1]) + 
                         count(report/firmwarereport/system/powerpic_details/powerpic[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1]) + 
                         count(report/firmwarereport/system/scontroller_details/scontroller_device[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1]) + 
                         count(report/firmwarereport/system/harddisk_details/hard_drive[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1]) + 
                         count(report/firmwarereport/system/nic_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1]) + 
                         count(report/firmwarereport/system/tape_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1]) +
                         count(report/firmwarereport/system/ib_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1]) +
                         count(report/firmwarereport/system/hba_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1])" />
                   <xsl:if test="$nund2>0">
                     <xsl:call-template name="NL" />
                   <img src="dbd.png" style="margin-left: 3px; margin-right: 3px" alt="No update needed"/>
                   <xsl:value-of select="$nund2"/> No update needed
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="fdds" select="count(report/firmwarereport/system/ilo_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2]) + 
                         count(report/firmwarereport/system/rom_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2]) + 
                         count(report/firmwarereport/system/powerpic_details/powerpic[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2]) + 
                         count(report/firmwarereport/system/scontroller_details/scontroller_device[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2]) + 
                         count(report/firmwarereport/system/harddisk_details/hard_drive[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2]) + 
                         count(report/firmwarereport/system/nic_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2]) + 
                         count(report/firmwarereport/system/tape_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2]) + 
                         count(report/firmwarereport/system/ib_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2]) + 
                         count(report/firmwarereport/system/hba_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2])" />
                   <xsl:if test="$fdds>0">
                     <xsl:call-template name="NL" />
                   <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Failed Dependencies"/>
                   <xsl:value-of select="$fdds"/> Failed Dependencies
                   </xsl:if>
                    <xsl:text>   </xsl:text>
                   <xsl:variable name="ncfg" select="count(report/firmwarereport/system/ilo_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3]) + 
                         count(report/firmwarereport/system/rom_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3]) + 
                         count(report/firmwarereport/system/powerpic_details/powerpic[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3]) + 
                         count(report/firmwarereport/system/scontroller_details/scontroller_device[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3]) + 
                         count(report/firmwarereport/system/harddisk_details/hard_drive[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3]) + 
                         count(report/firmwarereport/system/nic_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3]) + 
                         count(report/firmwarereport/system/tape_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3]) +
                         count(report/firmwarereport/system/ib_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3]) +
                         count(report/firmwarereport/system/hba_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3])" />
                   <xsl:if test="$ncfg>0">
                     <xsl:call-template name="NL" />
                   <img src="cfg.jpg" style="margin-left: 3px; margin-right: 3px" alt="Needs Configuration"/>
                   <xsl:value-of select="$ncfg"/> Needs Configuration
                   </xsl:if>
                 </td>
                 <td></td>
                 <td align="right"><font style="font-family: Arial; font-size: xx-small"><a href="#top">Top</a></font></td>
               </tr>
                 <xsl:call-template name="NL" />
               <tr>
                 <td style ="font-family: Arial; font-size: 11px; font-weight: bold;">Criticality:</td>
                 <xsl:call-template name="NL" />
                 <td style="font-family: Arial; font-size: xx-small">
                   <xsl:variable name="critical3" select="count(report/firmwarereport/system/ilo_details[criticality=2 and status!=1]) + 
                     count(report/firmwarereport/system/rom_details[criticality=2 and status!=1]) + 
                     count(report/firmwarereport/system/powerpic_details/powerpic[criticality=2 and status!=1]) + 
                     count(report/firmwarereport/system/scontroller_details/scontroller_device[criticality=2 and status!=1]) + 
                     count(report/firmwarereport/system/harddisk_details/hard_drive[criticality=2 and status!=1]) + 
                     count(report/firmwarereport/system/nic_details[criticality=2 and status!=1]) + 
                     count(report/firmwarereport/system/tape_details[criticality=2 and status!=1]) +
                     count(report/firmwarereport/system/ib_details[criticality=2 and status!=1]) +
                     count(report/firmwarereport/system/hba_details[criticality=2 and status!=1])" />
                   <xsl:if test="$critical3>0">
                     <xsl:call-template name="NL" />
                     <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Critical"/>
                     <xsl:value-of select="$critical3"/> Critical
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="rcmd3" select="count(report/firmwarereport/system/ilo_details[criticality=1 and status!=1]) + 
                     count(report/firmwarereport/system/rom_details[criticality=1 and status!=1]) + 
                     count(report/firmwarereport/system/powerpic_details/powerpic[criticality=1 and status!=1]) + 
                     count(report/firmwarereport/system/scontroller_details/scontroller_device[criticality=1 and status!=1]) + 
                     count(report/firmwarereport/system/harddisk_details/hard_drive[criticality=1 and status!=1]) + 
                     count(report/firmwarereport/system/nic_details[criticality=1 and status!=1]) +
                     count(report/firmwarereport/system/tape_details[criticality=1 and status!=1]) +
                     count(report/firmwarereport/ib_details[criticality=1 and status!=1]) +
                     count(report/firmwarereport/system/hba_details[criticality=1 and status!=1])" />
                   <xsl:if test="$rcmd3>0">
                     <xsl:call-template name="NL" />
                     <img src="rmd.jpg" style="margin-left: 3px; margin-right: 3px" alt="Recommended"/>
                     <xsl:value-of select="$rcmd3"/> Recommended
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="optional4" select="count(report/firmwarereport/system/ilo_details[(criticality=0 or criticality=3) and status!=1]) + 
                     count(report/firmwarereport/system/rom_details[(criticality=0 or criticality=3) and status!=1]) + 
                     count(report/firmwarereport/system/powerpic_details/powerpic[(criticality=0 or criticality=3) and status!=1]) + 
                     count(report/firmwarereport/system/scontroller_details/scontroller_device[(criticality=0 or criticality=3) and status!=1]) + 
                     count(report/firmwarereport/system/harddisk_details/hard_drive[(criticality=0 or criticality=3) and status!=1]) + 
                     count(report/firmwarereport/system/nic_details[(criticality=0 or criticality=3) and status!=1]) + 
                     count(report/firmwarereport/system/tape_details[(criticality=0 or criticality=3) and status!=1]) + 
                     count(report/firmwarereport/system/ib_details[(criticality=0 or criticality=3) and status!=1]) + 
                     count(report/firmwarereport/system/hba_details[(criticality=0 or criticality=3) and status!=1])" />
                   <xsl:if test="$optional4>0">
                     <xsl:call-template name="NL" />
                     <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Optonal"/>
                     <xsl:value-of select="$optional4"/> Optional
                   </xsl:if>
                 </td>
                 <xsl:call-template name="NL" />
                 <td>Show :<input type="checkbox" checked="yes" margin-right="3px" name="2" onclick="showhideTableRows(this, 'server',2)">Critical  </input><xsl:call-template name="NL" />
                 <input type="checkbox" checked="yes" name="1" margin-right="3px" onclick="showhideTableRows(this, 'server',1)">Recommended  </input><xsl:call-template name="NL" />
                 <input type="checkbox" checked="yes" name="0" onclick="showhideTableRows(this, 'server',3)">Optional</input></td><xsl:call-template name="NL" />
                 <td align="right"><font style="font-family: Arial; font-size: xx-small"><a href="javascript:showhidediv('id_summary','id_all_firmware_details');">Back</a></font></td>
                 <xsl:call-template name="NL" />
               </tr>
             </table>
              <xsl:call-template name="NL" />
              <table class="custom" id="server" width="100%">
                  <xsl:call-template name="NL" />
                  <xsl:copy-of select="$serverdetailsheader" />
                  <xsl:for-each select="report/firmwarereport/system">
                    <xsl:call-template name="NL" />
                    <xsl:element name="tr">
                      <xsl:attribute name ="id">-1</xsl:attribute>
                      <xsl:attribute name="bgcolor">Gainsboro</xsl:attribute>
                      <td colspan="2">
                        <xsl:element name="a"><xsl:attribute name="name"><xsl:value-of select="system_details/serial_number"/></xsl:attribute>
                          <xsl:value-of select="system_details/ipaddress"/>
                        </xsl:element>
                      </td>
                      <xsl:call-template name="NL" />
                      <td rowspan="2" colspan="6">
                        <font style="font-family: Arial; font-size: 11px; font-weight: bold; margin-right:20px">Status:</font>
                        <xsl:if test="count(summary/readytoupdate)>0">
                          <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Ready to update"/>
                          <xsl:value-of select="summary/readytoupdate"/> Ready to update<xsl:call-template name="NL" />
                        </xsl:if>
                        <xsl:call-template name="NL" />
                        <xsl:if test="count(summary/noupdatedneeded)>0">
                          <img src="dbd.png" style="margin-left: 3px; margin-right: 3px" alt="No update needed"/>
                          <xsl:value-of select="summary/noupdatedneeded"/> No update needed<xsl:call-template name="NL" />
                        </xsl:if>
                        <xsl:call-template name="NL" />
                        <xsl:text>   </xsl:text>
                        <xsl:if test="count(summary/faileddependencies)>0">
                          <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Failed Dependencies"/>
                          <xsl:value-of select="summary/faileddependencies"/> Failed Dependencies<xsl:call-template name="NL" />
                        </xsl:if>
                        <xsl:call-template name="NL" />
                        <xsl:text>   </xsl:text>
                        <xsl:if test="count(summary/needsconfiguration)>0">
                          <img src="cfg.jpg"  style="margin-left: 3px; margin-right: 3px" alt="Needs Configuration"/>
                          <xsl:value-of select="summary/needsconfiguration"/> Needs Configuration<xsl:call-template name="NL" />
                        </xsl:if>
                        <xsl:call-template name="NL" />
                        <br></br>
                        <font style="font-family: Arial; font-size: 11px; font-weight: bold;">Criticality:  </font>
                        <xsl:if test="count(summary/crtical)>0">
                          <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Crititcal"/>
                          <xsl:value-of select="summary/crtical"/> Critical<xsl:call-template name="NL" />
                        </xsl:if>
                        <xsl:call-template name="NL" />
                        <xsl:text>   </xsl:text>
                        <xsl:if test="count(summary/recommended)>0">
                          <img src="rmd.jpg" style="margin-left: 3px; margin-right: 3px" alt="Recommended"/>
                          <xsl:value-of select="summary/recommended"/> Recommended<xsl:call-template name="NL" />
                        </xsl:if>
                        <xsl:call-template name="NL" />
                        <xsl:text>   </xsl:text>
                        <xsl:if test="count(summary/optional)>0">
                          <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Optonal"/>
                          <xsl:value-of select="summary/optional"/> Optional<xsl:call-template name="NL" />
                        </xsl:if>
                        <xsl:call-template name="NL" />
                      </td>
                      <xsl:call-template name="NL" />
                      <td align="center" rowspan="2">
                        <xsl:if test="count(../../../faileddependencyreport/system)">
                          <xsl:variable name="tgt1" select="string(ipaddress)"/>
                          <xsl:for-each select="../../../faileddependencyreport/system">
                            <xsl:if test="$tgt1=name">
                              <xsl:if test="count(component)>0">
                              <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_faileddependency_details','id_all_firmware_details','<xsl:value-of select="name"/>')</xsl:attribute>Failed Dependencies</xsl:element>
                             </xsl:if>
                            </xsl:if>
                          </xsl:for-each>
                        </xsl:if>
                      </td>
                    </xsl:element>
                    <xsl:element name="tr">
                      <xsl:attribute name ="id">-1</xsl:attribute>
                      <xsl:attribute name="bgcolor">Gainsboro</xsl:attribute>
                      <td align="center">
                        <xsl:if test="count(system_details/serial_number)=0">N/A</xsl:if>
                        <xsl:if test="count(system_details/serial_number)>0">
                        <xsl:variable name="serverId" select="string(serial_number)"/>
                        <xsl:choose>
                          <xsl:when test="count(../../../firmwarereport/oa)>0">
                            <xsl:for-each select="../../../firmwarereport/oa/systems/system">
                              <xsl:if test="$serverId=serial_number">
                                <xsl:value-of select="bay"/>
                              </xsl:if>
                            </xsl:for-each>
                          </xsl:when>
                          <xsl:otherwise>N/A</xsl:otherwise>
                        </xsl:choose>
                        </xsl:if>
                      </td>
                      <xsl:call-template name="NL" />
                      <td align="center"><xsl:value-of select="os_details/baytype"/></td>
                    </xsl:element>
                    <xsl:element name="tr">
                      <xsl:attribute name ="id">
                        <xsl:if test="count(rom_details/no_data)=0"><xsl:value-of select="rom_details/criticality" /></xsl:if>
                        <xsl:if test="count(rom_details/no_data)>0">-1</xsl:if></xsl:attribute>
                        <td></td>
                        <td></td>
                        <td>System ROM</td>
                      <xsl:call-template name="NL" />
                      <xsl:choose>
                        <xsl:when test="count(rom_details/no_data)>0">
                          <td colspan="7" align="center"><xsl:value-of select="rom_details/no_data"/></td>
                        </xsl:when>
                        <xsl:otherwise>
                          <td>
                            <xsl:if test="rom_details/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                            <xsl:if test="rom_details/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                            <xsl:if test="rom_details/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                            <xsl:if test="rom_details/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                          </td>
                          <xsl:call-template name="NL" />
                          <td>
                           <xsl:if test="rom_details/criticality=2 and rom_details/status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                           <xsl:if test="rom_details/criticality=2 and rom_details/status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                           <xsl:if test="rom_details/criticality=1 and rom_details/status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                           <xsl:if test="rom_details/criticality=1 and rom_details/status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                           <xsl:if test="(rom_details/criticality=3 or rom_details/criticality=0) and rom_details/status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                           <xsl:if test="(rom_details/criticality=3 or rom_details/criticality=0) and rom_details/status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                          </td>
                          <xsl:call-template name="NL" />
                          <td>
                            <xsl:value-of select="rom_details/rom_family"/>
                            <xsl:text>   </xsl:text><xsl:value-of select="rom_details/rom_version"/>
                          </td>
                          <xsl:call-template name="NL" />
                          <td><xsl:value-of select="rom_details/driver_version"/></td>                        
                          <td>
                            <xsl:if test="count(rom_details/repo_version)>0">
                            <xsl:value-of select="rom_details/rom_family"/>
                            <xsl:text>   </xsl:text><xsl:value-of select="rom_details/repo_version"/>
                            <br></br><xsl:call-template name="NL" />
                            <xsl:element name="a">
                              <xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="rom_details/component"/>')</xsl:attribute>
                              <xsl:value-of select="rom_details/component"/>
                            </xsl:element>
                            </xsl:if>
                          </td>
                          <xsl:call-template name="NL" />
                          <td>Description: <xsl:value-of select="rom_details/description"/><br></br>Location: <xsl:value-of select="rom_details/location"/></td>
                        </xsl:otherwise>
                      </xsl:choose>
                      </xsl:element>
                    <xsl:call-template name="NL" />
                    <xsl:element name="tr">
                      <xsl:attribute name ="id">
                        <xsl:if test="count(ilo_details/rom_version)>0"><xsl:value-of select="ilo_details/criticality" /></xsl:if>
                        <xsl:if test="count(ilo_details/rom_version)=0">-1</xsl:if></xsl:attribute>
                        <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                      <td></td>
                      <td></td>
                      <td>iLO</td>
                      <xsl:call-template name="NL" />
                      <xsl:choose>
                        <xsl:when test="count(ilo_details/rom_version)=0">
                          <td colspan="7" align="center">No Integrated Lights-Out component found<xsl:value-of select="ilo_details/no_data"/></td>
                          <xsl:call-template name="NL" />
                        </xsl:when>
                        <xsl:otherwise>
                          <td>
                            <xsl:if test="ilo_details/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                            <xsl:if test="ilo_details/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                            <xsl:if test="ilo_details/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                            <xsl:if test="ilo_details/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                          </td>
                          <xsl:call-template name="NL" />
                          <td>
                             <xsl:if test="ilo_details/criticality=2 and ilo_details/status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                             <xsl:if test="ilo_details/criticality=2 and ilo_details/status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                             <xsl:if test="ilo_details/criticality=1 and ilo_details/status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                             <xsl:if test="ilo_details/criticality=1 and ilo_details/status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                             <xsl:if test="(ilo_details/criticality=3 or ilo_details/criticality=0) and ilo_details/status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                             <xsl:if test="(ilo_details/criticality=3 or ilo_details/criticality=0) and ilo_details/status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                          </td>
                          <xsl:call-template name="NL" />
                          <td><xsl:value-of select="ilo_details/rom_version"/></td>
                          <td><xsl:value-of select="ilo_details/driver_version"/></td>
                          <td>
                            <xsl:value-of select="ilo_details/repo_version"/>
                            <br></br><xsl:call-template name="NL" />
                            <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="ilo_details/component"/>')</xsl:attribute>
                              <xsl:value-of select="ilo_details/component"/>
                            </xsl:element>
                          </td>
                          <xsl:call-template name="NL" />
                          <td>Description: <xsl:value-of select="ilo_details/description"/><br></br>Location: <xsl:value-of select="ilo_details/location"/></td>
                        </xsl:otherwise>
                      </xsl:choose>
                    </xsl:element>
                    <xsl:choose>
                      <xsl:when test="count(powerpic_details/powerpic)=0">
                        <xsl:call-template name="NL" />
                        <xsl:element name="tr">
                          <xsl:attribute name="id">-1</xsl:attribute>
                          <xsl:if test="(position() mod 2) = 0">
                            <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                          </xsl:if>
                            <td></td>
                            <td></td>
                            <td>Power Management Controller</td>
                            <xsl:call-template name="NL" />
                            <td colspan="7" align="center">No Power Management Controller component found<xsl:value-of select="powerpic_details/no_data"/></td>
                        </xsl:element>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:for-each select="powerpic_details/powerpic">
                            <xsl:call-template name="NL" />
                            <xsl:element name="tr">
                               <xsl:attribute name="id"><xsl:value-of select="criticality"/></xsl:attribute>
                              <xsl:if test="(position() mod 2) = 0">
                                <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                              </xsl:if>
                              <td></td>
                              <td></td>
                              <td>Power Management Controller</td>
                              <xsl:call-template name="NL" />
                              <td>
                                <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                              </td>
                              <xsl:call-template name="NL" />
                              <td>
                               <xsl:if test="criticality=2 and status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                               <xsl:if test="criticality=2 and status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                               <xsl:if test="criticality=1 and status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                               <xsl:if test="criticality=1 and status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                               <xsl:if test="(criticality=3 or criticality=0) and status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                               <xsl:if test="(criticality=3 or criticality=0) and status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                              </td>
                              <xsl:call-template name="NL" />
                              <td><xsl:value-of select="version"/></td>
                              <td><xsl:value-of select="driver_version"/></td>
                              <td><xsl:value-of select="repo_version"/><xsl:call-template name="NL" />
                                <br></br>
                                <xsl:element name="a">
                                  <xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="component"/>')</xsl:attribute>
                                <xsl:value-of select="component"/>
                                </xsl:element>
                              </td>
                              <xsl:call-template name="NL" />
                              <td>Description: <xsl:value-of select="product_id"/><br></br>Location: <xsl:value-of select="location"/></td>
                            </xsl:element>
                          </xsl:for-each>
                            </xsl:otherwise>
                    </xsl:choose>
                    <xsl:choose>
                        <xsl:when test="count(scontroller_details/scontroller_device)=0">
                          <xsl:call-template name="NL" />
                          <xsl:element name="tr">
                            <xsl:attribute name="id">-1</xsl:attribute>
                            <xsl:if test="(position() mod 2) != 0">
                              <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                            </xsl:if>
                            <td></td>
                            <td></td>
                            <td>Array Controller</td>
                            <td colspan="7" align="center">No Storage Controller component found<xsl:value-of select="scontroller_details/no_data"/></td>
                            <xsl:call-template name="NL" />
                          </xsl:element>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:for-each select="scontroller_details/scontroller_device">
                            <xsl:call-template name="NL" />
                            <xsl:element name="tr">
                              <xsl:attribute name="id"><xsl:value-of select="criticality"/></xsl:attribute>
                              <xsl:if test="(position() mod 2) != 0">
                                <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                              </xsl:if>
                              <td></td>
                              <td></td>
                              <td>Array Controller</td>
                              <xsl:call-template name="NL" />
                            <xsl:if test="count(fw_item)=0">
                              <td>
                                <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                              </td>
                              <xsl:call-template name="NL" />
                              <td>
                               <xsl:if test="criticality=2 and status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                               <xsl:if test="criticality=2 and status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                               <xsl:if test="criticality=1 and status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                               <xsl:if test="criticality=1 and status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                               <xsl:if test="(criticality=3 or criticality=0) and status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                               <xsl:if test="(criticality=3 or criticality=0) and status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                              </td>
                              <xsl:call-template name="NL" />
                              <td><xsl:value-of select="version"/></td>
                              <td><xsl:value-of select="driver_version"/></td>
                            </xsl:if>
                            <xsl:if test="count(fw_item)!=0">
                              <td></td>
                              <xsl:call-template name="NL" />
                              <td></td>
                              <xsl:call-template name="NL" />
                              <td></td>
                              <td></td>
                            </xsl:if>

                              <xsl:call-template name="NL" />
                              <td><xsl:value-of select="repo_version"/><br></br>
                                <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="component"/>')</xsl:attribute>
                                <xsl:value-of select="component"/>
                                </xsl:element>
                              </td>
                              <xsl:call-template name="NL" />
                            <xsl:if test="count(fw_item)=0">
                              <td>Description: <xsl:value-of select="product_id"/></td>
                            </xsl:if>
                            <xsl:if test="count(fw_item)!=0">
                              <td><xsl:value-of select="device_id"/><!--br></br>Location: <xsl:value-of select="location"/--></td>
                            </xsl:if>
                              <xsl:call-template name="NL" />
                            </xsl:element>
                            <xsl:if test="count(fw_item)!=0">
                            <xsl:for-each select="fw_item">
                              <xsl:call-template name="FWITEMS" />
                            </xsl:for-each>
                            </xsl:if>
                          </xsl:for-each>
                        </xsl:otherwise>
                      </xsl:choose>
                    <xsl:choose>
                        <xsl:when test="count(harddisk_details/hard_drive)=0">
                          <xsl:call-template name="NL" />
                          <xsl:element name="tr">
                            <xsl:attribute name="id">-1</xsl:attribute>
                            <xsl:if test="(position() mod 2) = 0">
                              <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                            </xsl:if>
                            <td></td>
                            <td></td>
                            <xsl:call-template name="NL" />
                            <td>Hard Drive</td>
                            <td colspan="7" align="center">No Hard Disk component found<xsl:value-of select="harddisk_details/no_data"/></td>
                            <xsl:call-template name="NL" />
                          </xsl:element>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:for-each select="harddisk_details/hard_drive">
                            <xsl:element name="tr">
                              <xsl:attribute name="id"><xsl:value-of select="criticality"/></xsl:attribute>
                              <xsl:if test="(position() mod 2) = 0">
                                <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                              </xsl:if>
                              <td></td>
                              <td></td>
                              <xsl:call-template name="NL" />
                              <td>Hard Drive</td>
                              <td>
                                <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                              </td>
                              <xsl:call-template name="NL" />
                              <td>
                               <xsl:if test="criticality=2 and status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                               <xsl:if test="criticality=2 and status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                               <xsl:if test="criticality=1 and status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                               <xsl:if test="criticality=1 and status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                               <xsl:if test="(criticality=3 or criticality=0) and status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                               <xsl:if test="(criticality=3 or criticality=0) and status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                              </td>
                              <xsl:call-template name="NL" />
                              <td><xsl:value-of select="version"/></td>
                              <td><xsl:value-of select="driver_version"/></td>
                              <xsl:call-template name="NL" />
                              <td><xsl:value-of select="repo_version"/><br></br>
                                <xsl:call-template name="NL" />
                                 <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="component"/>')</xsl:attribute>
                                <xsl:value-of select="component"/>
                                </xsl:element>
                              </td>
                              <xsl:call-template name="NL" />
                              <td>Description: <xsl:value-of select="product_id"/><br></br>Location: Bay <xsl:value-of select="bay"/></td>
                            </xsl:element>
                        </xsl:for-each>
                        </xsl:otherwise>
                      </xsl:choose>
                    <xsl:choose>
                        <xsl:when test="count(nic_details/nic_device)=0">
                          <xsl:call-template name="NL" />
                          <xsl:element name="tr">
                            <xsl:attribute name="id">-1</xsl:attribute>
                            <xsl:if test="(position() mod 2) != 0">
                              <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                            </xsl:if>
                            <td></td>
                            <td></td>
                            <xsl:call-template name="NL" />
                            <td>Network Interface Card</td>
                            <xsl:call-template name="NL" />
                            <td colspan="7" align="center">No Network Interface Card component found<xsl:value-of select="nic_details/no_data"/></td>
                          </xsl:element>
                        </xsl:when>
                        <xsl:otherwise>
                          <xsl:for-each select="nic_details/nic_device">
                            <xsl:element name="tr">
                              <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                              <xsl:if test="(position() mod 2) != 0">
                              <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                              </xsl:if>
                              <td></td>
                              <td></td>
                              <xsl:call-template name="NL" />
                              <td>Network Interface Card</td>
                              <xsl:call-template name="NL" />
                              <td>
                                <!--<xsl:if test="status=0">
                                  <img src="nml.jpg" alt="Ready to update"/> Ready to update
                                </xsl:if>
                                <xsl:if test="status=1">
                                  <img src="dbd.png" alt="No update needed"/> No update needed
                                </xsl:if>
                                <xsl:if test="status=2">
                                  <img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies
                                </xsl:if>
                                <xsl:if test="status=3">
                                  <img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration
                                </xsl:if>-->
                              </td>
                              <td>
                                <!--<xsl:if test="criticality=2">
                                  <img src="ctl.jpg" alt="Critical"/> Critical
                                </xsl:if>
                                <xsl:if test="criticality=1">
                                  <img src="rmd.jpg" alt="Recommended"/> Recommended
                                </xsl:if>
                                <xsl:if test="criticality=0">
                                  <img src="nml.jpg" alt="Optonal"/> Optonal
                                </xsl:if>
                                <xsl:if test="criticality=3">
                                  <img src="nml.jpg" alt="Optonal"/> Optonal
                                </xsl:if>-->
                              </td>
                              <td></td>
                              <td></td>
                              <!--<td><xsl:value-of select="driver_version"/>
                              </td>-->
                              <td>
                                <xsl:value-of select="../repo_version"/><br></br>
                                 <xsl:element name="a">
                                  <xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="../component"/>')</xsl:attribute>
                                <xsl:value-of select="../component"/>
                                </xsl:element></td>
                              <xsl:call-template name="NL" />
                              <td><xsl:value-of select="name"/></td>
                            </xsl:element>
                            <xsl:if test="count(bootcode)>0">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) = 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                <td></td>
                                <td></td>
                                <xsl:call-template name="NL" />
                                <td>&#160;&#160;&#160;&#160;&#160;Bootcode</td>
                                <xsl:call-template name="NL" />
                                <td>
                                  <xsl:if test="bootcode/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                  <xsl:if test="bootcode/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                  <xsl:if test="bootcode/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                  <xsl:if test="bootcode/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                </td>
                                <xsl:call-template name="NL" />
                                <td>
                                 <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                 <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                 <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                 <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                 <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                 <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                </td>
                                <xsl:call-template name="NL" />
                                <td><xsl:value-of select="bootcode/version"/></td>
                                <td><xsl:value-of select="driver_version"/></td>
                                <td><xsl:value-of select="bootcode/repo_version"/></td>
                                <xsl:call-template name="NL" />
                                <td>Description: <xsl:value-of select="product_id"/><!-- TBD br></br>Location: <xsl:value-of select="../location"/--></td>
                              </xsl:element>
                              </xsl:if>
                            <xsl:if test="count(pxe)>0">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) != 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                  <td>&#160;&#160;&#160;&#160;&#160;PXE</td>
                                  <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:if test="pxe/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="pxe/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="pxe/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                    <xsl:if test="pxe/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                <td>
                                 <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                 <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                 <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                 <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                 <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                 <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                </td>
                                <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="pxe/version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <td><xsl:value-of select="pxe/repo_version"/></td>
                                <xsl:call-template name="NL" />
                                  <td>Description: <xsl:value-of select="product_id"/><br></br>Location: <xsl:value-of select="../location"/></td>
                              </xsl:element>
                              </xsl:if>
                            <xsl:if test="count(ump)>0">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) = 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                <xsl:call-template name="NL" />
                                  <td>&#160;&#160;&#160;&#160;&#160;UMP</td>
                                <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:if test="ump/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="ump/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="ump/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                    <xsl:if test="ump/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td>
                                   <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="ump/version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <td><xsl:value-of select="ump/repo_version"/></td>
                                <xsl:call-template name="NL" />
                                  <td>Description: <xsl:value-of select="product_id"/><br></br>Location: <xsl:value-of select="../location"/></td>
                              </xsl:element>
                              </xsl:if>
                            <xsl:if test="count(ipmi)>0">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) != 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                <xsl:call-template name="NL" />
                                  <td>&#160;&#160;&#160;&#160;&#160;IPMI</td>
                                <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:if test="ipmi/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="ipmi/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="ipmi/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                    <xsl:if test="ipmi/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td>
                                  <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                  <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                  <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                  <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                  <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="ipmi/version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <td><xsl:value-of select="ipmi/repo_version"/></td>
                                <xsl:call-template name="NL" />
                                  <td>Description: <xsl:value-of select="product_id"/><br></br>Location: <xsl:value-of select="../location"/></td>
                              </xsl:element>
                              </xsl:if>
                            <xsl:if test="count(clp)>0">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) = 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                <xsl:call-template name="NL" />
                                  <td>&#160;&#160;&#160;&#160;&#160;CLP</td>
                                <xsl:call-template name="NL" />
                                 <td>
                                    <xsl:if test="clp/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="clp/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="clp/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/>Failed Dependencies</xsl:if>
                                    <xsl:if test="clp/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td>
                                   <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="clp/version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <td><xsl:value-of select="clp/repo_version"/></td>
                                <xsl:call-template name="NL" />
                                  <td>Description: <xsl:value-of select="product_id"/><br></br>Location: <xsl:value-of select="../location"/></td>
                              </xsl:element>
                              </xsl:if>
                            <xsl:if test="count(iscsi)>0">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) != 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                <xsl:call-template name="NL" />
                                  <td>&#160;&#160;&#160;&#160;&#160;ISCSI</td>
                                <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:if test="iscsi/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="iscsi/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="iscsi/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                    <xsl:if test="iscsi/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td>
                                   <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="iscsi/version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <td><xsl:value-of select="iscsi/repo_version"/></td>
                                <xsl:call-template name="NL" />
                                  <td>Description: <xsl:value-of select="product_id"/><br></br>Location: <xsl:value-of select="../location"/></td>
                              </xsl:element>
                              </xsl:if>
                            <xsl:if test="count(ncsi)>0">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) = 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                <xsl:call-template name="NL" />
                                  <td>&#160;&#160;&#160;&#160;&#160;NCSI</td>
                                <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:if test="ncsi/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="ncsi/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="ncsi/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                    <xsl:if test="ncsi/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td>
                                   <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="ncsi/version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <td><xsl:value-of select="ncsi/repo_version"/></td>
                                <xsl:call-template name="NL" />
                                  <td>Description: <xsl:value-of select="product_id"/><br></br>Location: <xsl:value-of select="../location"/></td>
                              </xsl:element>
                              </xsl:if>
                            <xsl:if test="count(rom)>0">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) != 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                <xsl:call-template name="NL" />
                                  <td>&#160;&#160;&#160;&#160;&#160;ROM</td>
                                <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:if test="rom/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="rom/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="rom/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                    <xsl:if test="rom/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td>
                                   <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="rom/version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <td><xsl:value-of select="rom/repo_version"/></td>
                                  <td>Description: <xsl:value-of select="product_id"/><!-- TBD br></br>Location: <xsl:value-of select="../location"/--></td>
                              </xsl:element>
                              </xsl:if>
							<xsl:if test="count(efi)>0">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) = 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                <xsl:call-template name="NL" />
                                  <td>&#160;&#160;&#160;&#160;&#160;EFI</td>
                                <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:if test="efi/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="efi/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="efi/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                    <xsl:if test="efi/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td>
                                   <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="efi/version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <td><xsl:value-of select="efi/repo_version"/></td>
                                <xsl:call-template name="NL" />
                                  <td>Description: <xsl:value-of select="product_id"/><br></br>Location: <xsl:value-of select="../location"/></td>
                              </xsl:element>
                            </xsl:if>
							<xsl:if test="count(mba)>0">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) = 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                <xsl:call-template name="NL" />
                                  <td>&#160;&#160;&#160;&#160;&#160;MBA</td>
                                <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:if test="mba/status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="mba/status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="mba/status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                    <xsl:if test="mba/status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td>
                                   <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                   <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  </td>
                                <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="mba/version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <td><xsl:value-of select="mba/repo_version"/></td>
                                <xsl:call-template name="NL" />
                                  <td>Description: <xsl:value-of select="product_id"/><br></br>Location: <xsl:value-of select="../location"/></td>
                              </xsl:element>
                            </xsl:if>
                          </xsl:for-each>
                        </xsl:otherwise>
                    </xsl:choose>
                    <xsl:choose>
                      <xsl:when test="count(tape_details/tape)=0">
                        <xsl:element name="tr">
                          <xsl:attribute name="id">-1</xsl:attribute>
                          <xsl:if test="(position() mod 2) = 0">
                            <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                          </xsl:if>
                          <td></td>
                          <td></td>
                          <td>Tape Drive</td>
                          <xsl:call-template name="NL" />
                          <td colspan="7" align="center">No Tape component found<xsl:value-of select="tape_details/no_data"/></td>
                        </xsl:element>
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:for-each select="tape_details/tape">
                          <xsl:element name="tr">
                            <xsl:attribute name="id"><xsl:value-of select="criticality"/></xsl:attribute>
                            <xsl:if test="(position() mod 2) = 0">
                              <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                            </xsl:if>
                            <td></td>
                            <td></td>
                            <td>Tape Drive</td>
                            <xsl:call-template name="NL" />
                            <td>
                              <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                              <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                              <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                              <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                            </td>
                            <xsl:call-template name="NL" />
                            <td>
                             <xsl:if test="criticality=2 and status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                             <xsl:if test="criticality=2 and status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                             <xsl:if test="criticality=1 and status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                             <xsl:if test="criticality=1 and status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                             <xsl:if test="(criticality=3 or criticality=0) and status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                             <xsl:if test="(criticality=3 or criticality=0) and status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                            </td>
                            <xsl:call-template name="NL" />
                            <td><xsl:value-of select="version"/></td>
                            <td><xsl:value-of select="driver_version"/></td>
                            <xsl:call-template name="NL" />
                            <td>
                              <xsl:value-of select="repo_version"/><br></br>
                               <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="component"/>')</xsl:attribute>
                                <xsl:value-of select="component"/>
                               </xsl:element>
                            </td>
                            <xsl:call-template name="NL" />
                            <td>Description: <xsl:value-of select="product_id"/><br></br>Location: <xsl:value-of select="location"/></td>
                          </xsl:element>
                        </xsl:for-each>
                      </xsl:otherwise>
                    </xsl:choose>
                    <xsl:choose>
                      <xsl:when test="count(hba_details/hba_device)=0">
                        <xsl:element name="tr">
                          <xsl:attribute name="id">-1</xsl:attribute>
                          <xsl:if test="(position() mod 2) != 0">
                            <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                          </xsl:if>
                          <td></td>
                          <td></td>
                          <td>FC HBA/CNA</td>
                          <xsl:call-template name="NL" />
                          <td colspan="7" align="center">No FC HBA/CNA component found<xsl:value-of select="hba_details/no_data"/></td>
                        </xsl:element>
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:for-each select="hba_details/hba_device">
                          <xsl:element name="tr">
                            <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                            <xsl:if test="(position() mod 2) != 0">
                              <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                            </xsl:if>
                            <td></td>
                            <td></td>
                            <td>FC HBA/CNA</td>
                            <xsl:call-template name="NL" />
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>
                            <xsl:value-of select="../repo_version"/><br></br>
                              <xsl:element name="a">
                                <xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="../component"/>')</xsl:attribute>
                              <xsl:value-of select="../component"/>
                              </xsl:element></td>
                            <xsl:call-template name="NL" />
                            <td><xsl:value-of select="device_id"/></td>
                            <xsl:for-each select="fw_item">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) = 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                  <xsl:call-template name="NL" />
                                  <td><xsl:text>     </xsl:text><xsl:value-of select="type"/></td>
                                  <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                    <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                   <td>
                                   <xsl:if test="../../criticality=2 and ../../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../../criticality=2 and ../../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../../criticality=1 and ../../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="../../criticality=1 and ../../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="(../../criticality=3 or ../../criticality=0) and ../../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                   <xsl:if test="(../../criticality=3 or ../../criticality=0) and ../../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  </td>
                                  <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:value-of select="repo_version"/><br></br>
                                     <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="component"/>')</xsl:attribute>
                                      <xsl:value-of select="component"/>
                                     </xsl:element>
                                  </td>
                                  <xsl:call-template name="NL" />
                                  <td>Description: <xsl:value-of select="../product_id"/><!-- TBD br></br>Location: <xsl:value-of select="../../location"/--></td>
                                  <xsl:call-template name="NL" />                                
                              </xsl:element>
                            </xsl:for-each>
                          </xsl:element>
                        </xsl:for-each>
                      </xsl:otherwise>
                    </xsl:choose>
					<xsl:choose>
                      <xsl:when test="count(ib_details/ib_device)=0">
                        <xsl:element name="tr">
                          <xsl:attribute name="id">-1</xsl:attribute>
                          <xsl:if test="(position() mod 2) != 0">
                            <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                          </xsl:if>
                          <td></td>
                          <td></td>
                          <td>InfiniBand</td>
                          <xsl:call-template name="NL" />
                          <td colspan="7" align="center">No InfiniBand component found<xsl:value-of select="ib_details/no_data"/>
                          </td>
                        </xsl:element>
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:for-each select="ib_details/ib_device">
                          <xsl:element name="tr">
                            <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                            <xsl:if test="(position() mod 2) != 0">
                              <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                            </xsl:if>
                            <td></td>
                            <td></td>
                            <td>InfiniBand</td>
                            <xsl:call-template name="NL" />
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>
                            <xsl:value-of select="../repo_version"/><br></br>
                              <xsl:element name="a">
                                <xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="../component"/>')</xsl:attribute>
                              <xsl:value-of select="../component"/>
                              </xsl:element></td>
                            <xsl:call-template name="NL" />
                            <td><xsl:value-of select="device_id"/></td>
                            <xsl:for-each select="fw_item">
                              <xsl:element name="tr">
                                <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                                <xsl:if test="(position() mod 2) = 0">
                                  <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                </xsl:if>
                                  <td></td>
                                  <td></td>
                                  <xsl:call-template name="NL" />
                                  <td><xsl:text>&#160;&#160;&#160;&#160;&#160;</xsl:text><xsl:value-of select="type"/></td>
                                  <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                                    <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                                    <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                                    <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                                  </td>
                                   <td>
                                   <xsl:if test="../../criticality=2 and ../../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../../criticality=2 and ../../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                                   <xsl:if test="../../criticality=1 and ../../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="../../criticality=1 and ../../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                                   <xsl:if test="(../../criticality=3 or ../../criticality=0) and ../../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                   <xsl:if test="(../../criticality=3 or ../../criticality=0) and ../../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                                  </td>
                                  <xsl:call-template name="NL" />
                                  <td><xsl:value-of select="version"/></td>
                                  <td><xsl:value-of select="driver_version"/></td>
                                  <xsl:call-template name="NL" />
                                  <td>
                                    <xsl:value-of select="repo_version"/><br></br>
                                     <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="component"/>')</xsl:attribute>
                                      <xsl:value-of select="component"/>
                                     </xsl:element>
                                  </td>
                                  <xsl:call-template name="NL" />
                                  <td>Description: <xsl:value-of select="../product_id"/><!-- TBD br></br>Location: <xsl:value-of select="../../location"/--></td>
                                  <xsl:call-template name="NL" />                                
                              </xsl:element>
                            </xsl:for-each>
                          </xsl:element>
                        </xsl:for-each>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:for-each>
                </table>
             <br></br>
          </div>
          </xsl:if>
          <xsl:if test ="count(report/firmwarereport/ilo)>0">
          <xsl:call-template name="NL" />
          <div id="id_ilo_details_link" style="margin: 4px; width: 100%; ">
            <xsl:call-template name="NL" />
             <a href="javascript:toggle('ilo_details','ilo_details')">
               <img src="hpminus.gif" border="0" id="img_ilo_details"/>
             </a>
            <xsl:call-template name="NL" />
             <font style="font-family: 'Arial'; font-weight: bold; font-size: 12px"> Integrated Light-Out Details</font>
           </div>
            <xsl:call-template name="NL" />
          <div id="id_ilo_details" style="display:block; margin-left: 17px; margin-right: 10px; width: 99%;">
             <xsl:call-template name="NL" />
              <table width="100%">
               <tr>
                 <td style ="font-family: Arial; font-size: 11px; font-weight: bold; width:5%">Status:</td>
                 <td style="font-family: Arial; font-size: xx-small">
                   <xsl:variable name="rtup3" select="count(report/firmwarereport/ilo/ilo_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0])" />
                   <xsl:if test="$rtup3>0">
                     <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Ready to update"/>
                     <xsl:value-of select="$rtup3"></xsl:value-of> Ready to update
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="noupdateneeded" select="count(report/firmwarereport/ilo/ilo_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1])" />
                   <xsl:if test="$noupdateneeded>0">
                     <img src="dbd.png" style="margin-left: 3px; margin-right: 3px" alt="No update needed"/>
                     <xsl:value-of select="$noupdateneeded"></xsl:value-of> No update needed
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="fdds2" select="count(report/firmwarereport/ilo/ilo_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2])" />
                   <xsl:if test="$fdds2>0">
                     <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Failed Dependencies"/>
                     <xsl:value-of select="$fdds2"></xsl:value-of> Failed Dependencies
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="ncfg2" select="count(report/firmwarereport/ilo/ilo_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3])" />
                   <xsl:if test="$ncfg2>0">
                     <img src="cfg.jpg"  style="margin-left: 3px; margin-right: 3px" alt="Needs Configuration"/>
                     <xsl:value-of select="ncfg2"></xsl:value-of> Needs Configuration
                   </xsl:if>
                 </td>
                 <td></td>
                 <td align="right"><font style="font-family: Arial; font-size: xx-small"><a href="#top">Top</a></font></td>
               </tr>
               <tr>
                 <td style ="font-family: Arial; font-size: 11px; font-weight: bold;">Criticality:</td>
                 <td style="font-family: Arial; font-size: xx-small">
                   <xsl:variable name="critical5" select="count(report/firmwarereport/ilo/ilo_details[criticality=2 and status!=1])" />
                   <xsl:if test="$critical5>0">
                     <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Critical"/>
                     <xsl:value-of select="$critical5"></xsl:value-of> Critical
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="rcmd5" select="count(report/firmwarereport/ilo/ilo_details[criticality=1 and status!=1])" />
                   <xsl:if test="$rcmd5>0">
                     <img src="rmd.jpg" style="margin-left: 3px; margin-right: 3px" alt="Recommended"/>
                     <xsl:value-of select="$rcmd5"></xsl:value-of> Recommended
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="optional6" select="count(report/firmwarereport/ilo/ilo_details[(criticality=0 or criticality=3) and status!=1])" />
                   <xsl:if test="$optional6>0">
                     <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Optonal"/>
                     <xsl:value-of select="$optional6"></xsl:value-of> Optional
                   </xsl:if>
                 </td>
                 <td>Show :<input type="checkbox" checked="yes" margin-right="3px" name="2" onclick="showhideTableRows(this, 'ilo',2)">Critical  </input>
                 <input type="checkbox" checked="yes" name="1" margin-right="3px" onclick="showhideTableRows(this, 'ilo',1)">Recommended  </input>
                 <input type="checkbox" checked="yes" name="0" onclick="showhideTableRows(this, 'ilo',3)">Optional</input></td>
                 <td align="right"><font style="font-family: Arial; font-size: xx-small"><a href="javascript:showhidediv('id_summary','id_all_firmware_details');">Back</a></font></td>
               </tr>
             </table>
              <table class="custom" width="100%" id="ilo">
               <xsl:call-template name="NL" />
               <tr align="left" id="-1">
                 <xsl:call-template name="NL" />
                 <th>IP Address</th>
                 <xsl:call-template name="NL" />
                 <th>Type</th>
                 <xsl:call-template name="NL" />
                 <th>Product Id</th>
                 <xsl:call-template name="NL" />
                 <th>Status</th>
                 <xsl:call-template name="NL" />
                 <th>Criticality</th>
                 <xsl:call-template name="NL" />
                 <th>Installed Version</th>
                 <xsl:call-template name="NL" />
                 <th>Available Version</th>
                 <xsl:call-template name="NL" />
                 <th>Description</th>
                 <xsl:call-template name="NL" />
               </tr>
               <xsl:for-each select="report/firmwarereport/ilo/ilo_details">
                 <xsl:call-template name="NL" />
                 <xsl:element name="tr">
                   <xsl:attribute name="id"><xsl:value-of select="criticality"/></xsl:attribute>
                   <xsl:if test="(position() mod 2) = 0">
                     <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                   </xsl:if>
                   <xsl:call-template name="NL" />
                   <td><xsl:value-of select="../ipaddress"/></td>
                   <xsl:call-template name="NL" />
                   <td><xsl:value-of select="type"/></td>
                   <xsl:call-template name="NL" />
                   <td><xsl:value-of select="productid"/></td>
                   <xsl:call-template name="NL" />
                   <td>
                     <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                     <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                     <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                     <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                   </td>
                   <xsl:call-template name="NL" />
                   <td>
                     <xsl:if test="criticality=2 and status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                     <xsl:if test="criticality=2 and status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                     <xsl:if test="criticality=1 and status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                     <xsl:if test="criticality=1 and status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                     <xsl:if test="(criticality=3 or criticality=0) and status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                     <xsl:if test="(criticality=3 or criticality=0) and status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                   </td>
                   <td><xsl:value-of select="version"/></td>
                   <xsl:call-template name="NL" />
                   <td><xsl:value-of select="repo_version"/>
                     <br></br>
                   <xsl:element name="a">
                      <xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="component"/>')</xsl:attribute>
                      <xsl:value-of select="component"/>
                   </xsl:element></td>
                   <td><xsl:value-of select="description"/></td>
                 </xsl:element>
               </xsl:for-each>
               <xsl:call-template name="NL" />
             </table>
            <xsl:call-template name="NL" />
           </div>
          </xsl:if>
          <xsl:if test ="count(report/firmwarereport/vc)>0">
          <xsl:call-template name="NL" />
          <div id="id_vc_details_link" style="margin: 4px; width: 100%; ">
           <xsl:call-template name="NL" />
           <a href="javascript:toggle('vc_details','vc_details')"><img src="hpminus.gif" border="0" id="img_vc_details"/></a>
            <xsl:call-template name="NL" />
           <font style="font-family: 'Arial';font-weight: bold; font-size: 12px"> Virtual Connect Details</font>
            <xsl:call-template name="NL" />
         </div>
          <xsl:call-template name="NL" />
          <div id="id_vc_details" style="display:block; margin-left: 17px; margin-right: 10px; width: 99%;">
           <xsl:call-template name="NL" />
            <table width="100%">
              <tr>
                 <td style ="font-family: Arial; font-size: 11px; font-weight: bold;width:5%">Status:</td>
                 <td style="font-family: Arial; font-size: xx-small">
                   <xsl:variable name="rtup4" select="count(report/firmwarereport/vc/vc_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0])" />
                   <xsl:if test="$rtup4>0">
                     <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Ready to update"/>
                     <xsl:value-of select="$rtup4"></xsl:value-of> Ready to update
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="noupdateneeded" select="count(report/firmwarereport/vc/vc_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1])" />
                   <xsl:if test="$noupdateneeded>0">
                   <img src="dbd.png" style="margin-left: 3px; margin-right: 3px" alt="No update needed"/>
                   <xsl:value-of select="$noupdateneeded"></xsl:value-of> No update needed
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="fdds3" select="count(report/firmwarereport/vc/vc_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2])" />
                   <xsl:if test="$fdds3>0">
                   <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Failed Dependencies"/>
                   <xsl:value-of select="$fdds3"></xsl:value-of> Failed Dependencies
                   </xsl:if>
                    <xsl:text>   </xsl:text>
                   <xsl:variable name="ncfg3" select="count(report/firmwarereport/vc/vc_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3])" />
                   <xsl:if test="$ncfg3">
                   <img src="cfg.jpg"  style="margin-left: 3px; margin-right: 3px" alt="Needs Configuration"/>
                   <xsl:value-of select="$ncfg3"></xsl:value-of> Needs Configuration
                   </xsl:if>
                 </td>
                <td></td>
                 <td align="right"><font style="font-family: Arial; font-size: xx-small"><a href="#top">Top</a></font></td>
               </tr>
              <tr>
                 <td style ="font-family: Arial; font-size: 11px; font-weight: bold;">Criticality:</td>
                 <td style="font-family: Arial; font-size: xx-small">
                   <xsl:variable name="critical6" select="count(report/firmwarereport/vc/vc_details[criticality=2 and status!=1])" />
                   <xsl:if test="$critical6>0">
                     <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Critical"/>
                     <xsl:value-of select="$critical6"></xsl:value-of> Critical
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="rcmd6" select="count(report/firmwarereport/vc/vc_details[criticality=1 and status!=1])" />
                   <xsl:if test="$rcmd6>0">
                     <img src="rmd.jpg" style="margin-left: 3px; margin-right: 3px" alt="Recommended"/>
                     <xsl:value-of select="$rcmd6"></xsl:value-of> Recommended
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="optional7" select="count(report/firmwarereport/vc/vc_details[(criticality=3 or criticality=0) and status!=1])>0" />
                   <xsl:if test="$optional7>0">
                     <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Optonal"/>
                     <xsl:value-of select="$optional7"></xsl:value-of> Optional
                   </xsl:if>
                 </td>
                <xsl:call-template name="NL" />
                 <td>Show :<input type="checkbox" checked="yes" margin-right="3px" name="2" onclick="showhideTableRows(this, 'vc',2)">Critical  </input><xsl:call-template name="NL" />
                 <input type="checkbox" checked="yes" name="1" margin-right="3px" onclick="showhideTableRows(this, 'vc',1)">Recommended  </input><xsl:call-template name="NL" />
                 <input type="checkbox" checked="yes" name="0" onclick="showhideTableRows(this, 'vc',3)">Optional</input></td><xsl:call-template name="NL" />
                 <td align="right"><font style="font-family: Arial; font-size: xx-small"><a href="javascript:showhidediv('id_summary','id_all_firmware_details');">Back</a></font></td>
               </tr>
             </table>
           <table class="custom" width="100%" id="vc">
             <xsl:call-template name="NL" />
             <tr align="left" id="-1">
               <xsl:call-template name="NL" />
               <th>IP Address</th>
               <xsl:call-template name="NL" />
               <th>VC domain</th>
               <xsl:call-template name="NL" />
               <th>Type</th>
               <xsl:call-template name="NL" />
               <th>Product Id</th>
               <xsl:call-template name="NL" />
               <th>Status</th>
               <xsl:call-template name="NL" />
               <th>Criticality</th>
               <xsl:call-template name="NL" />
               <th>Part Number</th>
               <xsl:call-template name="NL" />
               <th>Enclosure</th>
               <xsl:call-template name="NL" />
               <th>Installed Version</th>
               <xsl:call-template name="NL" />
               <th>Available Version</th>
               <xsl:call-template name="NL" />
               <th>Description</th>
               <xsl:call-template name="NL" />
             </tr>
             <xsl:for-each select="report/firmwarereport/vc/vc_details">
               <xsl:call-template name="NL" />
               <xsl:element name="tr">
                 <xsl:attribute name="id"><xsl:value-of select="criticality"/></xsl:attribute>
                <xsl:attribute name="bgcolor">Gainsboro</xsl:attribute>
                 <td><xsl:value-of select="ipaddress"/></td>
                 <xsl:call-template name="NL" />
                 <td colspan="3"><xsl:value-of select="domain"/></td>
                 <td>
                   <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                   <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                   <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                   <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                 </td>
                 <td>
                    <xsl:if test="criticality=2 and status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                     <xsl:if test="criticality=2 and status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                     <xsl:if test="criticality=1 and status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                     <xsl:if test="criticality=1 and status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                     <xsl:if test="(criticality=0 or criticality=3) and status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                     <xsl:if test="(criticality=0 or criticality=3) and status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                 </td>
                 <td colspan="5"></td>
               </xsl:element>
                <xsl:for-each select="device">
                   <xsl:call-template name="NL" />
                   <xsl:element name="tr">
                     <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                     <xsl:if test="(position() mod 2) = 0">
                       <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                     </xsl:if>
                     <xsl:call-template name="NL" />
                     <td></td>
                     <td></td>
                     <td><xsl:value-of select="type"/></td>
                     <td><xsl:value-of select="productid"/></td>
                     <xsl:call-template name="NL" />
                     <td>
                       <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                       <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                       <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                       <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                     </td>
                     <td>
                       <xsl:if test="../criticality=2 and status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                       <xsl:if test="../criticality=2 and status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                       <xsl:if test="../criticality=1 and status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                       <xsl:if test="../criticality=1 and status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                       <xsl:if test="(../criticality=0 or ../criticality=3) and status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                       <xsl:if test="(../criticality=0 or ../criticality=3) and status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                     </td>
                     <xsl:call-template name="NL" />
                     <td><xsl:value-of select="partnumber"/></td>
                     <td><xsl:value-of select="enclosure"/></td>
                     <td><xsl:value-of select="version"/></td>
                     <xsl:call-template name="NL" />
                     <td>
                       <xsl:value-of select="repo_version"/>
                       <br></br>
                       <xsl:element name="a"><xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="../component"/>')</xsl:attribute>
                        <xsl:value-of select="../component"/></xsl:element>
                     </td>
                     <xsl:call-template name="NL" />
                     <td><xsl:value-of select="description"/></td>
                   </xsl:element>
                 </xsl:for-each>
             </xsl:for-each>
           </table>
            <xsl:call-template name="NL" />
         </div>
          </xsl:if>
          <!--Superdome 2 details-->
          <xsl:if test ="count(report/firmwarereport/sd2)>0">
            <div id="id_sd2_details_link" style="margin: 4px; width: 100%; ">
            <xsl:call-template name="NL" />
            <a href="javascript:toggle('sd2_details','sd2_details')"><img src="hpminus.gif" border="0" id="img_sd2_details"/></a>
            <xsl:call-template name="NL" />
            <font style="font-family: 'Arial';font-weight: bold; font-size: 12px"> Superdome 2 Details</font>
            <xsl:call-template name="NL" />
            </div>
            <xsl:call-template name="NL" />
            <div id="id_sd2_details" style="display:block; margin-left: 17px; margin-right: 10px; width: 99%;">
              <table width="100%">
               <tr>
                 <td style ="font-family: Arial; font-size: 11px; font-weight: bold;width:5%">Status:</td>
                 <td style="font-family: Arial; font-size: xx-small">
                   <xsl:variable name="rtup5" select="count(report/firmwarereport/sd2/sd2_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0])" />
                   <xsl:if test="$rtup5>0">
                   <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Ready to update"/>
                   <xsl:value-of select="$rtup5"></xsl:value-of> Ready to update
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="noupdateneeded" select="count(report/firmwarereport/sd2/sd2_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1])" />
                   <xsl:if test="$noupdateneeded>0">
                   <img src="dbd.png" style="margin-left: 3px; margin-right: 3px" alt="No update needed"/>
                   <xsl:value-of select="$noupdateneeded"></xsl:value-of> No update needed
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="fdds4" select="count(report/firmwarereport/sd2/sd2_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2])" />
                   <xsl:if test="$fdds4>0">
                   <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Failed Dependencies"/>
                   <xsl:value-of select="$fdds4"></xsl:value-of> Failed Dependencies
                   </xsl:if>
                    <xsl:text>   </xsl:text>
                   <xsl:variable name="ncfg4" select="count(report/firmwarereport/sd2/sd2_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3])" />
                   <xsl:if test="$ncfg4>0">
                   <img src="cfg.jpg"  style="margin-left: 3px; margin-right: 3px" alt="Needs Configuration"/>
                   <xsl:value-of select="ncfg4"></xsl:value-of> Needs Configuration
                   </xsl:if>
                 </td>
                 <td align="right"><font style="font-family: Arial; font-size: xx-small"><a href="#top">Top</a></font></td>
               </tr>
               <tr>
                 <td style ="font-family: Arial; font-size: 11px; font-weight: bold;">Criticality:</td>
                 <td style="font-family: Arial; font-size: xx-small">
                   <xsl:variable name="critical7" select="count(report/firmwarereport/sd2/sd2_details[criticality=2 and status!=1])" />
                   <xsl:if test="$critical7>0">
                     <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Critical"/>
                     <xsl:value-of select="$critical7"></xsl:value-of> Critical
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="rcmd7" select="count(report/firmwarereport/sd2/sd2_details[criticality=1 and status!=1])" />
                   <xsl:if test="$rcmd7>0">
                     <img src="rmd.jpg" style="margin-left: 3px; margin-right: 3px" alt="Recommended"/>
                     <xsl:value-of select="$rcmd7"></xsl:value-of> Recommended
                   </xsl:if>
                   <xsl:text>   </xsl:text>
                   <xsl:variable name="opr" select="count(report/firmwarereport/sd2/sd2_details[(criticality=0 or criticality=3) and status!=1])" />
                   <xsl:if test="$opr>0">
                     <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Optonal"/>
                     <xsl:value-of select="$opr"></xsl:value-of> Optional
                   </xsl:if>
                 </td>
                 <td align="right"><font style="font-family: Arial; font-size: xx-small">
                   <a href="javascript:showhidediv('id_summary','id_all_firmware_details');">Back</a>
                 </font></td>
               </tr>
             </table>
              <xsl:call-template name="NL" />
             <table class="custom" width="100%">
               <xsl:call-template name="NL" />
               <xsl:copy-of select="$sd2header" />
               <xsl:for-each select="report/firmwarereport/sd2/sd2_details">
                 <xsl:call-template name="NL" />
                 <tr bgcolor="Gainsboro" ><td colspan="8"><b>COMPLEX</b></td></tr>
                 <tr>
                 <td></td><xsl:call-template name="NL" />
                 <td><xsl:value-of select="enc_details/type"/>
                 <br></br>
                 <xsl:if test="status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                 <xsl:if test="status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                 <xsl:if test="status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                 <xsl:if test="status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                 </td>
                   <xsl:call-template name="NL" />
                 <td><xsl:value-of select="enc_details/part_number"/></td>
                   <xsl:call-template name="NL" />
                 <td><xsl:value-of select="enc_details/serial_number"/></td>
                   <xsl:call-template name="NL" />
                 <td><xsl:value-of select="enc_details/assigned_name"/></td>
                   <xsl:call-template name="NL" />
                 <td><xsl:value-of select="enc_details/ipaddress"/></td>
                   <xsl:call-template name="NL" />
                 <td><xsl:value-of select="enc_details/product_name"/></td>
                   <xsl:call-template name="NL" />
                 <td><xsl:value-of select="enc_details/fwversion"/>
                  <br></br>
                  <xsl:value-of select="repo_version"/>
                  <xsl:text>  </xsl:text>
                  <xsl:if test="criticality=2 and status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                  <xsl:if test="criticality=2 and status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                  <xsl:if test="criticality=1 and status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                  <xsl:if test="criticality=1 and status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                  <xsl:if test="(criticality=0 or criticality=3) and status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                  <xsl:if test="(criticality=0 or criticality=3) and status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                  <br></br>
                  <xsl:element name="a">
                      <xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="component"/>')</xsl:attribute>
                      <xsl:value-of select="component"/>
                  </xsl:element>
                 </td>
                 </tr>
                 <xsl:call-template name="NL" />
                 <tr bgcolor="Gainsboro" ><td colspan="8"><b>COMPLEX FIRMWARE</b></td></tr>
                 <xsl:call-template name="NL" />
                 <xsl:for-each select="oainfo">
                   <xsl:element name="tr">
                     <xsl:if test="(position() mod 2) = 0">
                       <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                     </xsl:if>
                   <td><xsl:value-of select="bay"/></td>
                   <td><xsl:value-of select="type"/></td>
                   <td><xsl:value-of select="part_number"/></td>
                   <td><xsl:value-of select="serial_number"/></td>
                   <td></td>
                   <td><xsl:value-of select="ipaddress"/></td>
                   <td><xsl:value-of select="product_name"/></td>
                   <td><xsl:value-of select="fwversion"/></td>
                   </xsl:element>
                 </xsl:for-each>
                 <tr bgcolor="Gainsboro" >
                   <td colspan="8" align="left"><b>INTERCONNECT BAYS</b></td>
                 </tr>
                 <xsl:choose>
                   <xsl:when test="count(oainfo/interconnect)=0">
                     <tr align="center"><td colspan="8">No Interconnects found</td></tr>
                   </xsl:when>
                   <xsl:otherwise>
                   <xsl:for-each select="oainfo/interconnect">
                     <xsl:call-template name="NL" />
                     <xsl:element name="tr">
                       <xsl:if test="(position() mod 2) = 0">
                         <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                       </xsl:if>
                       <td><xsl:value-of select="bay"/></td>
                       <td><xsl:value-of select="type"/></td>
                       <td><xsl:value-of select="part_number"/></td>
                       <td><xsl:value-of select="serial_number"/></td>
                       <td><xsl:value-of select="assigned_name"/></td>
                       <td><xsl:value-of select="ipaddress"/></td>
                       <td><xsl:value-of select="device_model"/></td>
                       <td><xsl:value-of select="firmware_version"/></td>
                     </xsl:element>
                   </xsl:for-each>
                   </xsl:otherwise>
                 </xsl:choose>
                 <tr bgcolor="Gainsboro" ><td colspan="8"><b>PARTITIONS (Quick Glance)</b></td></tr>
                 <xsl:choose>
                   <xsl:when test="count(npararray)=0">
                     <tr align="center">
                       <td colspan="8">No Partitions found</td>
                     </tr>
                   </xsl:when>
                 <xsl:otherwise>
                 <xsl:for-each select="npararray">
                   <xsl:call-template name="NL" />
                   <xsl:element name="tr">
                     <xsl:if test="(position() mod 2) = 0">
                       <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                     </xsl:if>
                   <td><xsl:value-of select="bay"/></td>
                   <td><xsl:value-of select="type"/></td>
                   <td></td><td></td>
                   <td><xsl:value-of select="assigned_name"/></td>
                   <td>N/A</td><td></td>
                   <td><xsl:value-of select="fwversion"/></td>
                   </xsl:element>
                 </xsl:for-each>
                 </xsl:otherwise>
                 </xsl:choose>
                 <tr bgcolor="Gainsboro" ><td colspan="8"><b>UNASSIGNED BLADES (Quick Glance)</b></td></tr>
                 <xsl:choose>
                   <xsl:when test="count(bladearray)=0">
                     <tr align="center">
                       <td colspan="8">No Unassigned Blades found</td>
                     </tr>
                   </xsl:when>
                   <xsl:otherwise>
                  <xsl:for-each select="bladearray">
                    <xsl:call-template name="NL" />
                   <xsl:element name="tr">
                     <xsl:if test="(position() mod 2) = 0">
                       <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                     </xsl:if>
                   <td><xsl:value-of select="bay"/></td>
                   <td><xsl:value-of select="type"/></td>
                   <td><xsl:value-of select="part_number"/></td>
                   <td><xsl:value-of select="serial_number"/></td>
                   <td><xsl:value-of select="assigned_name"/></td>
                   <td>N/A</td><td></td>
                   <td><xsl:value-of select="fwversion"/></td>
                   </xsl:element>
                 </xsl:for-each>
                 </xsl:otherwise>
                 </xsl:choose>
                 <tr align="left">
                   <th>Device</th><xsl:call-template name="NL" />
                   <th>Bay Type</th><xsl:call-template name="NL" />
                   <th>Device Type</th><xsl:call-template name="NL" />
                   <th>Location</th><xsl:call-template name="NL" />
                   <th>Installed Firmware</th><xsl:call-template name="NL" />
                   <th colspan ="3">Description</th><xsl:call-template name="NL" />
                 </tr>
                 <tr bgcolor="Gainsboro" ><td colspan="8"><b>PARTITIONS (DETAILED)</b></td></tr>
                 <xsl:call-template name="NL" />
                  <xsl:choose>
                   <xsl:when test="count(npar_details)=0">
                     <tr align="center">
                       <td colspan="8">No Partitions found</td>
                     </tr>
                   </xsl:when>
                 <xsl:otherwise>
                  <xsl:for-each select="npar_details">
                   <tr><td><xsl:value-of select="bay"/></td>
                   <td colspan="4"><xsl:value-of select="type"/></td>
                   <td colspan="3"><xsl:value-of select="description"/></td></tr>
                   <xsl:for-each select="npar">
                   <xsl:call-template name="NL" />
                   <xsl:element name="tr">
                     <xsl:if test="(position() mod 2) != 0">
                       <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                     </xsl:if>
                   <td></td>
                   <td></td>
                   <td><xsl:value-of select="devicetype"/></td>
                   <td><xsl:value-of select="location"/></td>
                   <td><xsl:value-of select="fwversion"/></td>
                   <td colspan ="3"><xsl:value-of select="description"/></td>
                   <xsl:call-template name="NL" />
                   </xsl:element>
                   </xsl:for-each>
                   <xsl:for-each select="vpar">
                   <xsl:element name="tr">
                     <xsl:if test="(position() mod 2) = 0">
                       <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                     </xsl:if>
                     <td><xsl:value-of select="bay"/></td>
                     <td><xsl:value-of select="type"/></td>
                     <td><xsl:value-of select="devicetype"/></td>
                     <td><xsl:value-of select="location"/></td>
                     <td><xsl:value-of select="fwversion"/></td>
                     <td colspan="3"><xsl:value-of select="description"/></td>
                     <xsl:call-template name="NL" />
                   </xsl:element>
                   </xsl:for-each>
                 </xsl:for-each>
                 </xsl:otherwise>
               </xsl:choose>
               </xsl:for-each>
             </table>
            <xsl:call-template name="NL" />
            </div>
          </xsl:if>
            <!--If there are IPDU-->
          <xsl:if test ="count(report/firmwarereport/ipdu)>0">
              <div id="id_ipdu_details_link" style="margin: 4px; width: 100%; ">
              <xsl:call-template name="NL" />
              <a href="javascript:toggle('ipdu_details','ipdu_details')"><img src="hpminus.gif" border="0" id="img_ipdu_details"/></a>
              <xsl:call-template name="NL" />
              <font style="font-family: 'Arial';font-weight: bold; font-size: 12px"> IPDU Details</font>
              <xsl:call-template name="NL" />
              </div>
              <xsl:call-template name="NL" />
               <div id="id_ipdu_details" style="display:block; margin-left: 17px; margin-right: 10px; width: 99%;">
                <table width="100%">
                 <tr>
                   <td style ="font-family: Arial; font-size: 11px; font-weight: bold;width:5%">Status:</td>
                   <td style="font-family: Arial; font-size: xx-small">
                     <xsl:variable name="rtup5" select="count(report/firmwarereport/ipdu/ipdu_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0])" />
                     <xsl:if test="$rtup5>0">
                     <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Ready to update"/>
                     <xsl:value-of select="$rtup5"></xsl:value-of> Ready to update
                     </xsl:if>
                     <xsl:text>   </xsl:text>
                     <xsl:variable name="noupdateneeded" select="count(report/firmwarereport/ipdu/ipdu_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1])" />
                     <xsl:if test="$noupdateneeded>0">
                     <img src="dbd.png" style="margin-left: 3px; margin-right: 3px" alt="No update needed"/>
                     <xsl:value-of select="$noupdateneeded"></xsl:value-of> No update needed
                     </xsl:if>
                     <xsl:text>   </xsl:text>
                     <xsl:variable name="fdds4" select="count(report/firmwarereport/ipdu/ipdu_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2])" />
                     <xsl:if test="$fdds4>0">
                     <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Failed Dependencies"/>
                     <xsl:value-of select="$fdds4"></xsl:value-of> Failed Dependencies
                     </xsl:if>
                      <xsl:text>   </xsl:text>
                     <xsl:variable name="ncfg4" select="count(report/firmwarereport/ipdu/ipdu_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2])" />
                     <xsl:if test="$ncfg4>0">
                     <img src="cfg.jpg"  style="margin-left: 3px; margin-right: 3px" alt="Needs Configuration"/>
                     <xsl:value-of select="ncfg4"></xsl:value-of> Needs Configuration
                     </xsl:if>
                   </td>
                   <td></td>
                   <td align="right"><font style="font-family: Arial; font-size: xx-small"><a href="#top">Top</a></font></td>
                 </tr>
                 <tr>
                   <td style ="font-family: Arial; font-size: 11px; font-weight: bold;">Criticality:</td>
                   <td style="font-family: Arial; font-size: xx-small">
                     <xsl:variable name="critical7" select="count(report/firmwarereport/ipdu/ipdu_details[criticality=2 and status!=1])" />
                     <xsl:if test="$critical7>0">
                       <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Critical"/>
                       <xsl:value-of select="$critical7"></xsl:value-of> Critical
                     </xsl:if>
                     <xsl:text>   </xsl:text>
                     <xsl:variable name="rcmd7" select="count(report/firmwarereport/ipdu/ipdu_details[criticality=1 and status!=1])" />
                     <xsl:if test="$rcmd7>0">
                       <img src="rmd.jpg" style="margin-left: 3px; margin-right: 3px" alt="Recommended"/>
                       <xsl:value-of select="$rcmd7"></xsl:value-of> Recommended
                     </xsl:if>
                     <xsl:text>   </xsl:text>
                     <xsl:variable name="optional8" select="count(report/firmwarereport/ipdu/ipdu_details[(criticality=0 or criticality=3) and status!=1])" />
                     <xsl:if test="$optional8>0">
                       <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Optonal"/>
                       <xsl:value-of select="$optional8"></xsl:value-of> Optional
                     </xsl:if>
                   </td>
                   <td>Show :<input type="checkbox" checked="yes" margin-right="3px" name="2" onclick="showhideTableRows(this, 'ipdu',2)">Critical  </input><xsl:call-template name="NL" />
                    <input type="checkbox" checked="yes" name="1" margin-right="3px" onclick="showhideTableRows(this, 'ipdu',1)">Recommended  </input><xsl:call-template name="NL" />
                    <input type="checkbox" checked="yes" name="0" onclick="showhideTableRows(this, 'ipdu',3)">Optional</input></td><xsl:call-template name="NL" />
                   <td align="right"><font style="font-family: Arial; font-size: xx-small"><a href="javascript:showhidediv('id_summary','id_all_firmware_details');">Back</a></font></td>
                 </tr>
               </table>
                <xsl:call-template name="NL" />
               <table class="custom" width="100%" id="ipdu">
                 <xsl:call-template name="NL" />
                 <tr align="left" id="-1">
                   <xsl:call-template name="NL" />
                   <th>IP Address</th>
                   <xsl:call-template name="NL" />
                   <th>Type</th>
                   <xsl:call-template name="NL" />
                   <th>Product ID</th>
                   <xsl:call-template name="NL" />
                   <th>Status</th>
                   <xsl:call-template name="NL" />
                   <th>Criticality</th>
                   <xsl:call-template name="NL" />
                   <th>Installed Version</th>
                   <xsl:call-template name="NL" />
                   <th>Available Version</th>
                   <xsl:call-template name="NL" />
                   <th>Description</th>
                   <xsl:call-template name="NL" />
                 </tr>
                 <xsl:for-each select="report/firmwarereport/ipdu/ipdu_details">
                   <xsl:call-template name="NL" />
                   <xsl:element name="tr">
                     <xsl:attribute name="id"><xsl:value-of select="criticality"/></xsl:attribute>
                     <xsl:if test="(position() mod 2) = 0">
                       <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                     </xsl:if>
                     <xsl:call-template name="NL" />
                     <td colspan="7"><b><xsl:value-of select="ipaddress"/></b></td>
                     <xsl:call-template name="NL" />
                   </xsl:element>
                   <xsl:for-each select="devices">
                   <xsl:element name="tr">
                     <xsl:attribute name="id"><xsl:value-of select="../criticality"/></xsl:attribute>
                     <xsl:if test="(position() mod 2) != 0">
                       <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                     </xsl:if>
                     <td>
                       <xsl:choose>
                         <xsl:when test="partner_available='true'">
                           <xsl:value-of select="master_ip_address_ipv4"/>
                         </xsl:when>
                         <xsl:otherwise>
                           <xsl:variable name="sip" select="master_ip_address_ipv4"/>
                           <xsl:for-each select="../devices">
                             <xsl:if test="master_ip_address_ipv4=$sip">
                               <xsl:value-of select="partner_ip_address_ipv4"/>
                             </xsl:if>
                           </xsl:for-each>
                         </xsl:otherwise>
                       </xsl:choose>
                     </td>
                     <td><b><xsl:value-of select="type"/>-<xsl:value-of select="state"/></b></td>
                     <xsl:call-template name="NL" />
                     <td><xsl:value-of select="product_id"/></td>
                     <xsl:call-template name="NL" />
                     <td>
                       <xsl:if test="../status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                       <xsl:if test="../status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                       <xsl:if test="../status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                       <xsl:if test="../status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                     </td>
                     <xsl:call-template name="NL" />
                     <td>
                       <xsl:if test="../criticality=2 and ../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                       <xsl:if test="../criticality=2 and ../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                       <xsl:if test="../criticality=1 and ../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                       <xsl:if test="../criticality=1 and ../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                       <xsl:if test="(../criticality=3 or ../criticality=0) and ../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                       <xsl:if test="(../criticality=3 or ../criticality=0) and ../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                     </td>
                     <td><xsl:value-of select="version"/></td>
                     <xsl:call-template name="NL" />
                     <td>
                       <xsl:value-of select="repo_version"/><xsl:text> </xsl:text>
                       <br></br>
                        <xsl:element name="a">
                        <xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="../component"/>')</xsl:attribute>
                        <xsl:value-of select="../component"/>
                        </xsl:element>
                     </td>
                     <td><xsl:value-of select="model_id"/></td>
                    </xsl:element>
                     <xsl:for-each select="device">
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <xsl:attribute name="id"><xsl:value-of select="../../criticality"/></xsl:attribute>
                         <td></td>
                         <td><xsl:value-of select="type"/></td>
                         <td><xsl:value-of select="product_id"/></td>
                         <td>
                           <xsl:if test="../../status=0"><img src="nml.jpg" alt="Ready to update"/> Ready to update</xsl:if>
                           <xsl:if test="../../status=1"><img src="dbd.png" alt="No update needed"/> No update needed</xsl:if>
                           <xsl:if test="../../status=2"><img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies</xsl:if>
                           <xsl:if test="../../status=3"><img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration</xsl:if>
                         </td>
                         <xsl:call-template name="NL" />
                         <td>
                           <xsl:if test="../../criticality=2 and ../../status!=1"><img src="ctl.jpg" alt="Critical"/> Critical</xsl:if>
                           <xsl:if test="../../criticality=2 and ../../status=1"><img src="dctl.jpg" alt="Critical"/> Critical</xsl:if>
                           <xsl:if test="../../criticality=1 and ../../status!=1"><img src="rmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                           <xsl:if test="../../criticality=1 and ../../status=1"><img src="drmd.jpg" alt="Recommended"/> Recommended</xsl:if>
                           <xsl:if test="(../../criticality=3 or ../../criticality=0) and ../../status!=1"><img src="nml.jpg" alt="Optonal"/> Optonal</xsl:if>
                           <xsl:if test="(../../criticality=3 or ../../criticality=0) and ../../status=1"><img src="dnml.jpg" alt="Optonal"/> Optonal</xsl:if>
                         </td>
                         <td><xsl:value-of select="version"/></td>
                         <xsl:call-template name="NL" />
                         <td><xsl:value-of select="repo_version"/><xsl:text> </xsl:text></td>
                         <td><xsl:value-of select="model_id"/></td>
                       </xsl:element>
                     </xsl:for-each>
                   </xsl:for-each>
                 </xsl:for-each>
                 <xsl:call-template name="NL" />
               </table>
               <br></br>
              <xsl:call-template name="NL" />
              </div>
            </xsl:if>
           <!--Switch details-->
            <xsl:if test ="count(report/firmwarereport/switch)>0">
              <xsl:call-template name="NL" />
              <div id="id_switch_details_link" style="margin: 4px; width: 100%; ">
                <xsl:call-template name="NL" />
                <a href="javascript:toggle('switch_details','switch_details')">
                  <img src="hpminus.gif" border="0" id="img_switch_details"/>
                </a>
                <xsl:call-template name="NL" />
                <font style="font-family: 'Arial';font-weight: bold; font-size: 12px"> Switch Details</font>
                <xsl:call-template name="NL" />
              </div>
              <xsl:call-template name="NL" />
              <div id="id_switch_details" style="display:block; margin-left: 17px; margin-right: 10px; width: 99%;">
                <xsl:call-template name="NL" />
                <table width="100%">
                  <tr>
                    <td style ="font-family: Arial; font-size: 11px; font-weight: bold;width:5%">Status:</td>
                    <td style="font-family: Arial; font-size: xx-small">
                      <xsl:variable name="rtup4" select="count(report/firmwarereport/switch/switch_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=0])" />
                      <xsl:if test="$rtup4>0">
                        <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Ready to update"/>
                        <xsl:value-of select="$rtup4"></xsl:value-of> Ready to update
                      </xsl:if>
                      <xsl:text>   </xsl:text>
                      <xsl:variable name="noupdateneeded" select="count(report/firmwarereport/switch/switch_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=1])" />
                      <xsl:if test="$noupdateneeded>0">
                        <img src="dbd.png" style="margin-left: 3px; margin-right: 3px" alt="No update needed"/>
                        <xsl:value-of select="$noupdateneeded"></xsl:value-of> No update needed
                      </xsl:if>
                      <xsl:text>   </xsl:text>
                      <xsl:variable name="fdds3" select="count(report/firmwarereport/switch/switch_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=2])" />
                      <xsl:if test="$fdds3>0">
                        <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Failed Dependencies"/>
                        <xsl:value-of select="$fdds3"></xsl:value-of> Failed Dependencies
                      </xsl:if>
                      <xsl:text>   </xsl:text>
                      <xsl:variable name="ncfg3" select="count(report/firmwarereport/switch/switch_details[(criticality=3 or criticality=2 or criticality=1 or criticality=0) and status=3])" />
                      <xsl:if test="$ncfg3">
                        <img src="cfg.jpg"  style="margin-left: 3px; margin-right: 3px" alt="Needs Configuration"/>
                        <xsl:value-of select="$ncfg3"></xsl:value-of> Needs Configuration
                      </xsl:if>
                    </td>
                    <td></td>
                    <td align="right">
                      <font style="font-family: Arial; font-size: xx-small">
                        <a href="#top">Top</a>
                      </font>
                    </td>
                  </tr>
                  <tr>
                    <td style ="font-family: Arial; font-size: 11px; font-weight: bold;">Criticality:</td>
                    <td style="font-family: Arial; font-size: xx-small">
                      <xsl:variable name="crtl6" select="count(report/firmwarereport/switch/switch_details[criticality=2 and status!=1])" />
                      <xsl:if test="$crtl6>0">
                        <img src="ctl.jpg" style="margin-left: 3px; margin-right: 3px" alt="Critical"/>
                        <xsl:value-of select="$crtl6"></xsl:value-of> Critical
                      </xsl:if>
                      <xsl:text>   </xsl:text>
                      <xsl:variable name="rcmd6" select="count(report/firmwarereport/switch/switch_details[criticality=1 and status!=1])" />
                      <xsl:if test="$rcmd6>0">
                        <img src="rmd.jpg" style="margin-left: 3px; margin-right: 3px" alt="Recommended"/>
                        <xsl:value-of select="$rcmd6"></xsl:value-of> Recommended
                      </xsl:if>
                      <xsl:text>   </xsl:text>
                      <xsl:variable name="opt7" select="count(report/firmwarereport/switch/switch_details[(criticality=3 or criticality=0) and status!=1])>0" />
                      <xsl:if test="$opt7>0">
                        <img src="nml.jpg" style="margin-left: 3px; margin-right: 3px" alt="Optonal"/>
                        <xsl:value-of select="$opt7"></xsl:value-of> Optional
                      </xsl:if>
                    </td>
                    <xsl:call-template name="NL" />
                    <td>
                      Show :<input type="checkbox" checked="yes" margin-right="3px" name="2" onclick="showhideTableRows(this, 'switch',2)">Critical  </input><xsl:call-template name="NL" />
                      <input type="checkbox" checked="yes" name="1" margin-right="3px" onclick="showhideTableRows(this, 'switch',1)">Recommended  </input><xsl:call-template name="NL" />
                      <input type="checkbox" checked="yes" name="0" onclick="showhideTableRows(this, 'switch',3)">Optional</input>
                    </td>
                    <xsl:call-template name="NL" />
                    <td align="right">
                      <font style="font-family: Arial; font-size: xx-small">
                        <a href="javascript:showhidediv('id_summary','id_all_firmware_details');">Back</a>
                      </font>
                    </td>
                  </tr>
                </table>
                <table class="custom" width="100%" id="switch">
                  <xsl:call-template name="NL" />
                  <tr align="left" id="-1">
                    <xsl:call-template name="NL" />
                    <th>IP Address</th>
                    <xsl:call-template name="NL" />
                    <th>Product ID</th>
                    <xsl:call-template name="NL" />
                    <th>Status</th>
                    <xsl:call-template name="NL" />
                    <th>Criticality</th>
                    <xsl:call-template name="NL" />
                    <th>Installed Version</th>
                    <xsl:call-template name="NL" />
                    <th>Available Version</th>
                    <xsl:call-template name="NL" />
                    <th>Description</th>
                    <xsl:call-template name="NL" />
                  </tr>
                  <xsl:for-each select="report/firmwarereport/switch/switch_details">
                    <xsl:call-template name="NL" />
                    <xsl:element name="tr">
                      <xsl:attribute name="id">
                        <xsl:value-of select="criticality"/>
                      </xsl:attribute>
                      <xsl:attribute name="bgcolor">Gainsboro</xsl:attribute>
                      <td><xsl:value-of select="ipaddress"/></td>
                      <xsl:call-template name="NL" />
                      <td><xsl:value-of select="model_name"/></td>
                      <td>
                        <xsl:if test="status=0">
                          <img src="nml.jpg" alt="Ready to update"/> Ready to update
                        </xsl:if>
                        <xsl:if test="status=1">
                          <img src="dbd.png" alt="No update needed"/> No update needed
                        </xsl:if>
                        <xsl:if test="status=2">
                          <img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies
                        </xsl:if>
                        <xsl:if test="status=3">
                          <img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration
                        </xsl:if>
                      </td>
                      <td>
                        <xsl:if test="criticality=2 and status!=1">
                          <img src="ctl.jpg" alt="Critical"/> Critical
                        </xsl:if>
                        <xsl:if test="criticality=2 and status=1">
                          <img src="dctl.jpg" alt="Critical"/> Critical
                        </xsl:if>
                        <xsl:if test="criticality=1 and status!=1">
                          <img src="rmd.jpg" alt="Recommended"/> Recommended
                        </xsl:if>
                        <xsl:if test="criticality=1 and status=1">
                          <img src="drmd.jpg" alt="Recommended"/> Recommended
                        </xsl:if>
                        <xsl:if test="(criticality=0 or criticality=3) and status!=1">
                          <img src="nml.jpg" alt="Optonal"/> Optonal
                        </xsl:if>
                        <xsl:if test="(criticality=0 or criticality=3) and status=1">
                          <img src="dnml.jpg" alt="Optonal"/> Optonal
                        </xsl:if>
                      </td>
                      <td colspan="3"></td>
                    </xsl:element>
                    <xsl:for-each select="device">
                      <xsl:call-template name="NL" />
                      <xsl:element name="tr">
                        <xsl:attribute name="id">
                          <xsl:value-of select="../criticality"/>
                        </xsl:attribute>
                        <xsl:if test="(position() mod 2) = 0">
                          <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                        </xsl:if>
                        <xsl:call-template name="NL" />
                        <td></td>
                        <td><xsl:value-of select="product_id"/> - <xsl:value-of select="product_name"/></td>
                        <xsl:call-template name="NL" />
                        <td>
                          <xsl:if test="../status=0">
                            <img src="nml.jpg" alt="Ready to update"/> Ready to update
                          </xsl:if>
                          <xsl:if test="../status=1">
                            <img src="dbd.png" alt="No update needed"/> No update needed
                          </xsl:if>
                          <xsl:if test="../status=2">
                            <img src="ctl.jpg" alt="Failed Dependencies"/> Failed Dependencies
                          </xsl:if>
                          <xsl:if test="../status=3">
                            <img src="cfg.jpg" alt="Needs Configuration"/> Needs Configuration
                          </xsl:if>
                        </td>
                        <td>
                          <xsl:if test="../criticality=2 and ../status!=1">
                            <img src="ctl.jpg" alt="Critical"/> Critical
                          </xsl:if>
                          <xsl:if test="../criticality=2 and ../status=1">
                            <img src="dctl.jpg" alt="Critical"/> Critical
                          </xsl:if>
                          <xsl:if test="../criticality=1 and ../status!=1">
                            <img src="rmd.jpg" alt="Recommended"/> Recommended
                          </xsl:if>
                          <xsl:if test="../criticality=1 and ../status=1">
                            <img src="drmd.jpg" alt="Recommended"/> Recommended
                          </xsl:if>
                          <xsl:if test="(../criticality=0 or ../criticality=3) and ../status!=1">
                            <img src="nml.jpg" alt="Optonal"/> Optonal
                          </xsl:if>
                          <xsl:if test="(../criticality=0 or ../criticality=3) and ../status=1">
                            <img src="dnml.jpg" alt="Optonal"/> Optonal
                          </xsl:if>
                        </td>
                        <xsl:call-template name="NL" />
                        <td><xsl:value-of select="fw_item/primary_version"/></td>
                        <xsl:call-template name="NL" />
                        <td>
                          <xsl:value-of select="../repo_version"/>
                          <br></br>
                          <xsl:element name="a">
                            <xsl:attribute name="href">javascript:showhidedivscroll('id_all_inventory_details','id_all_firmware_details','<xsl:value-of select="../component"/>')</xsl:attribute>
                            <xsl:value-of select="../component"/>
                          </xsl:element>
                        </td>
                        <xsl:call-template name="NL" />
                        <td>
                          <xsl:value-of select="device_role"/>
                          <xsl:call-template name="NL" />
                          <xsl:value-of select="fw_item/health_status"/>                          
                        </td>
                      </xsl:element>
                    </xsl:for-each>
                  </xsl:for-each>
                </table>
                <xsl:call-template name="NL" />
              </div>
            </xsl:if>
         </div>
        </div>
        <xsl:call-template name="NL" />
       </div>
       <xsl:call-template name="NL" />
     </div>
     </xsl:if>
     <xsl:if test="count(report/inventoryreport)>0">
       <xsl:call-template name="NL" />
       <div id="id_all_inventory_details" style="display:none">
         <xsl:call-template name="NL" />
         <div id="contentDiv" style="margin-left:5px; margin-top:5px; width:99.1%">
           <xsl:call-template name="NL" />
           <div id="id_inventory_details_header">
             <xsl:if test="count(report/inventoryreport/component)>0">
               <div id="headerDiv" style="width:100%">
                 <xsl:call-template name="NL" />
                 <div id="titleText">Inventory Repository Report</div>
                 <xsl:call-template name="NL" />
                 <a href="javascript:showdetails('inventory_details');">
                   <img src="collapse.png" border="0" id="img_inventory_details" alt="Expand/Collapse section"/>
                 </a>
                 <xsl:call-template name="NL" />
                 <a href="javascript:showhidediv('id_summary','id_all_inventory_details');" >Back to Main</a>
                 <xsl:call-template name="NL" />
               </div>
               <div id="id_inventory_details" style="display:block">
                 <xsl:call-template name="NL" />
                 <div id="contentDiv" style="width:100%">
                   <xsl:call-template name="NL" />
                   <table class="custom" width="30%" align="center" style="margin:10px">
                     <tr>
                       <th align="left">Type of Component</th>
                       <th align="left">Total</th>
                     </tr>
                     <tr>
                       <xsl:if test="count(report/inventoryreport/component/typeofcomponent[text()='Software'])>0">
                       <td>Software Components</td>
                       <td><a href="#software"><xsl:value-of select ="count(report/inventoryreport/component/typeofcomponent[text()='Software'])"/></a></td>
                       </xsl:if>
                     </tr>
                     <xsl:if test="count(report/inventoryreport/component/typeofcomponent[text()='Firmware'])>0">
                       <tr>
                         <td bgcolor="Gainsboro">Firmware Components</td>
                         <td bgcolor="Gainsboro"><a href="#firmware"><xsl:value-of select ="count(report/inventoryreport/component/typeofcomponent[text()='Firmware'])"/></a></td>
                       </tr>
                     </xsl:if>
                   </table>
                   <table class="custom" width="100%">
                     <xsl:call-template name="NL" />
                     <xsl:if test="count(report/inventoryreport/component/typeofcomponent[text()='Software'])>0">
                       <tr>
                         <td align="center" bgcolor="#B5B5B5" colspan="2" style="font-family: Arial; font-size: x-small; font-weight: bold;">
                           <a name="software" />Total number of Software Components <xsl:value-of select ="count(report/inventoryreport/component/typeofcomponent[text()='Software'])"/></td>
                       </tr>
                     </xsl:if>
                     <xsl:for-each select="report/inventoryreport/component">
                       <xsl:if test="typeofcomponent='Software'">
                       <tr>
                         <th align="left" width="17%">Component Name: <xsl:element name="a"><xsl:attribute name="name"><xsl:value-of select="filename"/></xsl:attribute>
                             <xsl:value-of select="filename"/>
                           </xsl:element>
                         </th>
                         <th align="right">
                           <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                           <a href="javascript:showhidediv('id_summary','id_all_inventory_details');">[Back]</a>
                         </th>
                       </tr>
                       <xsl:call-template name="NL" />
                       <tr>
                         <td bgcolor="Gainsboro">Name</td>
                         <td><xsl:value-of select="name"/></td>
                       </tr>
                       <xsl:call-template name="NL" />
                       <tr>
                         <td bgcolor="Gainsboro" width="10%">Type</td>
                         <td bgcolor="#F6F6F6">
                           <xsl:value-of select="type"/>
                         </td>
                       </tr>
                       <xsl:call-template name="NL" />
                       <tr>
                         <td bgcolor="Gainsboro" width="10%">Version</td>
                         <td><xsl:value-of select="version"/></td>
                       </tr>
                       <xsl:call-template name="NL" />
                       <tr>
                         <td bgcolor="Gainsboro" width="10%">Location</td>
                         <td bgcolor="#F6F6F6">
                           <xsl:value-of select="location"/>
                         </td>
                       </tr>
                       <xsl:call-template name="NL" />
                       <tr>
                         <td bgcolor="Gainsboro" width="10%">Description</td>
                         <td><xsl:value-of select="description"/></td>
                       </tr>
                     </xsl:if>
                     </xsl:for-each>
                     <xsl:if test="count(report/inventoryreport/component/typeofcomponent[text()='Firmware'])>0">
                       <tr>
                         <td align="center" bgcolor="#B5B5B5" colspan="2" style="font-family: Arial; font-size: x-small; font-weight: bold;">
                           <a name="firmware" />Total number of Firmware Components <xsl:value-of select ="count(report/inventoryreport/component/typeofcomponent[text()='Firmware'])"/></td>
                       </tr>
                     </xsl:if>
                     <xsl:for-each select="report/inventoryreport/component">
                       <xsl:sort select="typeofcomponent='Firmware'"></xsl:sort>
                       <xsl:if test="typeofcomponent='Firmware'">
                        <tr>
                         <th align="left" width="17%">Component Name: <xsl:element name="a"><xsl:attribute name="name"><xsl:value-of select="filename"/></xsl:attribute>
                             <xsl:value-of select="filename"/>
                           </xsl:element>
                         </th>
                         <th align="right">
                           <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                           <a href="javascript:showhidediv('id_summary','id_all_inventory_details');">[Back]</a>
                         </th>
                       </tr>
                       <xsl:call-template name="NL" />
                       <tr>
                         <td bgcolor="Gainsboro">Name</td>
                         <td><xsl:value-of select="name"/></td>
                       </tr>
                       <xsl:call-template name="NL" />
                       <tr>
                         <td bgcolor="Gainsboro" width="10%">Type</td>
                         <td bgcolor="#F6F6F6">
                           <xsl:value-of select="type"/>
                         </td>
                       </tr>
                       <xsl:call-template name="NL" />
                       <tr>
                         <td bgcolor="Gainsboro" width="10%">Version</td>
                         <td><xsl:value-of select="version"/></td>
                       </tr>
                       <xsl:call-template name="NL" />
                       <tr>
                         <td bgcolor="Gainsboro" width="10%">Location</td>
                         <td bgcolor="#F6F6F6"><xsl:value-of select="location"/></td>
                       </tr>
                       <xsl:call-template name="NL" />
                       <tr>
                         <td bgcolor="Gainsboro" width="10%">Description</td>
                         <td><xsl:value-of select="description"/></td>
                       </tr>
                       </xsl:if>
                     </xsl:for-each>
                   </table>
                   <xsl:call-template name="NL" />
                 </div>
                 <xsl:call-template name="NL" />
               </div>
             </xsl:if>
           </div>
           <xsl:call-template name="NL" />
         </div>
         <xsl:call-template name="NL" />
       </div>
     </xsl:if>
     <xsl:if test="count(report/faileddependencyreport/system)>0">
     <xsl:call-template name="NL" />
     <div id="id_all_faileddependency_details" style="display:none">
        <xsl:call-template name="NL" />
        <div id="contentDiv" style="margin-left:5px; margin-top:5px; width:99.1%">
        <xsl:call-template name="NL" />
        <div id="id_failed_details_header">
         <xsl:call-template name="NL" />
        <xsl:if test="count(report/faileddependencyreport/system)>0">
         <div id="headerDiv" style="width:100%">
           <xsl:call-template name="NL" />
           <div id="titleText">Failed Dependency Report</div>
           <xsl:call-template name="NL" />
            <a href="javascript:showdetails('faileddependency_details');">
            <img src="collapse.png" border="0" id="img_faileddependency_details" alt="Expand/Collapse section"/>
            </a>
           <xsl:call-template name="NL" />
         <a href="javascript:showhidediv('id_summary','id_all_faileddependency_details');">Back to Main</a>
        </div>
          <xsl:call-template name="NL" />
         <div id="id_faileddependency_details" style="display:block">
           <xsl:call-template name="NL" />
           <div id="contentDiv" style="width:100%; margin-bottom:5px">
             <xsl:call-template name="NL" />
             <table class="custom" width="100%">
             <xsl:call-template name="NL" />
             <tr>
               <th width="6%" align="left">IP Address</th>
               <th width="10%" align="left">Component Name</th>
               <th width="8%" align="left">Type/SW_Key</th>
               <th width="6%" align="left">Version</th>
               <th width="25%" align="left">Description</th>
               <th align="left">Failed Dependency</th>
             </tr>
             <xsl:for-each select="report/faileddependencyreport/system">
               <xsl:sort select ="count(component)>0" order="descending" />
               <xsl:call-template name="NL" />
               <tr bgcolor="Gainsboro">
                 <td>
                   <xsl:element name="a">
                     <xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
                     <b><xsl:value-of select="name"/></b>
                   </xsl:element>
                 </td>
                 <xsl:call-template name="NL" />
                 <td colspan="5" align="right">
                   <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                   <a href="javascript:showhidediv('id_summary','id_all_faileddependency_details');">[Back]</a></td>
               </tr>
               <xsl:choose>
                 <xsl:when test="count(no_data)>0">
                   <tr>
                   <td colspan="6" align="center">
                     <xsl:value-of select="no_data"/>
                   </td>
                   </tr>
                 </xsl:when>
                 <xsl:otherwise>
                 <xsl:for-each select="component">
                 <xsl:element name="tr">
                   <xsl:if test="(position() mod 2) = 0">
                     <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                   </xsl:if>
                   <td></td>
                   <td><xsl:value-of select="filename"/></td>
                   <td><xsl:value-of select="swkey"/></td>
                   <td><xsl:value-of select="version"/></td>
                   <td><xsl:value-of select="name"/></td>
                   <td style="color: #FF0000">
                     Installation requires one or more of the following that is not currently installed or in the install set:<br/><br/>
                   <ul>
                    <xsl:for-each select="failed_dependencies_list/failed_dependency">
                     <li><xsl:value-of select="."/></li>
                    </xsl:for-each>
                   </ul>
                   </td>
                   </xsl:element>
                  </xsl:for-each>
                  <xsl:call-template name="NL" />
                </xsl:otherwise>
               </xsl:choose>
             </xsl:for-each>
           </table>
           <xsl:call-template name="NL" />
         </div>
         <xsl:call-template name="NL" />
        </div>
        </xsl:if>
       </div>
       </div>
      </div>
     </xsl:if>
     <xsl:if test="count(report/updatetobeappliedreport/oa)>0 or count(report/updatetobeappliedreport/system)>0 or count(report/updatetobeappliedreport/vc)>0 or count(report/updatetobeappliedreport/ilo)>0 or count(report/updatetobeappliedreport/sd2)>0 or count(report/updatetobeappliedreport/ipdu)>0 or count(report/updatetobeappliedreport/switch)>0">
     <xsl:call-template name="NL" />
     <div id="id_all_updatetobeappliedreport_details" style="display:none">
         <xsl:call-template name="NL" />
         <div id="contentDiv" style="margin-left:5px; margin-top:5px; width:99.1%">
           <xsl:call-template name="NL" />
           <div id="id_updatetobeapplied_details_header">
             <xsl:call-template name="NL" />
               <div id="headerDiv" style="width:100%">
                 <xsl:call-template name="NL" />
                 <div id="titleText" align="left">Updates to be Applied Report</div>
                 <xsl:call-template name="NL" />
                 <a href="javascript:showdetails('updatetobeapplied_details');">
                   <img src="collapse.png" border="0" id="img_updatetobeapplied_details" alt="Expand/Collapse section"/>
                 </a>
                 <xsl:call-template name="NL" />
                 <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">Back to Main</a>
               </div>
               <xsl:call-template name="NL" />
               <div id="id_updatetobeapplied_details" style="display:block">
                 <xsl:call-template name="NL" />
                 <div id="contentDiv" style="width:100%">
                   <xsl:call-template name="NL" />
                   <xsl:if test ="count(report/updatetobeappliedreport/oa)>0">
                     <br></br>
                     <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Onboard Administrator Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="80%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th>IP Address</th>
                       <th>Install Needed</th>
                       <th>Alreay Installed</th>
                       <th>Part Number</th>
                       <th>Serial Number</th>
                       <th>Product Name</th>
                       <th>Assinged Name</th>
                       <th>Stand By IP</th>
                     </tr>
                     <xsl:for-each select="report/updatetobeappliedreport/oa">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#update_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="count(needs_install/component)"/> Component</td>
                         <td><xsl:value-of select="count(already_installed/component)"/> Component</td>
                         <td><xsl:value-of select="part_number"/></td>
                         <td><xsl:value-of select="serial_number"/></td>
                         <td><xsl:value-of select="boardname"/></td>
                         <td><xsl:value-of select="oaname"/></td>
                         <td><xsl:value-of select="sipaddress"/></td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/ilo)>0">
                      <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Integrated Light Out Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="55%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th width="17%">IP Address</th>
                       <th width="17%">Install Needed</th>
                       <th>Alreay Installed</th>
                       <th>Product Name</th>
                       <th>Description</th>
                     </tr>
                     <xsl:for-each select="report/updatetobeappliedreport/ilo">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#update_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="count(needs_install/component)"/> Component</td>
                         <td><xsl:value-of select="count(already_installed/component)"/> Component</td>
                         <td><xsl:value-of select="boardname"/></td>
                         <td><xsl:value-of select="description"/></td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/vc)>0">
                      <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Virtual Connect Details</font>
                      <table class="custom" style="margin: 0px 5px 15px 5px" width="55%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th width="17%">IP Address</th>
                       <th width="17%">Install Needed</th>
                       <th>Alreay Installed</th>
                       <th>VC Domain</th>
                       <th>Description</th>
                     </tr>
                     <xsl:for-each select="report/updatetobeappliedreport/vc">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#update_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="count(needs_install/component)"/> Component</td>
                         <td><xsl:value-of select="count(already_installed/component)"/> Component</td>
                         <td><xsl:value-of select="domain"/></td>
                         <td><xsl:value-of select="description"/></td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/sd2)>0">
                      <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Superdome 2 Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="65%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th width="17%">IP Address</th>
                       <th width="17%">Install Needed</th>
                       <th>Alreay Installed</th>
                       <th>Type</th>
                       <th>Enclsure</th>
                       <th>Serial Number</th>
                     </tr>
                     <xsl:for-each select="report/updatetobeappliedreport/sd2">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#update_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="count(needs_install/component)"/> Component</td>
                         <td><xsl:value-of select="count(already_installed/component)"/> Component</td>
                         <td><xsl:value-of select="type"/></td>
                         <td><xsl:value-of select="enclsure"/></td>
                         <td><xsl:value-of select="serial_number"/></td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/ipdu)>0">
                     <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">HP Intelligent Power Distribution Unit Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="45%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th width="17%">IP Address</th>
                       <th width="17%">Install Needed</th>
                       <th>Alreay Installed</th>
                       <th>Description</th>
                     </tr>
                     <xsl:for-each select="report/updatetobeappliedreport/ipdu">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#update_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="count(needs_install/component)"/> Component</td>
                         <td><xsl:value-of select="count(already_installed/component)"/> Component</td>
                         <td><xsl:value-of select="description"/></td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/system)>0">
                   <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Server Details</font>
                   <table class="custom" style="margin: 0px 5px 15px 5px" width="99.2%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th width="10%">IP Address</th>
                       <th width="10%">Install Needed</th>
                       <th>Alreay Installed</th>
                       <th>Model</th>
                       <th>Operating System</th>
                       <th>Part Number</th>
                       <th>Serial Number</th>
                       <th>OS Architecture</th>
                       <th>Description</th>
                     </tr>
                     <xsl:for-each select="report/updatetobeappliedreport/system">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#update_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="count(needs_install/component)"/> Components</td>
                         <td><xsl:value-of select="count(already_installed/component)"/> Components</td>
                         <td><xsl:value-of select="type"/></td>
                         <td><xsl:value-of select="os"/></td>
                         <td><xsl:value-of select="part_number"/></td>
                         <td><xsl:value-of select="serial_number"/></td>
                         <td><xsl:value-of select="architecture"/></td>
                         <td><xsl:value-of select="description"/></td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/switch)>0">
                      <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Switch Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="55%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th width="17%">IP Address</th>
                       <th width="17%">Install Needed</th>
                       <th>Alreay Installed</th>
                       <th>Product Name</th>
                       <th>Description</th>
                     </tr>
                     <xsl:for-each select="report/updatetobeappliedreport/switch">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#update_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="count(needs_install/component)"/> Component</td>
                         <td><xsl:value-of select="count(already_installed/component)"/> Component</td>
                         <td><xsl:value-of select="model_name"/></td>
                         <td><xsl:value-of select="description"/></td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <br></br>
                   <xsl:if test ="count(report/updatetobeappliedreport/oa)>0">
                   <table class="custom" style="margin: 0px 5px 15px 5px" width="99.2%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th width="10%">IP Address</th>
                       <th colspan="2"></th>
                     </tr>
                      <xsl:for-each select="report/updatetobeappliedreport/oa">
                       <xsl:call-template name="NL" />
                         <xsl:if test="count(needs_install)>0">
                         <tr>
                           <td colspan="2" bgcolor="Gainsboro">
                             <font style="font-family: 'Arial'; font-weight: bold; font-size: 11px">
                              <xsl:element name="a">
                                <xsl:attribute name="name">update_<xsl:value-of select="ipaddress"/></xsl:attribute>
                                <xsl:value-of select="ipaddress"/>
                              </xsl:element>
                            </font>
                           </td>
                           <xsl:call-template name="NL" />
                           </tr>
                           <tr>
                           <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Install Needed Component</td>
                           <xsl:call-template name="NL" />
                           <td align="left" bgcolor="#B5B5B5"  style="font-family: Arial; font-size: xx-small; font-weight: bold;">Estimated installation time : <xsl:value-of select="needs_install/total_installtime"/></td>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(needs_install/component)=0">
                             <tr>
                               <td colspan="2" align="center">No install needed components found for OA</td>
                             </tr>
                           </xsl:when>
                           <xsl:otherwise>
                             <xsl:for-each select="needs_install/component">
                               <tr>
                                 <th align="left" width="17%">
                                   <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                     <xsl:attribute name="name"><xsl:value-of select="filename"/>
                                     </xsl:attribute>
                                     <xsl:value-of select="filename"/>
                                   </xsl:element>
                                 </th>
                                 <th align="right">
                                   <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                   <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                 </th>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro">Name</td>
                                 <td><xsl:value-of select="name"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                 <td><xsl:value-of select="version"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="installtime"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                 <td><xsl:value-of select="devices"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                                <tr>
                                 <td bgcolor="Gainsboro" width="10%">Description</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="description"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                             </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                        </xsl:if>
                         <xsl:if test="count(already_installed)>0">
                           <tr>
                             <td align="left" bgcolor="#B5B5B5" colspan="2" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Already Installed Component</td>
                           </tr>
                           <xsl:choose>
                             <xsl:when test="count(already_installed/component)=0">
                               <td colspan="2" align="center">No already installed components found for OA</td>
                             </xsl:when>
                             <xsl:otherwise>
                               <xsl:for-each select="already_installed/component">
                                 <tr>
                                   <th align="left" width="17%">
                                     <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                       <xsl:attribute name="name">
                                         <xsl:value-of select="filename"/>
                                       </xsl:attribute>
                                       <xsl:value-of select="filename"/>
                                     </xsl:element>
                                   </th>
                                   <th align="right">
                                     <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                     <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                   </th>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro">Name</td>
                                   <td><xsl:value-of select="name"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                   <td bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                   <td><xsl:value-of select="version"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                   <td><xsl:value-of select="installtime"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                   <td bgcolor="#F6F6F6"><xsl:value-of select="devices"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Description</td>
                                   <td><xsl:value-of select="description"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                               </xsl:for-each>
                             </xsl:otherwise>
                           </xsl:choose>
                         </xsl:if>
                     </xsl:for-each>
                   </table>
                   <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/system)>0">
                   <xsl:call-template name="NL" />
                     <xsl:for-each select="report/updatetobeappliedreport/system">
                       <table class="custom" style="margin: 0px 5px 13px 5px" width="99.2%">
                       <xsl:call-template name="NL" />
                         <font style="margin: 0px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">
                         <xsl:element name="a">
                           <xsl:attribute name="name">update_<xsl:value-of select="ipaddress"/></xsl:attribute>
                           <xsl:value-of select="ipaddress"/>
                         </xsl:element>
                         </font>                         
                         <xsl:if test="count(needs_install)>0">
                         <tr>
                           <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Install Needed Components</td>
                           <td align="left" bgcolor="#B5B5B5" colspan="6" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Total estimated installation time : <xsl:value-of select="needs_install/total_installtime"/></td>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(needs_install/component)=0">
                             <td colspan="7" align="center">No install needed components found for the system</td>  
                           </xsl:when>
                           <xsl:otherwise>
                             <xsl:for-each select="needs_install/component">
                               <tr>
                                 <th align="left" width="17%">
                                   <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                     <xsl:attribute name="name"><xsl:value-of select="filename"/>
                                     </xsl:attribute>
                                     <xsl:value-of select="filename"/>
                                   </xsl:element>
                                 </th>
                                 <th align="right" colspan="6">
                                   <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                   <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                 </th>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro">Name</td>
                                 <td colspan="6"><xsl:value-of select="name"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                 <td colspan="6" bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                 <td colspan="6"><xsl:value-of select="version"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                 <td colspan="6" bgcolor="#F6F6F6"><xsl:value-of select="installtime"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                 <td colspan="6"><xsl:value-of select="devices"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                                <tr>
                                 <td bgcolor="Gainsboro" width="10%">Description</td>
                                 <td bgcolor="#F6F6F6" colspan="6"><xsl:value-of select="description"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                             </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                        </xsl:if>
                         <xsl:if test="count(already_installed)>0">
                           <tr>
                             <td align="left" bgcolor="#B5B5B5" colspan="7" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Already Installed Components</td>
                           </tr>
                           <xsl:choose>
                             <xsl:when test="count(already_installed/component)=0">
                               <td colspan="7" align="center">No already installed components found for the system</td>
                             </xsl:when>
                             <xsl:otherwise>
                               <xsl:for-each select="already_installed/component">
                                 <tr>
                                   <th align="left" width="17%">
                                     <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                       <xsl:attribute name="name">
                                         <xsl:value-of select="filename"/>
                                       </xsl:attribute>
                                       <xsl:value-of select="filename"/>
                                     </xsl:element>
                                   </th>
                                   <th align="right" colspan="6">
                                     <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                     <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                   </th>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro">Name</td>
                                   <td colspan="6">
                                     <xsl:value-of select="name"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                   <td colspan="6" bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                   <td><xsl:value-of select="version"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                   <td colspan="6">
                                     <xsl:value-of select="installtime"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                   <td colspan="6" bgcolor="#F6F6F6">
                                     <xsl:value-of select="devices"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Description</td>
                                   <td colspan="6"><xsl:value-of select="description"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                               </xsl:for-each>
                             </xsl:otherwise>
                           </xsl:choose>
                         </xsl:if>
                       </table>
                     </xsl:for-each>
                   <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/ilo)>0">
                   <table class="custom" style="margin: 0px 5px 15px 5px" width="99.2%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th width="10%">IP Address</th>
                       <th colspan="2"></th>
                     </tr>
                      <xsl:for-each select="report/updatetobeappliedreport/ilo">
                        <xsl:call-template name="NL" />
                         <xsl:if test="count(needs_install)>0">
                         <tr>
                           <td colspan="2" bgcolor="Gainsboro">
                             <font style="font-family: 'Arial'; font-weight: bold; font-size: 11px">
                              <xsl:element name="a">
                                <xsl:attribute name="name">update_<xsl:value-of select="ipaddress"/></xsl:attribute>
                                <xsl:value-of select="ipaddress"/>
                              </xsl:element>
                            </font>
                           </td>
                           </tr>
                           <tr>
                           <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Install Needed Components</td>
                           <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Estimated installation time : <xsl:value-of select="needs_install/total_installtime"/></td>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(needs_install/component)=0">
                             <tr>
                               <td colspan="2" align="center">No install needed components found for ILO</td>
                             </tr>
                           </xsl:when>
                           <xsl:otherwise>
                             <xsl:for-each select="needs_install/component">
                               <tr>
                                 <th align="left" width="17%">
                                   <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                     <xsl:attribute name="name"><xsl:value-of select="filename"/>
                                     </xsl:attribute>
                                     <xsl:value-of select="filename"/>
                                   </xsl:element>
                                 </th>
                                 <th align="right">
                                   <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                   <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                 </th>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro">Name</td>
                                 <td><xsl:value-of select="name"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                 <td><xsl:value-of select="version"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="installtime"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                 <td><xsl:value-of select="devices"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                                <tr>
                                 <td bgcolor="Gainsboro" width="10%">Description</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="description"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                             </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                        </xsl:if>
                         <xsl:if test="count(already_installed)>0">
                           <tr>
                             <td align="left" bgcolor="#B5B5B5" colspan="2" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Already Installed Components</td>
                           </tr>
                           <xsl:choose>
                             <xsl:when test="count(already_installed/component)=0">
                               <td colspan="2" align="center">No already installed components found for ILO</td>
                             </xsl:when>
                             <xsl:otherwise>
                               <xsl:for-each select="already_installed/component">
                                 <tr>
                                   <th align="left" width="17%">
                                     <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                       <xsl:attribute name="name">
                                         <xsl:value-of select="filename"/>
                                       </xsl:attribute>
                                       <xsl:value-of select="filename"/>
                                     </xsl:element>
                                   </th>
                                   <th align="right">
                                     <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                     <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                   </th>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro">Name</td>
                                   <td><xsl:value-of select="name"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                   <td bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                                 </tr>
                                  <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                   <td><xsl:value-of select="version"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                   <td><xsl:value-of select="installtime"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                   <td bgcolor="#F6F6F6"><xsl:value-of select="devices"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Description</td>
                                   <td><xsl:value-of select="description"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                               </xsl:for-each>
                             </xsl:otherwise>
                           </xsl:choose>
                         </xsl:if>
                     </xsl:for-each>
                   </table>
                   <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/vc)>0">
                   <table class="custom" style="margin: 0px 5px 15px 5px" width="99.2%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th width="10%">IP Address</th>
                       <th colspan="2"></th>
                     </tr>
                      <xsl:for-each select="report/updatetobeappliedreport/vc">
                       <xsl:call-template name="NL" />
                         <xsl:if test="count(needs_install)>0">
                         <tr>
                           <td colspan="2" bgcolor="Gainsboro">
                           <font style="font-family: 'Arial'; font-weight: bold; font-size: 11px">
                             <xsl:element name="a">
                               <xsl:attribute name="name">update_<xsl:value-of select="ipaddress"/></xsl:attribute>
                               <xsl:value-of select="ipaddress"/>
                             </xsl:element>
                           </font>
                           </td>
                          </tr>
                           <tr>
                           <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Install Needed Components</td>
                           <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Estimated installation time : <xsl:value-of select="needs_install/total_installtime"/></td>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(needs_install/component)=0">
                             <tr>
                               <td colspan="2" align="center">No install needed components found for VC</td>
                             </tr>
                           </xsl:when>
                           <xsl:otherwise>
                             <xsl:for-each select="needs_install/component">
                               <tr>
                                 <th align="left" width="17%">
                                   <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                     <xsl:attribute name="name"><xsl:value-of select="filename"/>
                                     </xsl:attribute>
                                     <xsl:value-of select="filename"/>
                                   </xsl:element>
                                 </th>
                                 <th align="right">
                                   <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                   <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                 </th>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro">Name</td>
                                 <td><xsl:value-of select="name"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                 <td><xsl:value-of select="version"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="installtime"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                 <td><xsl:value-of select="devices"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                                <tr>
                                 <td bgcolor="Gainsboro" width="10%">Description</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="description"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                             </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                        </xsl:if>
                         <xsl:if test="count(already_installed)>0">
                           <tr>
                             <td align="left" bgcolor="#B5B5B5" colspan="2" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Already Installed Components</td>
                           </tr>
                           <xsl:choose>
                             <xsl:when test="count(already_installed/component)=0">
                               <tr>
                               <td colspan="2" align="center">No already installed components found for VC</td>
                               </tr>
                             </xsl:when>
                             <xsl:otherwise>
                               <xsl:for-each select="already_installed/component">
                                 <tr>
                                   <th align="left" width="17%">
                                     <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                       <xsl:attribute name="name"><xsl:value-of select="filename"/></xsl:attribute>
                                       <xsl:value-of select="filename"/>
                                     </xsl:element>
                                   </th>
                                   <th align="right">
                                     <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                     <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                   </th>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro">Name</td>
                                   <td><xsl:value-of select="name"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                   <td bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                                 </tr>
                                  <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                   <td><xsl:value-of select="version"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                   <td><xsl:value-of select="installtime"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                   <td bgcolor="#F6F6F6"><xsl:value-of select="devices"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Description</td>
                                   <td><xsl:value-of select="description"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                               </xsl:for-each>
                             </xsl:otherwise>
                           </xsl:choose>
                         </xsl:if>
                     </xsl:for-each>
                   </table>
                   <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/sd2)>0">
                     <xsl:for-each select="report/updatetobeappliedreport/sd2">
                     <xsl:call-template name="NL" />
                     <table class="custom" style="margin: 0px 5px 13px 5px" width="99.2%">
                       <xsl:call-template name="NL" />
                         <font style="margin: 0px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">
                         <xsl:element name="a">
                           <xsl:attribute name="name">update_<xsl:value-of select="ipaddress"/></xsl:attribute>
                           <xsl:value-of select="ipaddress"/>
                         </xsl:element>
                         </font>                         
                         <xsl:if test="count(needs_install)>0">
                         <tr>
                           <td align="left" width="17%" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Install Needed Components</td>
                           <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Total estimated installation time : <xsl:value-of select="needs_install/total_installtime"/></td>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(needs_install/component)=0">
                             <tr>
                             <td colspan="2" align="center">No install needed components found for Superdome 2 OA</td>
                             </tr>
                           </xsl:when>
                           <xsl:otherwise>
                             <xsl:for-each select="needs_install/component">
                               <tr>
                                 <th align="left" width="17%">
                                   <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                     <xsl:attribute name="name"><xsl:value-of select="filename"/>
                                     </xsl:attribute>
                                     <xsl:value-of select="filename"/>
                                   </xsl:element>
                                 </th>
                                 <th align="right" colspan="6">
                                   <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                   <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                 </th>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro">Name</td>
                                 <td><xsl:value-of select="name"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                 <td><xsl:value-of select="version"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="installtime"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                 <td><xsl:value-of select="devices"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                                <tr>
                                 <td bgcolor="Gainsboro" width="10%">Description</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="description"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                             </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                        </xsl:if>
                         <xsl:if test="count(already_installed)>0">
                           <tr>
                             <td align="left" bgcolor="#B5B5B5" colspan="2" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Already Installed Components</td>
                           </tr>
                           <xsl:choose>
                             <xsl:when test="count(already_installed/component)=0">
                               <td colspan="2" align="center">No already installed components found for Superdome 2 OA</td>
                             </xsl:when>
                             <xsl:otherwise>
                               <xsl:for-each select="already_installed/component">
                                 <tr>
                                   <th align="left" width="17%">
                                     <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                       <xsl:attribute name="name">
                                         <xsl:value-of select="filename"/>
                                       </xsl:attribute>
                                       <xsl:value-of select="filename"/>
                                     </xsl:element>
                                   </th>
                                   <th align="right">
                                     <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                     <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                   </th>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro">Name</td>
                                   <td><xsl:value-of select="name"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                   <td bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                   <td><xsl:value-of select="version"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                   <td><xsl:value-of select="installtime"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                   <td bgcolor="#F6F6F6">
                                     <xsl:value-of select="devices"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Description</td>
                                   <td><xsl:value-of select="description"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                               </xsl:for-each>
                             </xsl:otherwise>
                           </xsl:choose>
                         </xsl:if>
                       </table>
                     </xsl:for-each>
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/ipdu)>0">
                   <table class="custom" style="margin: 0px 5px 15px 5px" width="99.2%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th width="10%">IP Address</th>
                       <th colspan="2"></th>
                     </tr>
                      <xsl:for-each select="report/updatetobeappliedreport/ipdu">
                        <xsl:call-template name="NL" />
                        <!--<tr>
                          <xsl:element name="td">
                            <xsl:attribute name="rowspan">
                              <xsl:if test="count(needs_install/component)=0 and count(already_installed/component)=0">4</xsl:if>
                              <xsl:if test="count(needs_install/component)>0 and count(already_installed/component)>0">16</xsl:if>
                              <xsl:if test="count(needs_install/component)>0 and count(already_installed/component)=0">11</xsl:if>
                              <xsl:if test="count(needs_install/component)=0 and count(already_installed/component)>0">10</xsl:if>
                            </xsl:attribute>
                            <font style="margin: 0px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">
                              <xsl:element name="a">
                                <xsl:attribute name="name">
                                  <xsl:value-of select="ipaddress"/>
                                </xsl:attribute>
                                <xsl:value-of select="ipaddress"/>
                              </xsl:element>
                            </font>
                          </xsl:element>
                        </tr>-->
                       <xsl:call-template name="NL" />
                         <xsl:if test="count(needs_install)>0">
                         <tr>
                           <td colspan="2" bgcolor="Gainsboro">
                             <font style="font-family: 'Arial'; font-weight: bold; font-size: 11px">
                              <xsl:element name="a">
                                <xsl:attribute name="name">update_<xsl:value-of select="ipaddress"/></xsl:attribute>
                                <xsl:value-of select="ipaddress"/>
                              </xsl:element>
                            </font>
                           </td>
                           </tr>
                           <tr>
                           <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Install Needed Components</td>
                           <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Estimated installation time : <xsl:value-of select="needs_install/total_installtime"/></td>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(needs_install/component)=0">
                             <tr>
                               <td colspan="2" align="center">No install needed components found for IPDU</td>
                             </tr>
                           </xsl:when>
                           <xsl:otherwise>
                             <xsl:for-each select="needs_install/component">
                               <tr>
                                 <th align="left" width="17%">
                                   <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                     <xsl:attribute name="name"><xsl:value-of select="filename"/>
                                     </xsl:attribute>
                                     <xsl:value-of select="filename"/>
                                   </xsl:element>
                                 </th>
                                 <th align="right">
                                   <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                   <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                 </th>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro">Name</td>
                                 <td><xsl:value-of select="name"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                 <td><xsl:value-of select="version"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="installtime"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                               <tr>
                                 <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                 <td><xsl:value-of select="devices"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                                <tr>
                                 <td bgcolor="Gainsboro" width="10%">Description</td>
                                 <td bgcolor="#F6F6F6"><xsl:value-of select="description"/></td>
                               </tr>
                               <xsl:call-template name="NL" />
                             </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                        </xsl:if>
                         <xsl:if test="count(already_installed)>0">
                           <tr>
                             <td align="left" bgcolor="#B5B5B5" colspan="2" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Already Installed Components</td>
                           </tr>
                           <xsl:choose>
                             <xsl:when test="count(already_installed/component)=0">
                               <td colspan="2" align="center">No already installed components found for IPDU</td>
                             </xsl:when>
                             <xsl:otherwise>
                               <xsl:for-each select="already_installed/component">
                                 <tr>
                                   <th align="left" width="17%">
                                     <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                       <xsl:attribute name="name">
                                         <xsl:value-of select="filename"/>
                                       </xsl:attribute>
                                       <xsl:value-of select="filename"/>
                                     </xsl:element>
                                   </th>
                                   <th align="right">
                                     <a href="#top">[Top]</a><xsl:text>&#160;&#160;&#160;</xsl:text>
                                     <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                   </th>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro">Name</td>
                                   <td><xsl:value-of select="name"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                   <td bgcolor="#F6F6F6"><xsl:value-of select="installedversion"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                   <td><xsl:value-of select="version"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                   <td><xsl:value-of select="installtime"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                   <td bgcolor="#F6F6F6"><xsl:value-of select="devices"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Description</td>
                                   <td><xsl:value-of select="description"/></td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                               </xsl:for-each>
                             </xsl:otherwise>
                           </xsl:choose>
                         </xsl:if>
                     </xsl:for-each>
                   </table>
                   <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/updatetobeappliedreport/switch)>0">
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="99.2%">
                       <xsl:call-template name="NL" />
                       <tr align="left">
                         <th width="10%">IP Address</th>
                         <th colspan="2"></th>
                       </tr>
                       <xsl:for-each select="report/updatetobeappliedreport/switch">
                         <xsl:call-template name="NL" />
                         <xsl:if test="count(needs_install)>0">
                           <tr>
                             <td colspan="2" bgcolor="Gainsboro">
                               <font style="font-family: 'Arial'; font-weight: bold; font-size: 11px">
                                 <xsl:element name="a">
                                   <xsl:attribute name="name">update_<xsl:value-of select="ipaddress"/>
                                   </xsl:attribute>
                                   <xsl:value-of select="ipaddress"/>
                                 </xsl:element>
                               </font>
                             </td>
                           </tr>
                           <tr>
                             <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Install Needed Components</td>
                             <td align="left" bgcolor="#B5B5B5" style="font-family: Arial; font-size: xx-small; font-weight: bold;">
                               Estimated installation time : <xsl:value-of select="needs_install/total_installtime"/>
                             </td>
                           </tr>
                           <xsl:choose>
                             <xsl:when test="count(needs_install/component)=0">
                               <tr>
                                 <td colspan="2" align="center">No install needed components found for Swtich</td>
                               </tr>
                             </xsl:when>
                             <xsl:otherwise>
                               <xsl:for-each select="needs_install/component">
                                 <tr>
                                   <th align="left" width="17%">
                                     <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                       <xsl:attribute name="name">
                                         <xsl:value-of select="filename"/>
                                       </xsl:attribute>
                                       <xsl:value-of select="filename"/>
                                     </xsl:element>
                                   </th>
                                   <th align="right">
                                     <a href="#top">[Top]</a>
                                     <xsl:text>&#160;&#160;&#160;</xsl:text>
                                     <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                   </th>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro">Name</td>
                                   <td>
                                     <xsl:value-of select="name"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                   <td bgcolor="#F6F6F6">
                                     <xsl:value-of select="installedversion"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                   <td>
                                     <xsl:value-of select="version"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                   <td bgcolor="#F6F6F6">
                                     <xsl:value-of select="installtime"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                   <td>
                                     <xsl:value-of select="devices"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Description</td>
                                   <td bgcolor="#F6F6F6">
                                     <xsl:value-of select="description"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                               </xsl:for-each>
                             </xsl:otherwise>
                           </xsl:choose>
                         </xsl:if>
                         <xsl:if test="count(already_installed)>0">
                           <tr>
                             <td align="left" bgcolor="#B5B5B5" colspan="2" style="font-family: Arial; font-size: xx-small; font-weight: bold;">Already Installed Components</td>
                           </tr>
                           <xsl:choose>
                             <xsl:when test="count(already_installed/component)=0">
                               <td colspan="2" align="center">No already installed components found for Switch</td>
                             </xsl:when>
                             <xsl:otherwise>
                               <xsl:for-each select="already_installed/component">
                                 <tr>
                                   <th align="left" width="17%">
                                     <xsl:value-of select="position()"></xsl:value-of>) Component Name: <xsl:element name="a">
                                       <xsl:attribute name="name">
                                         <xsl:value-of select="filename"/>
                                       </xsl:attribute>
                                       <xsl:value-of select="filename"/>
                                     </xsl:element>
                                   </th>
                                   <th align="right">
                                     <a href="#top">[Top]</a>
                                     <xsl:text>&#160;&#160;&#160;</xsl:text>
                                     <a href="javascript:showhidediv('id_summary','id_all_updatetobeappliedreport_details');">[Back]</a>
                                   </th>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro">Name</td>
                                   <td>
                                     <xsl:value-of select="name"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Installed Version</td>
                                   <td bgcolor="#F6F6F6">
                                     <xsl:value-of select="installedversion"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Available Version</td>
                                   <td>
                                     <xsl:value-of select="version"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Install Time</td>
                                   <td>
                                     <xsl:value-of select="installtime"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Device Update</td>
                                   <td bgcolor="#F6F6F6">
                                     <xsl:value-of select="devices"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                                 <tr>
                                   <td bgcolor="Gainsboro" width="10%">Description</td>
                                   <td>
                                     <xsl:value-of select="description"/>
                                   </td>
                                 </tr>
                                 <xsl:call-template name="NL" />
                               </xsl:for-each>
                             </xsl:otherwise>
                           </xsl:choose>
                         </xsl:if>
                       </xsl:for-each>
                     </table>
                     <xsl:call-template name="NL" />
                   </xsl:if>
                 </div>
                 <xsl:call-template name="NL" />
               </div>
           </div>
         </div>
       </div>
     </xsl:if>
     <xsl:if test="count(report/installedreport/oa)>0 or count(report/installedreport/system)>0 or count(report/installedreport/vc)>0 or count(report/installedreport/ilo)>0 or count(report/installedreport/sd2)>0 or count(report/installedreport/ipdu)>0 or count(report/installedreport/switch)>0">
       <xsl:call-template name="NL" />
       <div id="id_all_installedreport_details" style="display:none">
         <xsl:call-template name="NL" />
         <div id="contentDiv" style="margin-left:5px; margin-top:5px; width:99.1%">
           <xsl:call-template name="NL" />
           <div id="id_installed_details_header">
            <div id="headerDiv" style="width:100%">
               <xsl:call-template name="NL" />
               <div id="titleText">Installed Report</div>
               <xsl:call-template name="NL" />
               <a href="javascript:showdetails('installed_details');">
                 <img src="collapse.png" border="0" id="img_installed_details" alt="Expand/Collapse section"/></a>
               <xsl:call-template name="NL" />
               <a href="javascript:showhidediv('id_summary','id_all_installedreport_details');">Back to Main</a>
               <xsl:call-template name="NL" />
             </div>
            <xsl:call-template name="NL" />
            <div id="id_installed_details" style="display:block">
                 <xsl:call-template name="NL" />
                 <div id="contentDiv" style="width:100%">
                   <xsl:call-template name="NL" />
                   <xsl:if test ="count(report/installedreport/system)>0">
                     <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Server Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="50%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th>IP Address</th>
                       <th>Installed Result</th>
                     </tr>
                     <xsl:for-each select="report/installedreport/system">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#installed_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="success"/> Installed, <xsl:value-of select="failed"/> Failed, <xsl:value-of select="canceled"/> Canceled</td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/oa)>0">
                     <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Onboard Administrator Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="50%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th>IP Address</th>
                       <th>Installed Result</th>
                     </tr>
                     <xsl:for-each select="report/installedreport/oa">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#installed_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="success"/> Installed, <xsl:value-of select="failed"/> Failed, <xsl:value-of select="canceled"/> Canceled</td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/ilo)>0">
                     <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Integrated light Out Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="50%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th>IP Address</th>
                       <th>Installed Result</th>
                     </tr>
                     <xsl:for-each select="report/installedreport/ilo">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#installed_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="success"/> Installed, <xsl:value-of select="failed"/> Failed, <xsl:value-of select="canceled"/> Canceled</td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/vc)>0">
                     <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Virtual Connect Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="50%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th>IP Address</th>
                       <th>Installed Result</th>
                     </tr>
                     <xsl:for-each select="report/installedreport/vc">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#installed_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="success"/> Installed, <xsl:value-of select="failed"/> Failed, <xsl:value-of select="canceled"/> Canceled</td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/sd2)>0">
                     <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Superdome 2 Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="50%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th>IP Address</th>
                       <th>Installed Result</th>
                     </tr>
                     <xsl:for-each select="report/installedreport/sd2">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#installed_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="success"/> Installed, <xsl:value-of select="failed"/> Failed, <xsl:value-of select="canceled"/> Canceled</td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/ipdu)>0">
                     <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Intelligent Power Distribution Unit Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="50%">
                     <xsl:call-template name="NL" />
                     <tr align="left">
                       <th>IP Address</th>
                       <th>Installed Result</th>
                     </tr>
                     <xsl:for-each select="report/installedreport/ipdu">
                       <xsl:call-template name="NL" />
                       <xsl:element name="tr">
                         <xsl:if test="(position() mod 2) = 0">
                           <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                         </xsl:if>
                         <td><xsl:element name="a"><xsl:attribute name="href">#installed_<xsl:value-of select="ipaddress"/></xsl:attribute><xsl:value-of select="ipaddress"/></xsl:element></td>
                         <td><xsl:value-of select="success"/> Installed, <xsl:value-of select="failed"/> Failed, <xsl:value-of select="canceled"/> Canceled</td>
                       </xsl:element>
                     </xsl:for-each>
                   </table>
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/switch)>0">
                     <font style="margin: 20px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">Switch Details</font>
                     <table class="custom" style="margin: 0px 5px 15px 5px" width="50%">
                       <xsl:call-template name="NL" />
                       <tr align="left">
                         <th>IP Address</th>
                         <th>Installed Result</th>
                       </tr>
                       <xsl:for-each select="report/installedreport/switch">
                         <xsl:call-template name="NL" />
                         <xsl:element name="tr">
                           <xsl:if test="(position() mod 2) = 0">
                             <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                           </xsl:if>
                           <td>
                             <xsl:element name="a">
                               <xsl:attribute name="href">
                                 #installed_<xsl:value-of select="ipaddress"/>
                               </xsl:attribute>
                               <xsl:value-of select="ipaddress"/>
                             </xsl:element>
                           </td>
                           <td>
                             <xsl:value-of select="success"/> Installed, <xsl:value-of select="failed"/> Failed, <xsl:value-of select="canceled"/> Canceled
                           </td>
                         </xsl:element>
                       </xsl:for-each>
                     </table>
                   </xsl:if>
                   <br></br>
                   <xsl:if test ="count(report/installedreport/system)>0">
                     <xsl:call-template name="NL" />
                     <xsl:for-each select="report/installedreport/system">
                       <table class="custom" style="margin: 0px 5px 13px 5px" width="99.2%">
                       <xsl:call-template name="NL" />
                         <font style="margin: 0px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">
                         <xsl:element name="a">
                           <xsl:attribute name="name">installed_<xsl:value-of select="ipaddress"/></xsl:attribute>
                           <xsl:value-of select="ipaddress"/>
                         </xsl:element>
                         </font>                         
                         <tr align="left">
                           <th>Component</th>
                           <th>Component Name</th>
                           <th>Original Version</th>
                           <th>New Version</th>
                           <th width="180">Installed Result<xsl:text>&#160;&#160;&#160;</xsl:text><a href="#top">[Top]</a>
                           <xsl:text>&#160;&#160;&#160;</xsl:text><a href="javascript:showhidediv('id_summary','id_all_installedreport_details');">[Back]</a>
                           </th>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(no_data)>0">
                             <tr><td colspan="5" align="center"><xsl:value-of select="no_data"/></td></tr>
                           </xsl:when>
                           <xsl:otherwise>
                           <xsl:for-each select="component">
                           <xsl:call-template name="NL" />
                           <xsl:element name="tr">
                             <xsl:if test="(position() mod 2) = 0">
                               <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                             </xsl:if>
                             <td><xsl:value-of select="filename"/></td>
                             <td><xsl:value-of select="name"/></td>
                             <td><xsl:value-of select="oversion"/></td>
                             <td><xsl:value-of select="iversion"/></td>
                             <td><xsl:value-of select="status"/></td>
                           </xsl:element>
                           </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                       </table>
                     </xsl:for-each>
                    <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/oa)>0">
                     <xsl:call-template name="NL" />
                     <xsl:for-each select="report/installedreport/oa">
                       <table class="custom" style="margin: 0px 5px 13px 5px" width="99.2%">
                       <xsl:call-template name="NL" />
                         <font style="margin: 0px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">
                         <xsl:element name="a">
                           <xsl:attribute name="name">installed_<xsl:value-of select="ipaddress"/></xsl:attribute>
                           <xsl:value-of select="ipaddress"/>
                         </xsl:element>
                         </font>                         
                         <tr align="left">
                           <th>Component</th>
                           <th>Component Name</th>
                           <th>Original Version</th>
                           <th>New Version</th>
                           <th width="180">Installed Result<xsl:text>&#160;&#160;&#160;</xsl:text><a href="#top">[Top]</a>
                           <xsl:text>&#160;&#160;&#160;</xsl:text><a href="javascript:showhidediv('id_summary','id_all_installedreport_details');">[Back]</a>
                           </th>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(no_data)>0">
                             <tr><td colspan="5" align="center"><xsl:value-of select="no_data"/></td></tr>
                           </xsl:when>
                           <xsl:otherwise>
                           <xsl:for-each select="component">
                           <xsl:call-template name="NL" />
                           <xsl:element name="tr">
                             <xsl:if test="(position() mod 2) = 0">
                               <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                             </xsl:if>
                             <td><xsl:value-of select="filename"/></td>
                             <td><xsl:value-of select="name"/></td>
                             <td><xsl:value-of select="oversion"/></td>
                             <td><xsl:value-of select="iversion"/></td>
                             <td><xsl:value-of select="status"/></td>
                           </xsl:element>
                           </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                       </table>
                     </xsl:for-each>
                    <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/ilo)>0">
                     <xsl:call-template name="NL" />
                     <xsl:for-each select="report/installedreport/ilo">
                       <table class="custom" style="margin: 0px 5px 13px 5px" width="99.2%">
                       <xsl:call-template name="NL" />
                         <font style="margin: 0px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">
                         <xsl:element name="a">
                           <xsl:attribute name="name">installed_<xsl:value-of select="ipaddress"/></xsl:attribute>
                           <xsl:value-of select="ipaddress"/>
                         </xsl:element>
                         </font>                         
                         <tr align="left">
                           <th>Component</th>
                           <th>Component Name</th>
                           <th>Original Version</th>
                           <th>New Version</th>
                           <th width="180">Installed Result<xsl:text>&#160;&#160;&#160;</xsl:text><a href="#top">[Top]</a>
                           <xsl:text>&#160;&#160;&#160;</xsl:text><a href="javascript:showhidediv('id_summary','id_all_installedreport_details');">[Back]</a>
                           </th>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(no_data)>0">
                             <tr><td colspan="5" align="center"><xsl:value-of select="no_data"/></td></tr>
                           </xsl:when>
                           <xsl:otherwise>
                           <xsl:for-each select="component">
                           <xsl:call-template name="NL" />
                           <xsl:element name="tr">
                             <xsl:if test="(position() mod 2) = 0">
                               <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                             </xsl:if>
                             <td><xsl:value-of select="filename"/></td>
                             <td><xsl:value-of select="name"/></td>
                             <td><xsl:value-of select="oversion"/></td>
                             <td><xsl:value-of select="iversion"/></td>
                             <td><xsl:value-of select="status"/></td>
                           </xsl:element>
                           </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                       </table>
                     </xsl:for-each>
                    <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/vc)>0">
                     <xsl:call-template name="NL" />
                     <xsl:for-each select="report/installedreport/vc">
                       <table class="custom" style="margin: 0px 5px 13px 5px" width="99.2%">
                       <xsl:call-template name="NL" />
                         <font style="margin: 0px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">
                         <xsl:element name="a">
                           <xsl:attribute name="name">installed_<xsl:value-of select="ipaddress"/></xsl:attribute>
                           <xsl:value-of select="ipaddress"/>
                         </xsl:element>
                         </font>                         
                         <tr align="left">
                           <th>Component</th>
                           <th>Component Name</th>
                           <th>Original Version</th>
                           <th>New Version</th>
                           <th width="180">Installed Result<xsl:text>&#160;&#160;&#160;</xsl:text><a href="#top">[Top]</a>
                           <xsl:text>&#160;&#160;&#160;</xsl:text><a href="javascript:showhidediv('id_summary','id_all_installedreport_details');">[Back]</a>
                           </th>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(no_data)>0">
                             <tr><td colspan="5" align="center"><xsl:value-of select="no_data"/></td></tr>
                           </xsl:when>
                           <xsl:otherwise>
                           <xsl:for-each select="component">
                           <xsl:call-template name="NL" />
                           <xsl:element name="tr">
                             <xsl:if test="(position() mod 2) = 0">
                               <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                             </xsl:if>
                             <td><xsl:value-of select="filename"/></td>
                             <td><xsl:value-of select="name"/></td>
                             <td><xsl:value-of select="oversion"/></td>
                             <td><xsl:value-of select="iversion"/></td>
                             <td><xsl:value-of select="status"/></td>
                           </xsl:element>
                           </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                       </table>
                     </xsl:for-each>
                    <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/sd2)>0">
                     <xsl:call-template name="NL" />
                     <xsl:for-each select="report/installedreport/sd2">
                       <table class="custom" style="margin: 0px 5px 13px 5px" width="99.2%">
                       <xsl:call-template name="NL" />
                         <font style="margin: 0px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">
                         <xsl:element name="a">
                           <xsl:attribute name="name">installed_<xsl:value-of select="ipaddress"/></xsl:attribute>
                           <xsl:value-of select="ipaddress"/>
                         </xsl:element>
                         </font>                         
                         <tr align="left">
                           <th>Component</th>
                           <th>Component Name</th>
                           <th>Original Version</th>
                           <th>New Version</th>
                           <th width="180">Installed Result<xsl:text>&#160;&#160;&#160;</xsl:text><a href="#top">[Top]</a>
                           <xsl:text>&#160;&#160;&#160;</xsl:text><a href="javascript:showhidediv('id_summary','id_all_installedreport_details');">[Back]</a>
                           </th>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(no_data)>0">
                             <tr><td colspan="5" align="center"><xsl:value-of select="no_data"/></td></tr>
                           </xsl:when>
                           <xsl:otherwise>
                           <xsl:for-each select="component">
                           <xsl:call-template name="NL" />
                           <xsl:element name="tr">
                             <xsl:if test="(position() mod 2) = 0">
                               <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                             </xsl:if>
                             <td><xsl:value-of select="filename"/></td>
                             <td><xsl:value-of select="name"/></td>
                             <td><xsl:value-of select="oversion"/></td>
                             <td><xsl:value-of select="iversion"/></td>
                             <td><xsl:value-of select="status"/></td>
                           </xsl:element>
                           </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                       </table>
                     </xsl:for-each>
                    <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/ipdu)>0">
                     <xsl:call-template name="NL" />
                     <xsl:for-each select="report/installedreport/ipdu">
                       <table class="custom" style="margin: 0px 5px 13px 5px" width="99.2%">
                       <xsl:call-template name="NL" />
                         <font style="margin: 0px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">
                         <xsl:element name="a">
                           <xsl:attribute name="name">installed_<xsl:value-of select="ipaddress"/></xsl:attribute>
                           <xsl:value-of select="ipaddress"/>
                         </xsl:element>
                         </font>                         
                         <tr align="left">
                           <th>Component</th>
                           <th>Component Name</th>
                           <th>Original Version</th>
                           <th>New Version</th>
                           <th width="180">Installed Result<xsl:text>&#160;&#160;&#160;</xsl:text><a href="#top">[Top]</a>
                           <xsl:text>&#160;&#160;&#160;</xsl:text><a href="javascript:showhidediv('id_summary','id_all_installedreport_details');">[Back]</a>
                           </th>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(no_data)>0">
                             <tr><td colspan="5" align="center"><xsl:value-of select="no_data"/></td></tr>
                           </xsl:when>
                           <xsl:otherwise>
                           <xsl:for-each select="component">
                           <xsl:call-template name="NL" />
                           <xsl:element name="tr">
                             <xsl:if test="(position() mod 2) = 0">
                               <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                             </xsl:if>
                             <td><xsl:value-of select="filename"/></td>
                             <td><xsl:value-of select="name"/></td>
                             <td><xsl:value-of select="oversion"/></td>
                             <td><xsl:value-of select="iversion"/></td>
                             <td><xsl:value-of select="status"/></td>
                           </xsl:element>
                           </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                       </table>
                     </xsl:for-each>
                    <xsl:call-template name="NL" />
                   </xsl:if>
                   <xsl:if test ="count(report/installedreport/switch)>0">
                     <xsl:call-template name="NL" />
                     <xsl:for-each select="report/installedreport/switch">
                       <table class="custom" style="margin: 0px 5px 13px 5px" width="99.2%">
                         <xsl:call-template name="NL" />
                         <font style="margin: 0px 0px 0px 5px; font-family: 'Arial'; font-weight: bold; font-size: 11px">
                           <xsl:element name="a">
                             <xsl:attribute name="name">
                               installed_<xsl:value-of select="ipaddress"/>
                             </xsl:attribute>
                             <xsl:value-of select="ipaddress"/>
                           </xsl:element>
                         </font>
                         <tr align="left">
                           <th>Component</th>
                           <th>Component Name</th>
                           <th>Original Version</th>
                           <th>New Version</th>
                           <th width="180">
                             Installed Result<xsl:text>&#160;&#160;&#160;</xsl:text><a href="#top">[Top]</a>
                             <xsl:text>&#160;&#160;&#160;</xsl:text><a href="javascript:showhidediv('id_summary','id_all_installedreport_details');">[Back]</a>
                           </th>
                         </tr>
                         <xsl:choose>
                           <xsl:when test="count(no_data)>0">
                             <tr>
                               <td colspan="5" align="center">
                                 <xsl:value-of select="no_data"/>
                               </td>
                             </tr>
                           </xsl:when>
                           <xsl:otherwise>
                             <xsl:for-each select="component">
                               <xsl:call-template name="NL" />
                               <xsl:element name="tr">
                                 <xsl:if test="(position() mod 2) = 0">
                                   <xsl:attribute name="bgcolor">#F6F6F6</xsl:attribute>
                                 </xsl:if>
                                 <td>
                                   <xsl:value-of select="filename"/>
                                 </td>
                                 <td>
                                   <xsl:value-of select="name"/>
                                 </td>
                                 <td>
                                   <xsl:value-of select="oversion"/>
                                 </td>
                                 <td>
                                   <xsl:value-of select="iversion"/>
                                 </td>
                                 <td>
                                   <xsl:value-of select="status"/>
                                 </td>
                               </xsl:element>
                             </xsl:for-each>
                           </xsl:otherwise>
                         </xsl:choose>
                       </table>
                     </xsl:for-each>
                     <xsl:call-template name="NL" />
                   </xsl:if>
                 </div>
                 <xsl:call-template name="NL" />
               </div>
           </div>
           <xsl:call-template name="NL" />
         </div>
         <xsl:call-template name="NL" />
       </div>
     </xsl:if>
   </div>
 </body>
</html>
</xsl:template>
</xsl:stylesheet>